/***************************************************************************
 *   Copyright (C) 2007 by Gabriel Menezes Nunes   *
 *   gabriel@msnshadow   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "aboutdlg.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

static const char* const image0_data[] = { 
"150 138 240 2",
"bA c #000000",
"bB c #010101",
"bx c #020202",
"by c #030303",
"bu c #040404",
"bv c #050505",
"be c #060606",
"br c #070707",
"aC c #080808",
"#4 c #090909",
"#3 c #0a0a0a",
"ae c #0b0b0b",
"#2 c #0c0c0c",
"#6 c #0d0d0d",
"#5 c #0e0e0e",
"a. c #0f0f0f",
".s c #101010",
".k c #111111",
".l c #121212",
".j c #131313",
".i c #141414",
".r c #151515",
".y c #161616",
".z c #171717",
".A c #181818",
".x c #191919",
".I c #1a1a1a",
".H c #1b1b1b",
".P c #1c1c1c",
".B c #1d1d1d",
".J c #1e1e1e",
".R c #1f1f1f",
".G c #202020",
".Q c #212121",
".X c #222222",
".Y c #232323",
".6 c #242424",
".3 c #252525",
".5 c #262626",
".4 c #272727",
"#b c #282828",
"#c c #292929",
"#g c #2a2a2a",
"#v c #2b2b2b",
"#k c #2c2c2c",
"#R c #2d2d2d",
".O c #2e2e2e",
"#9 c #2f2f2f",
"#A c #303030",
".Z c #313131",
"ao c #323232",
".7 c #333333",
"as c #343434",
".m c #353535",
".S c #363636",
"aE c #373737",
".K c #383838",
"aH c #393939",
"aI c #3a3a3a",
".W c #3b3b3b",
"an c #3c3c3c",
"ai c #3d3d3d",
"a1 c #3e3e3e",
"#D c #3f3f3f",
"#H c #404040",
"a2 c #414141",
"aX c #424242",
"aQ c #434343",
"a# c #444444",
".h c #454545",
"aL c #464646",
"ah c #474747",
"#a c #484848",
"bm c #494949",
"bj c #4a4a4a",
"#d c #4b4b4b",
".o c #4c4c4c",
"#0 c #4d4d4d",
"aF c #4e4e4e",
"bp c #4f4f4f",
".n c #505050",
"#N c #515151",
"aA c #525252",
"bq c #535353",
"bs c #545454",
"a0 c #555555",
"#8 c #565656",
"#j c #575757",
"bt c #585858",
"#w c #595959",
".t c #5a5a5a",
"bw c #5b5b5b",
"aK c #5c5c5c",
"#E c #5d5d5d",
"bM c #5e5e5e",
"ap c #5f5f5f",
"bK c #606060",
"bg c #616161",
".q c #626262",
"#K c #636363",
"bP c #646464",
"bQ c #656565",
"ad c #666666",
"bz c #676767",
"#Z c #686868",
"#q c #696969",
"#n c #6a6a6a",
"a3 c #6b6b6b",
"aY c #6c6c6c",
"aU c #6d6d6d",
"aR c #6e6e6e",
"aa c #6f6f6f",
"ay c #707070",
"aM c #717171",
"aT c #727272",
"bL c #737373",
"aJ c #747474",
".g c #757575",
"bh c #767676",
"bk c #777777",
".w c #787878",
"#B c #797979",
"#X c #7a7a7a",
".C c #7b7b7b",
"#1 c #7c7c7c",
"bo c #7d7d7d",
"b. c #7e7e7e",
"bS c #7f7f7f",
"#z c #808080",
"af c #818181",
"#h c #828282",
"#r c #838383",
"bT c #848484",
"aw c #858585",
"#S c #868686",
"al c #878787",
"#W c #888888",
"bF c #898989",
"at c #8a8a8a",
"bG c #8b8b8b",
"aO c #8c8c8c",
"#F c #8d8d8d",
"#L c #8e8e8e",
".F c #8f8f8f",
"am c #909090",
"#x c #919191",
"aG c #929292",
"au c #939393",
"#P c #949494",
"bJ c #959595",
"aj c #969696",
"bO c #979797",
"bD c #989898",
"#l c #999999",
"bN c #9a9a9a",
"a8 c #9b9b9b",
"a4 c #9c9c9c",
"bH c #9d9d9d",
"ab c #9e9e9e",
"aS c #9f9f9f",
"#o c #a0a0a0",
"#Y c #a1a1a1",
".N c #a2a2a2",
"#M c #a3a3a3",
"#f c #a4a4a4",
".f c #a5a5a5",
"bl c #a6a6a6",
"#O c #a7a7a7",
"bi c #a8a8a8",
"bn c #a9a9a9",
"#s c #aaaaaa",
"aN c #ababab",
"ba c #acacac",
"bR c #adadad",
"aB c #aeaeae",
"aD c #afafaf",
".8 c #b0b0b0",
"ax c #b1b1b1",
"#T c #b2b2b2",
"#V c #b3b3b3",
".c c #b4b4b4",
"bC c #b5b5b5",
".0 c #b6b6b6",
"#e c #b7b7b7",
"#y c #b8b8b8",
"ar c #b9b9b9",
".p c #bababa",
"aq c #bbbbbb",
"aV c #bcbcbc",
".T c #bdbdbd",
"#Q c #bebebe",
"#u c #bfbfbf",
"ak c #c0c0c0",
"#p c #c1c1c1",
"bc c #c2c2c2",
"aP c #c3c3c3",
"bE c #c4c4c4",
"ac c #c5c5c5",
"#I c #c6c6c6",
".L c #c7c7c7",
"a9 c #c8c8c8",
"av c #c9c9c9",
"#7 c #cacaca",
"#t c #cbcbcb",
"bf c #cccccc",
"a7 c #cdcdcd",
"a5 c #cecece",
"az c #cfcfcf",
".u c #d0d0d0",
".a c #d1d1d1",
".9 c #d2d2d2",
"b# c #d3d3d3",
"#U c #d4d4d4",
"#G c #d5d5d5",
"#m c #d6d6d6",
".1 c #d7d7d7",
"ag c #d8d8d8",
"aZ c #d9d9d9",
"a6 c #dadada",
"bI c #dbdbdb",
".e c #dcdcdc",
"## c #dddddd",
".U c #dedede",
".D c #dfdfdf",
"bb c #e0e0e0",
".b c #e1e1e1",
"#J c #e2e2e2",
"#C c #e3e3e3",
".M c #e4e4e4",
"#. c #e5e5e5",
"#i c #e6e6e6",
".2 c #e7e7e7",
"bd c #e8e8e8",
"aW c #e9e9e9",
".v c #ebebeb",
".V c #ececec",
".E c #ededed",
".d c #eeeeee",
"Qt c #efefef",
".# c #f0f0f0",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.a.a.bQtQtQtQtQt.cQt.#QtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQtQtQtQtQt.e.f.g.h.i.j.j.k.l.l.i.m.n.o.pQtQtQtQt.dQtQtQt.dQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.e.q.r.l.k.l.s.l.l.k.l.i.j.j.l.i.i.t.uQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQt.v.w.x.i.j.j.i.y.z.y.z.y.z.y.r.A.A.A.y.r.B.C.D.E.dQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.F.G.l.j.k.l.j.A.x.x.x.x.H.I.I.I.J.H.H.I.A.y.j.K.L.M.dQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQt.N.O.j.k.l.j.r.A.A.I.H.P.H.G.B.Q.G.Q.R.P.B.R.J.P.A.z.S.T.U.VQt.dQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.a.W.k.l.l.j.i.r.z.x.I.J.G.Q.G.X.X.Y.Y.Y.Y.R.G.X.X.Y.J.B.y.Z.0.1.2QtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQt.#QtQtQtQt.F.H.i.l.l.j.i.r.z.H.H.J.R.Q.X.Y.3.4.4.3.5.3.6.Q.Y.X.3.X.X.P.y.7.8.9#..#QtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt###a.j.l.l.i.r.z.A.H.B.R.X.Y.Y.6.6.6.3#b#c.4#b.4.3.6.Y.X.6.6.4.X.I.z#d#e.a.MQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#f.B.y.j.j.i.j.z.P.P.R.Q.Q.6.3.3.5.4.5.4#b#b.5.3.5#b#c#g#g#b.4.4.5.Y.I.x#h.0.9#iQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.2#j.s.j.i.A.r.y.z.H.R.Q.Y.Y.5.4#b#b.4.4.5.5.4#b.4.4#b#c#g#k#k#c.4.5.5.6.I.j.K#l.p#m.vQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.c.6.y.y.y.z.z.A.H.P.B.R.Q.X.Y.5.5#b#b.4#b#b#b.4#b.4#b.4.4#c#b#b#c#g.O.4.5.4.H.j#n#o#p.eQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#q.z.r.y.x.x.H.P.J.G.G.Q.X.Y.6.3.5.4#b.4.4.4.4#b.4#b#b#b.4.5.4#c#g#c#g#b#b.6.4.B.j.Z#r#s#t.MQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#u.O.y.y.z.y.I.H.J.R.G.Q.X.3.5.4#c#b.4.4.5.4.4#b#b#b#b#c#b.5.4.4.5#b#c#g#v#b.4#g.5.R.r.z#w#x#y.1.dQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#z.r.y.z.z.B.I.P.R.R.Q.X.6.6.5.4.4#b.4.4.4.4.4#b#b.4.4.4#b#b#b#b.5.5#c.4#c#c#c#b#c.3.G.A.i#A#B#f.L#CQt.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.1#D.A.x.A.x.H.R.R.Q.Y.6.3.3.5.5.4.5.5.5.4.4.4.5.4#b#b.4.4#b#c#b#c#c.4.4.4#b#b#b.4#b#c.5.3.B.i.J#E#F.c#G.EQt",
"QtQtQtQt.d.#QtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQt.L.4.x.I.A.H.P.J.Q.Y.3.5.5.5.3.4#b.4.4.4.5.4.4#b.4#b.4.4.5#b.4.4#b#c#c.4.4.4#b#b#b.4#b#v#g#b.G.r.r#H.g.N#I#JQt",
".dQtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#y.Y.x.I.H.B.J.Q.6.3.5.4.4.4#b.4.4#b#c#b.4.5.5.4.4#b.4#b#b#b.4#b#b.4#b#b.4.5.5.4#b#g.5#b#g#k#v.6.P.i#g#K#L#e.1Qt",
"QtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#M.H.A.H.B.J.J.X.4.4.5#c#c#c#g#g#c#b.4#g#c#b.4#b.4#b#b.4#b#b#b.4.4#b#b.4.4.5.5.5#b#c#g.4#c.4#v#g.Q.G.k.G#N#B#O#t.M",
"QtQtQtQtQt.#QtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQt.d#F.I.x.x.J.R.X.Y.3#b#c#k#v#v#k#v#g#b#b.4#b#b.4#b#b#b#b#b.4.4.4.4.4#b#b#b#b#b#b.4.4#b.4#b#b.3#g#g#b.5.G.i.B#D#q#P#Q##",
"QtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#B.I.H.H.J.G.X.3#b#b#k#v#k#R#k#R#k#g#c#b#b.4.4#b.4.4.4.4.4.4.4.4.4.4#b#c#b#b#b.4.4.4#b#b.4.4.4#c#g#b.5.Q.j.I.7.t#S#T#U",
".dQtQtQt.##V#W#X#Y#p.eQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#Z.x.H.J.R.R.X.4#b#R#R#k#k#R.O#R#R#k#g#g#b.4.5.4#b#b#b.4.4.4#b.4.4#b.4.4#b#b.4.4.4.5.4#b.4#b.5.4#c#c#b#b.Y.z.i#c#0#B#O#t",
"QtQtQt#1.J#2#3#4#2#5#2#6.S.w#7QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#8.I.P.R.Y.Y.6.5#g#k.O#A#9#R.O.O#k#k#g#g#c#b.4.4.4.4.4#b.4.4.4.4#b#c.4.4.4#b.4.4.4.4.4.4#b.4#b.4.5#g#g.4#c.Y.xa..Qa#aaabac",
"QtQtad#5aeae#3#5#6#6#2#3#3ae#2#9afagQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.vah.B.B.R.X.Y.3.4#c#k#9.Z.Z#A#9.O#R.O#R#v#c#c#b.4.4#b#c.4.4#b.4.4#b.4.4.4.4.4#b#b.4.5.4.4#b.4.4.4#b.4#g#c.4#b.3.Pa..Baiadajak",
"Qtal#6#3#3#3ae#6#2#2ae#5#5#6#3#4#3ae#Ham.b.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##Can.H.J.Q.X.Y.5#c#R.O#Aao.7ao#A.O.O.O.O#R#k#g#c.4.5#c.4.4.4.5.4.4.5.4.4.4.4#b.4#b#b.4.4.4.4#b.4.4.5.4.4#g#c.4#c.4.P.s.I.Kap.Faq",
".T.rae#3#5.l.s.l#5a..l.l.j.l#6#3#6#5#6#2.s#jarQt.#QtQtQtQtQtQtQtQt.#Qt.#Qt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##m.S.B.R.Q.X.4.4#c#R.Z.Z.7asas.7#A#A#A#9.O#R#k#g#c.5.5.4.4.4.4#b#b#b.4.4#b.4#b#b#b#b#b.4.4.4.4#c#b#b#b.4.5#c#g#b#c.4.B.s.zas.tat.0",
"#g.s#4#6.l.j#5.s.k.l.i.i.y.i.k.s#5#2ae#3#6#2#2.7au#iQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtav#g.R.Q.X.3.5#b.O.Z#9#Aaoasasasao.Z.Zao#9#9#R#v#g#c.5.5#b.4.4#b#b.4#b.4.4#b.5.4#b#b#b#b.4.4.4.4#b#b#b#b.5.4#g#b.5#c.4.Ra..i.Z#8awax",
".I.l.ka..j.i.j.A.I.H.x.x.z.i.r.i.i.i.k.ka.#6aeae#2.xayazQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtak#b.R.G.Y.6.4#c.O#9aoas.mas.m.mas.7.Z#A#9#9#9#R#v#g#c.5.4#b#b.4.4#b.4.4.4#b.4.4.4.4#b#b.4.4#c#b.4.4.4#b.4.4.5#b#b.4.4.3.Y.l.j.OaA#zaB",
".B.i.s.l.r.A.z.A.P.H.P.H.x.z.y.z.A.A.r.l.k#5a.aeaCae#2#3.oaD.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.1#g.Q.X.X.Y#b#v.O.Z.m.S.SaE.S.S.masas.Z.Z#A#9#9#k#v#g#b.4#b#b#b.4.4#b.4.4#b#b#b#b#b.4.4.4.4#b#b#b.4.4.4#b.4.5#b#b.5.5.4.5.6.l.s#vaF.C#s",
".J.r.l.i.I.J.I.H.J.P.P.P.I.x.I.z.r.r.l.k.s.k.k.j.l.s.k#6#2ae.maG#iQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaH.J.Q.3#b#b.O.Z.mas.K.K.K.KaEaE.Sas.7.Z#A#A#9.O#k#v#c.4.4.4.4.4#b.4#b.4.4.4.4.4#b#b.4.5.4#b#b.4.4.4#b.4.4.4#b#b.4.4.5.5.5.3.la.#c#d.w#O",
".5.z.j.y.P.J.J.I.G.J.P.P.P.I.I.H.A.y.r.j.j.k.i.r.i.s.k.l.la.#6#4.B#W#iQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#8.G.R.Y.5#g#9ao.S.SaIaIaIaI.KaE.K.m.maoao#A#9#9#9#R#k#c#b#b.5#b.4#b.4#b#b#b#b#b#b.4.4#b.4#b#c#b.4.4.4#c#b.4#b.4.4.4#b.4.4.4.3.j#5.4#aaJ#f",
"aK.H.r.x.J.X.Q.J.J.B.B.B.H.P.P.I.I.x.I.y.y.z.z.y.r.r.r.i.ja.#5#5.s#5.Y#F#.QtQtQtQt.#QtQtQtQtQtQtQtQt.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.d.#QtQtQt.w.Y.Q.6.5#g#R.7.KaHaIanaIaIaIaEaEaE.S.masao.Z.Z#9#9#R#v#g#b.4.5.4#b#b.5.4.4.4#b#b.4#b#b#b#b.4.4.4#b.4.4.4.4.4.4.4#b.4.4.5.5.5.3.ia..3aLaM.N",
"aN.G.z.J.G.X.Q.R.R.R.J.B.B.B.P.P.I.I.I.A.A.z.z.y.x.x.I.A.j.sa.a.#5#5#2aC.RaO.MQt.dQt.#QtQtQtQtQtQt.dQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtab.Y.X.6.3#k#9#A.maIanaiai.W.WaI.SaEaE.mas.7.Z#A#9#9#9#k#v#c#b#b.4#b#b#b.4#b.4.4.4#b.4.4.4.4.4.4.4#b#b.4.4#b.4.4#b.4.4.4.4.5.4.4.5.j#2.6.hay#o",
".b.7.x.J.6.X.3.X.R.J.J.J.J.J.B.B.G.G.J.B.H.x.A.z.A.y.z.y.i.ja.#6#2#5.sa.#2ae#b#L.MQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaP.4.6.3.5#k.Z.S.KaHaiaiaiananaI.K.K.S.S.mas.7.Z#A#A#9#9#R#v#g#b#b.4.4#b#b.4.4.4.4.4.4#b.4.4.4.4#c.4.4#b#b.5.4#b#b#b#b.4.4#b.5.5.4.5.r#3.YaQaRaS",
"#iaT.J.X.4#b#c.5.G.J.J.J.R.R.B.B.Q.G.J.B.H.I.x.x.A.H.H.y.j.j.l.l.i.k#6.s#5#5#2#2#c.F#iQtQtQtQtQt.dQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt##as.X.X.4#v.O.maHai#D#D#Daian.WaH.K.K.S.S.mas.7.Z.Z#A#9.O#k#v#g.4.4.4#b#b#b.4.4.4.4#b.4#b.4#b#b.4#b.4.4#b#b.4#b.4.4.4#c#b#b#b.4.4.5.4.i#2.YaQaUaS",
".vaV.X.P.6.X.5#g.6.Q.Q.Q.X.X.R.R.G.G.J.B.H.H.x.x.I.z.z.x.x.z.r.r.j.l.r.l.j.s.ka.#6#2#RaGaWQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#a.Y.6.5#v#9as.Kan#D#H#D#Daiai.WaIaH.KaE.S.mas.7ao#A#9#R.O#v#v#g.4.4.4.4.4#b#b.4.4.4#c#b.5.4.4.4.4#b#b.4.4.4.4#b.4#b.4#b#b.4#b.4.4.5.5.kae.XaXaYab",
".daZa0.Q.Y.Q.5#R.3.6.3.3.3.Y.G.R.R.G.J.J.B.P.H.I.I.x.x.A.z.A.z.r.i.j.j.l.i.i.l.l.sa.#5a..O#y.vQtQt.dQtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtal#c.3.3#c.Oao.K.W#D#HaX#Da1ana1anaIaHaHaE.Sas.7ao#A#9#R#k.O#k#v#g#b.4.5.4.4.4.4.4.4.4#g#b.4#b.4.4.4.4.4.4#b.4.4.4.4#b.4#b.4#b#b.4.4.5.5.kae.Xa2a3ab",
"Qt.D#o.G.J.R.Y#g.5.5#c#c#b.6.G.R.Q.X.X.X.X.G.R.J.J.B.P.H.H.H.x.z.z.r.i.j.l.j.j.i.i.i.l#5#3.j#B##.VQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#C#v.5.5#c.Oas.K.W#Da1aXaQ#H#DaiaianaIaHaH.S.S.mas.7ao.Z#A#R#R#k#g#c.4.4.5#b#b.4.4.4.4.4#c.4.4#b.4#b.4.4#b.4.4.4#b#b.4#b#b.4#b#b#b.4.5.3.6.l#2.Q#H#na4",
"QtaWa5.h.G.6#b.5#b#c#v#v#k#b.Y.Q.X.X.Y.X.X.Q.R.R.B.J.P.P.B.H.x.A.A.A.y.r.r.r.r.r.j.j.i.s#5ae#6aIaV.MQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaR#b#b#c#R.7aEai#DaXaXaQa#a2a1aiaianaIaHaIaE.S.mas.7ao.Z#9#R#R#k#v#c#b#b.4.4#b.4.5.4#b.4#b.4#b#b.4#b.4.4.4#b#b.4.4.4.4#b#c.4#b#b#b.5.5.5.Y.l#6.Q#D#na4",
"QtQta6.F.G.X#g.Y.4#c#c#g#c.5.X.Q.Y.6.Y.Y.X.Q.G.Q.J.B.B.P.P.P.H.I.H.x.A.z.A.A.y.r.j.l.r.j.k#2#2#6.j#W.e.vQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.d.#QtQtQtQta7#v#b#c#v.Z.Ka1aXaQaQaQaQaQ#H#Ha1a1.W.K.K.K.S.m.7.7ao.Z#A.O#R.O#k#g#g.4.4.4#b.4#b.4.4.4.4#b#b.4#b.4.4.4.4.4#b.4.4.4.4.4#b#b.4#c#b.4.5.4.5.Xa.#6.G#H#qa8",
"QtQt.Ma9.S.G.4.3#b#g#g#g#k#v.5.6#b.4.4.3.Y.X.Q.X.R.J.B.B.J.B.B.H.P.H.x.A.z.z.y.i.A.r.r.i.ja.a..s#3#3ah.L.MQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQt#8.4#b#k#9aEaia2aQaQaQa#aQaQa2#Ha1a1anaHaEaEaE.S.masasao.Z#A#R#9#k#g#g#b.4.5.4.4#b.4.4#b#b.4.4.4.4.4#b.4#b.4.4.4.4#b.4.4#b#b.4#c#b.5.5#b.3.Q#5#6.Q#H#qa8",
"QtQt.E#mb..X.6#b#c#g#v#k#v#c.5.5.Y.6.3.3.6.Y.X.G.J.J.J.B.B.B.J.B.H.I.I.I.I.I.x.y.z.i.i.r.A.x.A.i.raeaC.J#l.D.VQtQtQt.dQtQtQtQtQtQtQtQt.dQtQtQtQtQt.c#c#c#g.O.man#Ha#a#.haLaLa#.haQa2#Da1an.K.S.S.KaE.S.mas.7.Z#A#R#R#v#g#c#b.4.4.4.4#b.4.4.4.4#b#b.4.4.4.4.4.4.4#b.4.4.4.4#b#b#b.4#c#b.5.5#b.3.G#2#6.G#H#na4",
"QtQtQt.b#u.S.Q#g#b#k.O#9#R#c.4.4.5.4#b#b#b.5.X.Q.Q.G.J.B.B.B.B.B.P.P.I.H.P.P.I.z.r.r.y.y.r.i.r.i.ka.#5#3aCaK.u#iQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtaL#b#b#kao.Ka1a#aLahahahaL.h.haX#H#Da1anaH.m.m.Sasas.7ao.Z#9#9.O.O#k#v#g#b.4#b.4.4.4#b#b.4.4#b.4.4.4.4.4.4.4.4.4.4#b#b.4#b#b#b.4#b#b.4.3.5.5.Gae#5.XaXaUab",
"QtQtQt.Vb#aO.R.Y#R#b#g#A#g.4#k#v.4.4.4.4.5.3.X.X.Q.X.Q.R.J.B.P.P.B.B.J.B.P.B.H.x.x.I.z.z.z.y.z.y.j.y.r.r.s#6#gbabb.dQtQtQtQtQt.#QtQtQtQtQt.#QtQtba#v#c#v#A.man#HaLahaLaL.h.haQaQaX#Ha1aian.WaIaH.KaE.S.mas.7aoao#A.Z#9#R#g#c.4.5.3.4#b.4.4#b.4.4.4.4.4.4.4.5.3.5#c#c.5.5.5.4#c#b.5.4.3#b#b#b.5.I#4a..6a#aRaS",
"QtQtQtQt.DbcaA.Y#g.O#R#k#g#k.O#g#c#b#b#c.4.4.3.6.6.Y.Q.G.G.J.J.H.J.J.R.J.P.P.P.I.A.I.A.z.z.A.A.y.x.y.y.r.j.k#5.l.gaZbdQtQtQtQtQtQt.dQtQtQtQtQt.d#w#g#c#9.man#D.h.haLaLa#aQaQaQaXaiananan.W.W.KaE.K.S.m.7.Z#A#9#9#k#R#v#v#c#c#b.4#g#v#c.4#b#b.4.5.5.4.4.5.5.4.5.4#b#c.5.4.4.5#b#b.4#c.3#b#b.4.3.Ibe.s.5aLaM.N",
"QtQt.dQt.V.u#O#A.6#k#9#k#k.Z#A#v#v#g#v#g#b#b.5.5.3.5.6.X.X.R.J.P.R.J.J.B.P.B.B.P.H.I.I.H.I.I.I.I.r.k.y.i.i.s#6#2#3au.9.MQtQtQtQtbf.q#bbgbbQtQt#U#9#g#9.7aE#Da2aLaL#aah.haQaQaXaX#Da1aiaiaianaH.KaEaE.m.7ao#A#A#9#9#A#k#v#c.4.5.5#b#b.4#b#c#c#b#b.5.4.5.5.5.4.4#b#c#b.5.5.4.4#b#b.5#b.3#b#b.5.Y.yaC.k.4#aaJ.f",
"QtQt.dQtQt.Dbcbh.Q#g#A#R#9.m.Z#k#R#k#k#k#k#v#c#v#g#g#c#b.4.6.X.G.G.Q.R.R.R.J.B.J.J.P.B.P.H.P.H.H.s.j.z.A.i.l.s#5ae.Abia7bbQtQt.dao.s#2ae.hQtQt.C.Z#c#A.maIa2aXahbjbj#aaL.haQa2a2#H#Da1a1ai.W.K.Kas.mas.7.Z#A#9.O.Z#9#R#v#c#g.4.5.6.4.4.4#b#b.4.4.4.4.3.5#b#c.4.3#b.4.5.5.4.4.4#b#b#b.5#b.4.4.Y.i#3.j#c#dbkbl",
"QtQtQt.d.#.vb#axaX.4#9.7.7.7#k#R#9#9#k#R#v#v#c#c#g#g#b#b.4.5.6.Y.G.J.R.J.J.B.R.J.R.R.J.J.B.P.P.B.j.i.A.A.r.y.r.za.#5.6bl#7.UQtax.s#2#6ae#3#x#7aH.7#vasaEanah#abmahahaLa#aQaXaX#Ha1ananaIaHaI.K.S.7ao.7ao.Z.Z#R#R#v#g#c#b#b#b.3.6.Y.5#c#b.6.3.5.4#b#b.4.4#b.4#b#b.4.4.5.5.5.4#b#c.4.4.4#c#b.6.Q.k#4.r#v#0#Xbn",
"QtQtQtQtQtQt.b#I#P.4#v.Z.Zas.O.Z.Z.Z#A.O#k#k#v#k#v#v#c#c#b#b.5.3.Y.Q.Q.R.J.B.R.R.R.R.J.B.P.P.P.B.z.y.z.A.z.A.A.y.l.s.k.4bi#t.Da4.s#2a.a.#2.I#0#9.S.7.Kai#Hbm#abmaQa#a#a#a#a#a#aQaQaQaQaQaQa#aQaXa2a2#H#Da1anaHaE.mas.Z#R#v#b.Y.X.X.6.5.5.Y.6.5.4#b#b#b#b#c#b#c#c#b#b.5.5.5.4#b.4.5.4.5#c#c.6.Ra.#2.r#R.nboba",
"QtQtQtQtQtQt.Eag.p.q.3#R.Z.m.7aEasao.Z#9.O#R#R#k#v#g#b#b#b#b.4.5.Y.X.Q.G.G.R.G.G.G.G.R.R.R.B.B.B.J.P.H.H.I.A.z.j.r.y.k.y.Zbabf#F#5#3#6.sa.#2#6.Ias.K#Ha2aQbmbm#aaLah#abmbmbm#d#d.n.n#NaAaAaAaA.nbpbp.o.obj#aahah.haQ#DaI.Kao#R#g#b#b.3.Y.Y.3.5.4.5.4#b#c#g#b#b#b#b#b.4.5.4#b#b#b.4#b.4#g#b.Y.B#3#2.r#9bqafaD",
"QtQtQtQtQtQtQt#ia7aNaH#R#9.K.K.K.m.7ao.Z.Z#9.O#R#R#k#g#g#g#g#g#g.5.5.6.6.Y.Q.X.Q.Q.Q.G.G.G.J.B.J.H.P.R.B.H.A.A.A.r.x.j.sa..Ya3.m#3#3.s.y.i#3br.s#Aaia2.haLbjaF.oaFbp#NaAaA#Nbqbqbqbsa0#jbt#ja0bqaA#NaF#0.o#d.o.o#d#dbm#aaha##Hai.mao#g.5.3.5.3.6.6.3.4#c#c#b#c#c.4.4.5.4.4#b#b#b#b#b.5#v#c.X.PaCae.zao#j#S#T",
"QtQtQtQtQtQtQt.d.UaP#h.6#cao.S.KaE.Sasasao#A#9.O#k#k#v#v#g#g#g#g#c#b.5.5.3.6.Y.Y.Q.X.Q.G.G.G.R.R.X.X.X.J.B.I.z.z.H.x.A.z.r.k#5#3aC#2.sa.a..l#6bu.BanahaQ#0#a#NaAaAbqbsa0#8a0a0#8#ja0bqbqbsbqaA#N.naF#0#0bjbjbmbj#a#a.h.h.h.h.ha#aQ#HaI.Sao#9#v.4.3.3.6.4#c#c#b#b.4.4.4.4.4#b.4.4#b#g.5#g#g.Q.zbvae.x.SaKaO#e",
"QtQtQtQtQtQtQtQt.V#G.0#N#RasaoaHan.W.KaEasas.Z#9.O.O.O.O#R#k#k#v#g#b#g#c#c#c.5.4.6.6.X.X.Q.R.R.R.Y.Y.Y.G.B.H.A.x.H.I.I.x.y.l.k#2br#3.k.j.l.l#6be#5.Obp#0#d.n#waA#NaAbqbsbsbsbsbsa0bsbqbsa0bsaA.n#NaFbpaF#dbjbmbj#a#aaL.ha#a#aQa2a2a2#H#HaiaH.7#A#v#c.5.5.4.4#b#c#c#b#b#c#c#b.4#b#b#v#b#g#g.R.kbu#5.J.W.qaGaV",
"QtQt.dQtQtQtQtQtQt#C#t#o#9#9ao.K.W.WaE.S.S.m.7#A#A#A#A#9#9#R#k#v#c#b#c#c#c#b.5.5.3.Y.Q.Q.G.J.J.R.R.Q.G.G.R.B.H.H.P.H.H.I.z.r.l#5#4aea..j.z.j.k#2be.yaLaA.obqbwbsaAbqa0#8#8bsa0bsbsbsbsa0#8bs#Nbp#Nbp#0#0#dbjbjbjbjbmaLaL.ha#aQaX#D#D#D#H#DanaH.Kas#A#v.4.4.4.4#c#c#b#b#c#c#c#b#c.4#c#c#c#b.P#4bua..Q#H#q#lbc",
".dQtQtQtQtQtQtQtQtQt.e#u#n#b.K.SaIaI.KaEaE.S.m.7.7.7ao.Z.Z#A.O#R#R#v#c#v#k#g#g#b.4.5.6.X.Q.G.G.R.J.G.G.Q.R.J.P.H.H.P.P.P.H.y.ia.#2#4#2.k.y.r.r.jaebr.OaAbq.na0#8bqbsa0#8#8a0bsbsbsbsa0a0#8a0aA.nbpaF.oaF.obmbjbj#dbj#aaL.haQaQaX#Da1aian.WaIaH.W.W.Sao.O#g#c.3.5#b.4.4.4#b#g#c#c.5.4#c.4#g.BbvaCa..5aLaM#Yav",
"QtQtQtQtQtQtQtQtQtQtaW.9ax.W.OasaHaIaH.KaE.KaEaEaoao.7aoao#A.O#R#R#R#R#k#R#g#c#c.3.6.6.6.Y.Q.G.B.B.H.J.R.Q.Q.R.J.B.B.B.B.B.x.A.ja.#4#3a..y.A.x.z.sbr.l#H#8.n#NbqaAbqa0bsbqbsa0bqbsbsaAbsa0bsaA.nbpaF#0#0.objbmbjbm#aaLa#a#aQaXaXaX#Da1aiaHaIanaianaHaE.m.7#R#c#c.4.5.3.4#c#c#c#b.4.3.4.4.5.Abx#3.j#v#0#Xbna7",
"QtQtQtQtQtQtQtQtQtQtQt#Ja9aO#b#AaH.WanaI.K.K.K.K.m.m.mas.7.Z#A#9#A.O#R#R.O#v#g#c#b#b.4#b.4.3.6.G.R.P.J.G.Q.Q.R.R.B.J.J.J.B.I.x.r#5aC#4a..z.x.I.z#5#2by.5.o#jbs#Nbsbsbsbs#8bsa0bsa0bsbqbqbsbsaA#N#NaF#0#0.objbjbjbmaL.h.ha#a#a#aQ#H#Daiaianananan.K.KaE.S.Sao#9#k.4.4.3.5#b#b#b#b.4.3.5#b.Y.kbx#2.y#Aa0#r.8#U",
"QtQtQtQtQtQtQtQtQtQtQt.EaZaqbq#k.SaH.K.KaI.KaHaEaH.KaE.m.7.Z.Z#A.7.Z#9#R#k#v#v#c#c#c#c#b#c#c.4.6.G.J.R.G.Q.X.G.R.P.B.B.R.P.B.R.J#5#3#3#6.j.x.H.x.s.jbx.k.Sbs#Nbq#8a0bsbsa0#8#ja0a0bsbsbsbsbsaAaA.naFaF#0.objbmbjbjahaL.ha#aQaXaXa1a1aianananaHaE.S.m.maE.K.m.Z#A#v#c.5.5#b#b.4.5.4.5.5#c.Pbrbv#2.HaE#EaO#eaZ",
"QtQtQtQtQtQtQtQtQtQtQtQt#ia7#M#A.S.maHaEanananaH.W.WaH.K.m.7.7.7as.7ao#A#9#9#A.O#R#k#g#g#g#g#v#b.4.Y.Y.Y.3.3.Y.X.B.B.B.J.J.J.R.R#5#4be#4a..r.H.P.A.jbrbu.Ybp.na0a0bsbsbqbs#8#8a0a0bsbsbsbsbsaA#N.naF#0.o.objbj#abmahaLa#a#aXa2a2#D#Da1anananaH.SaE.S.m.m.Sas.7ao#k#v#b#b#c#c.4.5#b.4.4#k.HbxaC#5.Ga1bzaj#u.U",
"QtQtQtQtQtQtQtQtQtQtQtQt.d###paJ#caI.m.KaXaiaiaian.W.WaIaE.7.7as.mao.Zaoao.Z.Z#A#v#g#g#g#g.4.3.6.5.X.X.4.4.6.R.R.J.B.I.B.J.Q.6.5.x.saCbeae.j.x.H.I.k.lbe#5.W#Nbsbqbsa0bqa0a0bqa0a0a0bsbsbsaAbq#NbpaFaF#0#dbjbjbmbm#aaLa#aLa#aXaX#H#Da1aiaianaIaHaE.masasasasas.m.Z#A.O#k#g#b#b.5#b#b.3.6.ibAbe.s.5.haT#o.L#C",
"QtQtQtQtQtQtQtQtQtQtQtQtQt.vb#.cbj#9aEa1#Hanaia1a1an.W.WaH.S.maEaEas.7asas.7ao#A#9#R#R#R#k#c#b#b#g.4.4#c#b.6.G.G.J.B.H.B.R.G.X.3.H.sbrbeae.l.z.I.I.j.j#3bu.XaF#jbqa0#ja0bqbsbqbsbsa0bsbsbq#Nbq#N.naF#0#0#d#d#d#abmahaLa#a#a#aQa2#Ha1a1a1aiaIaHaHaH.S.S.m.m.7.7.masas.Z#9#v#c#b#b.4.4.4.Qa.bxaC.r.O#Nbo#sazaW",
"QtQtQtQtQtQtQtQtQt.dQt.dQtQt#Ca9a8#9.7#Han#Da1a2#Ha1aiai.W.K.KaH.KaE.mas.m.masao.Z#9#9#9#9#k#v#k#g#c#g#g.4.X.J.J.J.B.P.R.G.G.Y.3.X.j#4be#3a..r.H.I.z.l.kbB#3a1bsbqbs#8a0aAaAa0bsbsbsbsbsbsbqbq#NbpbpaF#dbjbjbjbjbm#aah.h.ha#aQaX#Ha1a1a1ai.WaIaI.K.K.S.mas.7as.7as.7.Z.O#v#c#c#b.5.6.4.B#4by#3.HaE#EatbC.1Qt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQt.daZ.p#X#9aHaI#H.haQ#H#Ha1a1aianaIaHaIaH.S.SaEaE.mas.7.Z.Z.Z.Z.O#R.O#v#v#g#b.X.J.P.J.B.P.P.J.Q.G.6.3.6.lbebxbe#2.j.I.P.Ia..i#4bx#gahbsaA#Na0a0bs#8a0bsbqbsbsbsbsbq#NbpbpaF#d#dbjbjbmbm#aaLa#aLa#aXaX#Da1a1aiai.WaHaH.K.K.S.S.m.7as.7.7.7#A#R#v#c#b#b.3#b#b.Abebe#5.Qa2#nbDak.DQt",
"QtQtQtQtQtQtQtQtQtQt.d.#QtQtQt.2.uaDbs#R.ma1aha2aQaQ#H#Da1aiaiaIan.K.K.KaEaEaE.mao#A.Zao#A#9#R#A#A#R#k.4.Q.H.J.Q.G.G.G.X.Y.X.Y.6.3.A#3bebe#3.k.A.H.A.l.k.lbra.as#jbqbp#8bta0a0bsbsbqa0a0bsbqaA#NbpbpaF#dbjbjbjbmbm#aaLa#.ha#aXaX#Ha1a1anan.WaIaH.KaE.S.Sasasaoao.7ao#A#R#R#v#v#g#b.5.Y#5bBaC.j#v#0.w.f#7#iQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.UbEaSaI.7ana#a2aQa#aQaX#Ha1a1.WananaH.KaIaHaIaE.Sasaoaoaoao.Zao.7#k.4.X.B.I.B.G.G.Q.G.Y.Y.Y.3.3.Y.I#6bebybr#5.i.x.A.A#6.k#4bA.3aFbtaA#jaKa0bsaAbqbqbsa0bsbqaA.n.nbp#0#d#dbjbjbmbm#aaha#a#a#aQaX#Ha1aiaiai.WaHaI.KaE.m.masasaoaoao#A#9.O.O#k#k#v#c#b.G#4bu#3.I.m.tal#T#m.d.d",
"QtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQt.E.1.p#S.Z.Sa1#H.hahaLaQa2#H#Dana1#Dan.W.WaIaHaEaE.masas.m.7as.m.7#b.R.I.B.B.J.G.X.Q.Q.6.3.3.4#b.Y.B.j#4bubrae#5.A.r.J.l#5#6bB.ian#8bsbs.t#8a0bqbsbqbqbsbsbqaA.n.nbpaF.o#dbjbjbmbm#aaL.h.haQaXaX#Ha1a1a1ai.WaHaI.KaE.S.masas.7aoao#A#A.O.O#R#R#k#c.6.AbAbe#5.Qa2#qaj#u.UQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQt#iazaBad.7aH#Ha##a#aa#aQ#Ha1a1#Ha1ai.WananaIaHaE.Sasas.Sas.m.S#9.Y.z.r.J.X.Y.Q.X.Q.Q.Y.5.3.5#b.Y.R.y#4bxbu#4#2.z.r.Q.ya..kbebr#b#8#jbs#wa0btaAa0bsbsbsbsbsaA.n.nbpaF#d#dbjbjbmbm#aah.ha#a#aQaX#Da1aia1ananaIaIaEaE.S.S.m.m.7.7ao.Z#A.O.O#R#R#k#b.6.rbAbe.r#kaF#B.f#t#iQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQt.dQt.#QtQt.ba9bl.h#RanaX#H.h#aa#aXaXa1aX#D#Da1a1a1ai.WaI.S.KaI.m.maHas#c.I.y.J.X.G.X.6.Q.Y.Y.6.5.4#b#b#b.6.Ba.bubxbv#4.l.x.P.z.j.k#2by.ra1btbq#Nbtbtbqa0bsa0bsbsbqaA.n.naF#0#d#dbjbjbmbm#aah.ha#a#aQaXa2#H#Da1ananaHaHaEaE.S.S.masaoaoao#9#A#A#9#k#k#R#g.J#3br#2.H.K#EbF.c#G.dQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQt.daZ#Qau.K.K#HaXah#a.ha#a#aXa2a2#H#D#D#Da1anaIaH.KaI.KaIaEao.R.I.A.J.G.Q.6.X.Q.X.Y.6.3.4#b#b#c.6.J.kbvbAbxaCa..r.H.z.j.j#6brae#kbqa0bq#wbqbqa0a0bsbsbsbqaA.n.naFaF#dbjbjbjbmbm#aaL.h.haQaXaX#H#Ha1aiaianaIaH.KaE.S.m.S.7aoao.Z#A#A#9#R#v#k#9#k.PaC#3.s.5.haR#l#p.DQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.2b#.cbk.7aia2aLaLa#.h.haXaXaXa2a1#Da1aianan.W.WaIaia2.S.4.A.H.J.G.X.3.4.X.6.6.6.5.4.4#c#c#R#b.6.x#3bAbAbeae.l.A.I.A.j.s#2br.yaL#8bs#j#Na0a0a0bsbqbsbqaA.n.naFaF#dbjbjbjbmbm#aaha#a#a#aQaXa2a1a1aiai.WaH.K.KaE.S.m.masaoao#A.Z#A#R#v#v#R#A#k.x#6#6.y#9.n#1bna7.2QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.d#J#t#s#w.Sai.hbm.h.h.haQa#aXaQaX#H#Da1a1a1a1#H.W#Da2#A.P.z.H.G.Q.X.4#c.6.Y.Y.5.3.4#b#g#g#v.5.6.IaebAbAbraea..y.H.H.y.ka.br#3aE#8bs#Nbq#ja0a0a0bqbsbqaA.n.naFaF.o#dbmbjbmbm#aaLa#.ha#aXaXa2#Da1aia1anaI.KaEaE.S.m.masaoao#A#A#A#9#R#v#v#R#c.G.H.r.B.S#EbGbC#mQtQtQt.d",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.###bcbH#D.S#D#a#abmbj#a#aahaLa#aXa2#D#D#H#HaXa1aQ#H#b.A.P.J.Q.6.3#b#c.4.3.3.3.5#c#g#v#v#v#g#c.X.lbvbAbu#4#5.r.I.I.y.j.s#4aC.Q#da0aF#jbt#8a0bqbsbsbqaAaAbpaF#0.o#dbjbjbm#a#aaha#.ha#aQaXa2#Da1aiananaIaH.K.S.S.S.Sasaoao.Z.Z#A#9.O#k#k#g.Y.Oao.J.3an#KauaVbIQtQtQt.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.V.1aral.S.KaXbmbj.o#dbmbm#aaha#a2aQaXaX#Ha#aQa#a1.G.A.J.B.R.6.6.3.4#c.5.3.5.5#c#c#v#k#v#v#k.3.ibrbAbBbe#3.k.z.A.z.j.saCbv#5.W#j.n#w#8#8a0bsbsbqaAbqaA.nbpaF.objbjbjbmbm#aaha#.ha#aQaXa2#Ha1aian.W.K.K.K.S.S.S.Sasaoao.Z#A#A#9.O#R#v.4.6#Hah.3.6a1adbJ#u.DQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQt#i.uaDaaao.Wa#bmbmbm#a#abmah.h.haQ.ha##Daha#.haH.P.H.Q.R.Q.5.5#b#c#c#b.5.5.4#g#v#k#k#R#9#A#v.x#6bxbAbvaCa..i.A.I.y.l#6aCbx#gbqa0bqa0a0bsbqbqaAaAbsaAbpbpaF.obj#dbjbm#a#aaL.haQa#aXa2a2#Ha1aiaianaIaH.KaE.S.S.Sas.7.7.Zaoao#9#R#k#v#b.ZaAbq#c.Y.W.q#xaV.eQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQt.b.L.fapaEaXah#aahbmahbjbmaLahahah.h#HahaLaQ.7.y.I.B.G.6.4.4#c#g#b.4.5.5#b#g#v#k#v#k.O#9#v.I#5bxbAbv#4#5.j.A.J.H.j.l#4bA.H#0bwbpbta0a0bqbqaAbqbqaA.naFaF#dbjbjbjbmbm#aah.ha#aQaXa2#H#Ha1aiananaIaHaEaE.S.S.masao.Z.Z.Z.Z#9#R#v#v#vaibK#w#g.QaE#EaO#e.1QtQt.#Qt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dbI#Qa4bs.Kaia#.o#0bmbmbj.hahaFah.ha#a#aha#.6.J.G.5.4.4.5.5#b#g#c#g#c#g#v#k#v#v#g#c#kas.m#k.H#4bAbxbe#2.l.A.P.P.ya.#5aC#4a1a0#NaAbsa0bqbsaAbq#NaA.naF#0.objbjbmbmbmahaLa#aQaQaXa2#H#Ha1aianan.W.W.KaH.KaE.masasas.O.7.O#R.Z.4.3.SbsaYbw#A.Y.Zbs#raxb#.EQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaW#G.0aGaFaH#H.o#Nbmbmbp.obj.oahbmah.hbma2.Q.J.G.Y.3.5.3.4#b#c#b#c#g#v#k#v#v#v#v#c#vasas.O.P#3bAbAby#4#5.i.P.H.z.j.jaCbu#c.naA#NaAbqaAbsbqbq#N#N.nbpaF.o#dbjbmbmbj#aaha#.haQaX#H#H#DaiananaIaI.WaHaE.S.KaHaHas#A.O.7#9#g#v#c.O#D#EaR#E.S.Y#kaF#Xbna5aWQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#Ca5.8#W.h.S.haA#dbjbp#N#d#a#dbm#a#a#aa1.R.X.X.Y.3.4.5.5.4#g#c#c#g#v#v#v#k#v#v#k#Rasas#A.Y.kbubAbxaC#4#5.A.I.z.l.laebB.raQ#8aA#NaAbqbsbsbq#N.nbpbp#0.o#dbjbjbj#a#aah.h.ha#aX#H#Ha1aian.WaHaHaIaHaE.SaE.K.K.7.Z#A.Z#A#R#b#c.K.n#Zaa#E.K.Q#c#abL#M#7#.QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQt.dbb.Lbn#raian#abpbpaFbp#0.o#0#d#d#dbj.W.J.Y.3.6.6.5.4#b#b#g#c#g#v#k#v#v#k#k#k#k#R.7.7.O.3.ibebAbAbuaCae.i.I.z.l.laebuaCaH#jaAaAbqa0bsa0bqaA.nbpbp#0.o.objbmbm#abmah.ha#a#aXa2#Ha1a1an.WaIaIaI.K.K.KaEas.7.7aE#A#9.Z#9#c.O.h#Ea3aUbMaI.J.3aQaUab#I#CQtQt.d",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.ebE#fb.aI.Sbm.n#dbjaF.naFbjbm.o.oaI.B#b#c.4.4.4#c#c#c#g#v#v#k.O#R#k#R#R.O#R#9.Z.Zao#k.G.kbybBbvbe#4.i.A.x.x.i.s#3bB.4.oaA#8#8a0bsbsbsbs#NaFaFaF#0#dbjbm#abmahah.h.haQaXaX#Da1aian.W.WaH.KaHaHaEaE.m.7as.S.Z.Z.Z#R#c.K#8#qaYaU#Eai.H.X#H#qbNaP.b.dQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Ea6#u.Nbk.Sa1bjbj#d#Nbq.nbjbm#0.o.S.I#b.4#b.4.4#c#g#g#v#k#v#k.O#R#R#k.O#9.O#A.Z#A#9#k.X.ibvbAbBbv#4.k.x.H.P.i#6#6bA.zaQ#8#8a0bqa0bqbqbq#NbpaF#0#0#dbmbmbmbmahaLa#a#a#aQaX#Da1anan.W.WaHaH.KaE.SaEaE.m.7#A.Z.7.Z#c.Obj.q#q#qa3#Eai.H.GaiadbOak.DQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.vaZ.TbHaJaHaibj.o#NbsaAbp.obp.o.m.I#c#g.4.5.4#g#v#v#v#R#k#R.O.O#9#R#A.Z.O.Z.Z#9#9.Z#v.Ra.bubAbeaC#6.y.H.H.i.k#5byaCaE#8aAbqaAbqbsbsaA.naFaFaF#0.objbm#abj#aah.ha#a#a#aQ#H#Daia1aiaiaI.KaHaE.S.SaE.mao#R#Aao.O#v#DapaYaUaYaUapan.B.JanbPaj#u.UQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.daW#maqbNaY.SahaFaFaA#8a0.n.n.o.m.I#c#c.5.5#b#c#g#g#g#R#k.O.O#9.O#R#A.Z#9.7.7.O#9.Z#k.Q.rbvbAbvbe#3.l.A.x.A.A.kbybB.O.n.n#NaAbqbsbs#NbpaFaFaF.o#dbjbm#abmahaL.haQaQaXaX#D#Daiaiaiai.W.K.KaIaH.mao.Zaoao.7.O#b.Sbq#ZaY#qaUaybg.W.B.BaI#KbJ#u.UQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.2#U#ebDbQ.ma#aAaAbq#Nbq#8bp.S.A#b.O#g#b.4.4#k.O#k#k#R#9#A#A#9#A#A.Z#A#A.O#9.Z#A.O#R.Gaebxbxbxbr.s.z.I.y.y.raebu.x#a#8#Nbs#8bqbq#N#N.naF#0#0#dahah#abmahaL.ha#a#aXa2a2#Ha1a1an.WaH.KaE.KaEasaoao.Z#9ao#v.O#0bzaYaYaRaRaabw.Z.A.Jan#KbJ#u.UQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQt#i.9.0#PbgasaQaA#8aAbsa0.naI.P#g#v#c#g#c#b#k.O#k#R#R.O#A#A#9.Z#A.Z#9#9#R#k#A#A#9#9.Qa.bybAbBbe#5.i.H.z.A.A#5bv.ra1#jbqbsa0bqbqaAaAbpaFaFaF.obm#a#a#aahaL.ha#.ha#aQ#D#H#D#Ha1ai.WaHaEaEaE.S.Sas#A#v#casaLaK#Z#qa3aRaUayaK#R.z.JanbPbO#p.DQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQt#iaz#VaGbw.WaL#d#8#8#8bpaI.B#c#v#g#R#R#v#R.O#R#9.O#9.Z.Z#A#A#A.Z#A.O#v#k#9#A.Z.7#g.B#2bubybeae.s.x.z.I.y.jbr#2.Z#NbsbsbqbsbsbqaA#N.nbpaF.obj#aahbm#aaLa#aXaXa2#Hana1a1a1aia1.W.KaE.S.m.masao#A.OaHaF.qaUaMaRaUaTaUaU#w#b.z.RaiadbO#pbbQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##Ja7ax.F#waHaI.nbsbtbqan.P#b#v#c#R#R#v#R.O#R#A#9#9#A#A.Z#9#A#A#9.O#k#k.O#9.Z.Z#g.Qa.bybubvaC#6.j.I.x.z.zaCaC#b#dbsbsbsbsbqbq.n#N.nbpaF.obm#a#a.obj#aaL.ha#aXa2#Da1an.WaI.WaIaIaHaH.Kas#9.O.ma1aAap#ZaYaRaRaRayaU#qbs.Y.A.G#D#qbNaP.bQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt#JbfbRaObq#9a1bmbq#wa2.J#b#k#k#9.O#R#A#A#9#9.O#9#A.Z#9#9#A#9#9#9#9.O#9#9#A.Z#9#v.B#2#4brbr#6.k.I.H.A.y#3be.Qbj.t#jbqbq#Nbq.naA#N.nbp.o#d#aah.ha#a#aQaQa#a#a2a2#H#Daian.W.W.WaH.K.S.7ao.Kah#8#Z#naYaYaaaaaRaMaR#ZaF.J.z.Ga2#qbHbE#JQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.b#7aNbG.n.7.W#d#jah.X#b#v.O#A#R#k.Z.Z#A#A.Z#A.Z.Z#A#9#9#9#9#9#R#A#A#9#9#A#9#k.G.l#4bybe#3#5.A.H.x.y#6be.IbmbM#wbqaAaFbqbpaA.nbpbp#0bjbm#aaL.ha#aQaXaXaXa2#D#D#D#Dai.WaIaE.S.7.Z.m#H#0bwbPaYaaaaayaTaaaUaaaTbQ#a.H.y.YaQaUaS#I#CQt.#Qt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Da9#s#WaF.Sanbpbm.5#c#c#A.Z.O.O.Z.Zao.Zao.Z.Z.Z#9#9.O.O#9ao#9.Z#A#Aao.7ao.7.O.J#6bubvaC#2.k.x.A.A.kae.zaL.qbgaKbw#8#wbs#NbpaFbp.objbjbm#dbjbm#aahaLa#a#a1#D#Da1anaIaIaHaHaiaQ#0.tbQaYaRaUaMaMayaya3#q#qaybMaX.i.y.5aLay.Na9#.QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.d.d###Ibialbmas.haL.4#c.3#9#A.O.O#A#A.Zao.Z#A#A#9#A#A#A.O#A.Z#A.Z.Zao.m.m.mao#9.X#6bBbxbu#4#6.r.A.I.y#5.ya#bza3#q#ZbgbM#w#NaFaFbp#0#dbjbj.haQaQaXaXaQa2#HaX#Ha1an.W.Wan#D.h#NaKbP#qaYaUaYaUaTaMaUaRayayaaaU#wan.l.i#b#abh.f#t.2QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbIacbl#r#aan.7.R.P.5#c#9.O#9ao#A#R#9#k#R.O.O#9.Zao.Z.Z.O.O#k#k#g#R.OasasaH#b.z.i#4bubr#6.j.B.I.Aa..r.W#Ka3aYaYa3aUaRbQ#KbK#E.t#jbs#N#0bj#a.haQa#aXaQaQaQaLahbmbpa0aKbza3aUaRaaayaR#q#nayaaa3aMbLaaaR#qbs#c.j.i#gaF#Xbna5bd.dQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQt.Ea6bc#f#z.oaH#g.G.4#A#A#R.O.Z#A#k#R#c#g#R.O.Z.7.m.m#A.O#A#R#R#k.O#9ao.7#A.5#c#g.jbAbeaea..x.I.I.j#5aobKaUaaaRaRaTaTa3#n#ZbzbQ#K.qbKbKaKbwbt#8#8#8#jaKaKapbK#K#Z#naUa3aRaRaRaaayaRa3aYayayaRaTbLaaaM#Z#0.6.y.y.OaAafaB.9.VQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQt.Ea6#p.NbSa0.K#R#k.6.3.4#R#R#R#9#Aao#A.O#R#9#9#R#g.Z.Zao.Z.Z#A#9#R#9#k.5.5an#a.5bubAbr.l.r.A.x.x#2#gaKaTbLaaaaaTaRaaayaMayaaaUaRaRaRaYa3#n#n#n#q#qa3aYaUaYaRaaaRaRaUaaaaaaaaayayaaaRaaayaaayaRaRaybKa1.P.i.Aao#w#W.c#mQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Vag#u#obSbMaQbmas.O#c#k#g#v.O.O.O#R#k#k.O#9.Z.Zaoaoao#A#A.O#Aao.O#R#RaEbjbsaI.rbAbx.l.i.z.I.H#5.3#jaJaTaUaRaMaYaUaUayaMaRaUaRayaRaRaUaYaYaYa3a3aUaUaYaYaUaYa3#naRaaayaaayaMaTaTaaayaaaRaaaUaUaR#j#A.y.A.P.Kapamara6QtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.v.1#Q#o#zaKaA.oaI#c.6.5#k.7#A#R.O#9.Z#9.O.O.Z#Aao.mas.7.7.Z#9#c#caIbjbpbs#0ao#2bxae.k.z.A.Pa..GaFayaUaYaaaTaaaRayayaaaRaUaaaMaRaRaRaRaRaaayayayaaaaaRaRaUaUaRaRaRaRaRaRaUaaaaaaaaaaaaaRaRaR#naF.6.y.y.Raiadaj#u##QtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtaW#mak.Naf#0btbqa#.S#R#R#k#R#9#9.Zao#A#R#g#vao.m.K.S.7.Z.O#v.OaH#0.t#N#0aAa#.G#2bu#4.i.I.I.s.Q#dayaUaUaRaTaaaMaTaTaMaaaRaaaaaUaRaaaaaaaaaaaaaUaYaYa3aYaYaRayaRaUaUaRaRaYaUaaaaaYaRaaaRaaaRbPaQ.G.y.j.6aXaUabac#JQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaWagbcblbw#0bsa0.oa2as#k#c#g.4.5#k.O#R#R#9.O.O#A.O#R#k.O#A.W#a#N#jaA#dbp#0ai.Y#3#4.k.x.y.l.J.haMaaaaaUayaaayayaaaRaRaUaRaRaaaaaaaRaRaRaRaaaaaRaUaRayaMaMaTaRaRaaayaaaYaYaRaRaUaRaUaRaR#Za0ao.H.z.l#bbjbh#f#7#iQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.vbIaPaO.W#a#N#jbK#E#0a#.S.O#b#g#k#R.O#A#R#R.O#g.O.S#HaL.oaK#N#d.nbmbm.objao.laebr.y.y.A.A#DaMaTaMaRayaaaRaRaUaRaaaRaRaRaRaaaRaUaUaUaRaRayaaaUaaaMaMaaaYaUaUaRayayaRaRaaaRaUaaaYaYaU#K#d.5.r#5.r#9aAbobR.u.vQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQt.e#p.Ka1a#aFbtbM#ZaKbjaQ.K.Z#k#c.5.X.X.3#v#A.W#abq#jbqaF.oaFbp#dbj#0aF.hao.zaC#5.A.y.yaiaRaaaRaRaMaMaRaUaRaaaaaRaRaUaRaRaaaaaaaaaaayaUaRaaaaaRaYaUaUayaaaaaaaRaUaYaYaRaYaaaRbz#Zbw.W.i.l#2.H.KaKaObC.1QtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Eag#nanaX#d#N#jaK.tbMaK#8bqbp#0#d#a.o.oaFbpaAbsa0bs.n.o.oaF.o#a#abmbj#aan.4a.#3.k.A.Aa1aUaUaYaUaaaRaRaaaaaaaaaaaaaaaaayayayayayayaaaUaUaRaUaUaYaUaUaRaRaRaRaUaUaUaYaYa3aRaR#n#q.n#c.jaea..XaX#nbO#u.UQtQtQtQt.d",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQt.MaVai.W.h#0.n#Nbs#wbt#j#j#j#8#8#8bqbsa0aA.nbp#0bj#0#d#0.o.obm.hahbj#0bjaI.G.s.l.z.xan#naYa3aRaaayaRaaaRaUayayaaaaaMayayaaaaaaaRaRaYa3aUaYaYa3aYaYaYaYaYaYaYaUaYa3#na3a3#na3bgai.xa.aC.z.O.n#X.f#7#iQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.1#X.K#Hbj.nbpaAbqbqaAbs#8#8#8a0bqaA.n#0#d.o.o.o.o.obj#dbmaL.haL#daha#a1.O.R.A.s.y.KadaYaRaYaaaRaRaUaUaYaYaUaRaRaRaRaRaRaRaRaUaYa3a3aYaYa3a3#n#na3a3a3a3a3aY#na3a3a3#n#q#Z#N#v.l#4#5.JanbgaObC#m.EQtQtQt.d.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbbakbm.WaXbpbpaAbs#Nbp#0bp#N.naAbsaAaF#dbm#a#daF#abm.haLa#aXaQaQbm.haXa2ai.m.3.r.zas#KaYaRaUaUaRaYaYaYa3a3a3aYa3a3a3aYaYa3a3#naY#n#na3aU#n#n#n#n#q#n#q#n#q#n#q#Z#Z#q#Zbz#EaH.x#6aC.i#v.o.gaSbE.bQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaW.ubF.Ka1#aaFbpaA.naF.o.oaFbpbpbpaF.objahaLahbmbmbjaLaLa#a#.h.haha#aQ#D.WaH#k.P.I.SbPaaayaYaaaRaUa3a3a3#n#n#n#q#n#naYa3a3aYaYaY#n#na3a3#n#q#q#Z#q#q#q#Z#q#Z#ZbzbQ#q#qbQaF#b.laC#6.BaIapbFaxb#.vQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbI#Qbp.WaQbj#N#NbqaA.nbpbp.n.n.obj#d#0#0#d.oaF#0#daL.hahahaLaQa2aX.haQaia1aE#R.B.7bga3aR#naYayaYaYaUaYa3a3#n#qa3#n#n#q#q#n#n#n#Z#q#n#n#q#q#Z#Z#n#Z#q#Z#Zadadadbz#Zad.t.W.H#2aC.r#v.oaJabaPbbQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.2azbOa1#HaL#0#dbp#N#Nbp#0#0#0#0#d#d.o.obmbm#dbj#aaQaQ.h.haXa1#D#HaQ#HaIaI.Kas.x#A.tad#qbz#naaaUaYaYaYaYa3#n#n#n#q#Z#Z#q#Zbzbz#Z#n#n#n#Z#Z#Z#Z#q#Z#q#nbzadbQbPbzbz#K#d#v.jbe#5.GanbKat#Tb#.vQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbI#uapaoa1bjbp#NaA#N.objaF#0#N.n#0#dbjbmahahaLaLa#aQaQaX#H#Da1#HaXa2.WaIanaH.X.BaIaKaR#n.qbQ#Z#n#n#q#q#Z#q#naY#qbzadadadadadadbz#ZbzadadadadadadadbQbPbQbQbz#Zapbt.S#5bv#4.z#9.nbk#oacbbQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbd.abiaI.Sa2#0#0#0bpbpbpaF#aaFaF.obmbmbmahahaQ.haLaQa2#Da1aia1#H#H#H.W.KaH.7.Ha..R#D.taY#Z#Zad#q#q#n#qbz#Za3#q#ZbzbQadadbQbPadadadadadadbzbzadbQbzadbz#KbP#ZbzaK.h.Gbrbr.k.3aXad.F.0#G.VQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.UaPbo#A.KaXah.oaFaFaF.obmbjbmbmah#aahaLahaLaLa#aQa2#Ha1ai#D#Dai#H#Ha1an.7.A#3br.Qaia0bgbQ#nbzbPbzadbPbPbzbz#ZadbPadbQbPbPadbQbQbQbQbQbQbQbPbgbQbQbPbK.q#K.q.o#baebv#6.P.S#jbS#O#t#JQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.V#mbC#K.7aHaX.o#0#aahbmbmbm#aah.ha#a#aQa#a#a#aQaX#H#Daian.Wan.Wa1aiai.W.Z.y#6bu.j.3aH.oaKaY#nbQ#K.qbPbQbPadadbQbPbQ#K.q.qadbQbQbPbP#K#K#K.q.q.qbgbg#Kapbwbsao.rbe#4.r#k#daM#laVa6QtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#Cavbl#d.OaHaQbjahahbj#d.ha#aQ.haQa#a#aQa#a#a#aXaQ#D#H#Daiaiana1#Dan.Wao.ia.aC#3.z#gaHa#bs#Ebz.q#KbPbQbg#K.q.q.q.q.q.qbPbQbP#K.q.qbKbKbKbKbKbK#EbKbQaK.n.S.zaCbr.k.6#H#KbGax.abdQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#a6.TbJ.W.Z.Kahbjbm#dbma#aQaXaXaXaXaXaQaXaXaX#H#H#H#DaiaiaiaIaI.K.maE#9.i#5#6.j.H.G#9.SaI.obMbQ.q.q#K#KbKbKbK.q.qbg.qbQbPbP.qbKbgbKapapapbKbKapbgbKbs#D.Jaebv#6.B.S#jb..f.L.bQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.2azaxbS.S#A.Wah#d.obm.h.haQaQa#aQa2a2#D#Ha2aX#H#H#D#Danan.K.KaEasao.4.s#5.l.J#vaE.Kao.ZaI#abs#Ebg.qbPapapapbKbgbgbg#K.qbKbKap#EbMap#EbKbKbgbKbKaAaI.5a.bv#3.z#R.oaT#l.Ta6.dQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#Ja9bnaa#A.SaiaX#a.oahaLaQaQaXa2#H#Ha1#Da1#Da1ai#Dan.WaI.m.m.m.7.Z.3#5.s.x#k#Dbpbs.na#asasaQa0bM#KadbgbgbKbKapbMbKbgbKapap#EbMbMapap.qapbKbgbwa#.5.jbrbr.j.3aXbz#F#T.9bdQtQtQtQt.dQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dbIakab#E#9.ZaiahaQ.haL.h.h.haX#D#H#D#Da1anaiai#HanaI.SaE.S.7.S#9.Haea..QaEbsaYbhbL#ZbqaE.Z#D.nbwbMbK#EaKapbMbwaK#EbMaKaK#EbM#EbMbKbwapbg#waX#b.zbebr.s.QaIaK#h#Oav#JQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.v.1.pbOaF.O.SaQa2aXaX#H#HaXa2a1a1aI.WanaH.KaHaHaE.m.7.masas.K#R.Aa..s.4aXbQ#Saj#l.F#BbM#Dao.KaLa0.tbwaKbMbg.qapbtbMbw#EbMaKaKapbK#EbMa0a2#g.A#5bv#6.P.7bq.wab#u.eQtQtQtQtQt.#QtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#QtQtQtQt.2.a.cam#D#k.ZaHa1#Daiai#Ha2#D#DaIaHaIaIaHaHaE.Sas.maEaEan#D#k.j#3.r#vaFaJa8#T.p#VaSaw#q.o.O#vaEahbqaKbMapapapbwapapapbMaK.tbw#E#Ebs#H.5.i#4buae.A.O#daabJar#G.vQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Ma7aDbT.K.4.7a1#H#Dai.W.Wa1.W.SaE.S.m.7asasasas.m.S.Sana1#g.sae.A.7#j#raN.Lb#.9aPaNamaJ#w.S.5#R.W#d#8.t.taKbMbM#E#EaK#E#EaK#wbp.W.Y.iaCbu#3.y#g.hbz#Faxaz#iQt.#Qt.dQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbb.Lbi#haH.X.Z.man#H.W.Waianan.WaH.mas.7.m.maE.S.S.manaI.Xaeae.PaHap.F#y#G#.bd.U#t.0a8bS#KaQ.4.5#9#HaF#8.t#wbtbt.tbwbMapbsbm.m.G#5bebvae.y#ba2.q#S#sav.bQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.E.eaP.NbSaX.4#c.7aIa1aIai.WaH.K.Saoaoao.m.maEaEas.m.WaE.Jae#5.Qa2#n#l#p.UQtQtQt#.b#.T#fataU#N.S.4#vasaI.haAbt#wbtbta0#0an#R.Ra.bvbv#2.z#ba2apaf#fbE##QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Va6akabbo#0.X.3.7.KaHa1an.W.WaH.m.7.7.mas.mas#9.Zas#R.r#4.k#bbmaJ#Mav#..#QtQtQtaWa6#I.8bJ.wbwaX#R.X.X#g.7#HaQ#H.Was#v.J.kbrbubra..I#vaXbK#h#M#pa6.E.#.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaW#maVbH.Ca0.4#g#Aas.S.S.KaHaEasao.7as.7.Sas.O.O.7#R.r#3.y#9bqbSbR.9.vQtQtQtQtQtQtbba5#yabafbzaFaH#g.Q.J.P.R.J.x.l#6#4bubeae.i.R#A#abP#r#Makag.vQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbd#maVabb.#E.4.B#b#A#9.m.S.Sas.Z#A.Z.Zao#R#R.Z#9.P#4ae.H.KbMaO#eagQtQtQt.#Qt.#.#Qt#.#G#pbi#LaJaKah.m.5.H.i#5aeaeaeae#5.i.P#caI#Na3#WblbcaZ.vQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#.#G#Q.N#rbQao.I.3.7#9ao.maE.m.Z.O#k.7#k#R.O#g.z#4#5.Xa2#nbD#p.DQtQtQt.#QtQtQtQtQt.v.e#7.cbHbTaY#ja#.m#b.G.P.H.H.B.6#k.K#a#Ebhamba#Ia6.V.#QtQtQt.#.dQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaW.1bcbiataYa#.H.J#v#R.Z.maE.7#9#9.S#Aao#k.J#2br.i#v.obk.f#t#iQtQtQtQtQtQtQtQtQtQtQt#Cb##pbabJ#za3#wbj#DaH.S.KanaQaF#Eaaawab.0bf.U.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQt.V.e#Iba#xbLbq#b.6.5#g.ZaEas.O#9#9#9as#c.jbr#3.Ias#w#S#T#U.E.dQtQtQtQtQt.dQtQtQtQtQtaW.ea5.TbnajawaJ#Zap#EbMbPaY.w#WbNaBbc#U#CQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.bbf.cbD.C#Eas.s.l.Q#k#9#R#k#R#v#c.ybvbx#5.X#H#ZbJ.T##QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbdbIa7#uaD#Yajam#F#Laua8bl#V#p.u.e.VQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#C.9aq#o#rad#a.6.A.R.Y#v.O.O#b.J#5bvbr.r#Rbp#B.f#7#.QtQtQtQtQtQtQtQtQtQtQtQtQt.#.dQtQt#i.e.9.L#u.p#yar.TaP#7#U.Ubd.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbdagbcbn#Laybt.S.z#5.j.z.l#5brbxbe#6.GanbgaObC#GQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.v#C.UbIaZa6###J#i.EQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#QtQtQt.V.eavaxbD#1bg#aas.5.I.l#5#2#2.l.BasaA.w#Yac.bQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQt.d.#QtQtQtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQt#J.aaq#M#Waabta#.m#g.6.X.X#caEaFaU#x.0#G.vQtQt.#.#QtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtbd.1bEaDbObSa3#w.o.ha2aXbm#waaaOba#t#J.dQt.#Qt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQtQtQtQt.EbbazaVbi#Pawbkaya3aYaTaf#PaB#I##.d.#Qt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbda6bf#Qax#O#YbHaS#MbRaVa7.D.EQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQt#.bIb#bf.Lacaca9.uag#.QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.dQtQtQt.d.2.M#J.M#.aW.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};


/*
 *  Constructs a aboutdlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
aboutdlg::aboutdlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl ),
      image0( (const char **) image0_data )
{
    if ( !name )
	setName( "aboutdlg" );

    pixmapLabel2 = new QLabel( this, "pixmapLabel2" );
    pixmapLabel2->setGeometry( QRect( 10, 20, 150, 138 ) );
    pixmapLabel2->setPixmap( image0 );
    pixmapLabel2->setScaledContents( TRUE );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setGeometry( QRect( 160, 90, 580, 33 ) );
    languageChange();
    resize( QSize(724, 187).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
aboutdlg::~aboutdlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void aboutdlg::languageChange()
{
    setCaption( tr( "About MSN Shadow" ) );
    textLabel1->setText( tr( "<b><font size=\"+3\">MSN Shadow by Gabriel Menezes Nunes</font></b>" ) );
}

