/***************************************************************************
 *   Copyright (C) 2007 by Gabriel Menezes Nunes   *
 *   gabriel@msnshadow   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONFIGDLG_H
#define CONFIGDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qprocess.h>
#include <qcombobox.h>
#include <qfiledialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QLabel;
class QLineEdit;
class QCheckBox;

class interClass {
	public:
	interClass(QString _name):name(_name) {}
	QString ip, mac, name;
};


class configDlg : public QDialog
{
    Q_OBJECT

public:
    configDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~configDlg();
	void getInterfaces();
	QString cutF(const char* cut);
    QPushButton* defaultButton;
    QPushButton* okButton;
    QPushButton* cancelButton;
    //QLabel* textLabel2_2;
    //QLabel* textLabel1_2_2_2_2;
   // QLabel* textLabel1_2_3;
   // QLabel* textLabel1_2_2_3_2;
   // QLabel* textLabel1_2_2_4;
    //QLabel* textLabel1_3;
  QLabel *interLabel1, *interLabel2;
	QComboBox *videoBox, *textBox;
    QLabel* textLabel1_4_2;
	int videoBoxIndex;
	int textBoxIndex ;
    QLabel* textLabel3;
    //QLabel* textLabel1_2;
    //QLabel* textLabel1;
    //QLineEdit* tcpEdit;
    //QLineEdit* optionsEdit;
    //QLineEdit* ipEdit;
    //QLabel* textLabel1_2_2_2;
    //QLabel* textLabel1_2_2;
    //QLabel* textLabel2;
    //QLabel* textLabel1_2_2_3;
    QLineEdit* textEdit;
	std::list<interClass*> listInterface;
	interClass *currentVideo, *currentText;
    QLabel* textLabel1_4;
    //QLineEdit* tcpEdit_2;
    //QLineEdit* ipEdit_2;
    //QLineEdit* optionsEdit_2;
    QLabel* textLabel4;
    QLineEdit* videoEdit;
    QCheckBox* checkVideo;
    QCheckBox* checkText;
    QCheckBox* checkAuto;
    QLabel* textLabel2_3;
    QLineEdit* mencoderEdit;
	QString mencoderString;
    QPushButton* findButton;
	QString videoString, textString;
	//QString optionsString_2, tcpString_2, ipString_2; optionsString, tcpString, ipString,
	QProcess *proc;
	bool ignoreVideo, ignoreText;

protected:

protected slots:
    virtual void languageChange();
	virtual void setDefault();
	void okClicked();
	void processOut();
	void readProc();
	void findMencoder();
	void checkAutoClicked();

void closeEvent(QCloseEvent *e);

};

#endif // CONFIGDLG_H
