/***************************************************************************
 *   Copyright (C) 2007 by Gabriel Menezes Nunes   *
 *   gabriel@dragaobranco   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef HIJACKDLG_H
#define HIJACKDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include "msnshadowitemchat.h"
#include <qprocess.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QTextBrowser;
class QTextEdit;

class hijackDlg : public QDialog
{
    Q_OBJECT

public:
    hijackDlg( QWidget* parent = 0, msnShadowItemChat *_chat = 0, int _id = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~hijackDlg();
void addMessage(QString nick, QString message);
void sendAck(unsigned long seqA, unsigned long ackA);
void sendAckApp(unsigned int seqA, unsigned int ackA, int numberMsg);

    QPushButton* pushButton2;
    QPushButton* pushButton1;
    QTextBrowser* textBrowser1;
    QTextEdit* textEdit1;
    msnShadowItemChat *chat;
	QProcess *iptables1, *iptables2, *iptables1Finish, *iptables2Finish;
	unsigned long seq, ack;
	unsigned short port1, port2;
	QString ip1, ip2;
	int id;
	unsigned short in_cksum(unsigned short *addr, int len);
	QString isLanEmail, isLanString, nick;
	int numberMsg;
	bool isLan;

protected:

protected slots:
    virtual void languageChange();
	virtual void sendMessage();
	void iptables2Exited();
	void iptables1Exited();
	void hijackClose();

};

#endif // HIJACKDLG_H
