/***************************************************************************
 *   Copyright (C) 2007 by Gabriel Menezes Nunes   *
 *   gabriel@msnshadow   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef MSNSHADOW_H
#define MSNSHADOW_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>
#include "msnshadowitemchat.h"
#include "listcontacts.h"
#include "msnshadowitemmsg.h"
#include <pcap.h>
#include <mimic.h>
#include <qlabel.h>
#include <configdlg.h>
#include "msnshadowitemvideo.h"
#include <qfiledialog.h>
#include <list>


class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QTabWidget;
class QWidget;
class QListView;
class QListViewItem;
class QWidgetStack;
class QPushButton;

class msnShadow : public QMainWindow
{
    Q_OBJECT

public:
    msnShadow( QApplication *_appz, QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~msnShadow();
void createChat(QString ip_src, QString ip_dst, QString packetReceived, int idzao, unsigned short port1, unsigned short port2);
void customEvent(QCustomEvent *e);
void resizeEvent(QResizeEvent*);
void sendKick(QString ip_src, QString ip_dst, unsigned int seq, unsigned int ack, unsigned short clientPort, unsigned short serverPort);
void sendAck(QString ip_src, QString ip_dst, unsigned int seq, unsigned int ack, unsigned short clientPort, unsigned short serverPort, int id);
void sendAckApp(QString ip_src, QString ip_dst, unsigned int seq, unsigned int ack, unsigned short clientPort, unsigned short serverPort, int numberMsg);
unsigned short in_cksum(unsigned short *addr, int len);

void handleBuffer(QByteArray packetzao, QString packetTime);

void handleBufferVideo(QByteArray byteZ);

QString isLan(QString str);


msnShadowItemMsg *spooferItem;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QListView* userView;
    QWidgetStack* widgetStack1;
    QWidget* WStackPage;
    QListView* msgView;
	QListView* videoView;
	QWidget *WStackPageVideo;
	QWidgetStack *widgetStack2;
	QLabel *labelzao2, *labelzao;
    QPushButton* startTextButton;
	QPushButton *startVideoButton;
    QPushButton* stopTextButton;
	QPushButton *stopVideoButton;
    QWidget* tab_2;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
	configDlg *configPtr;
    QApplication *appz;
    
    QPopupMenu *helpMenu;
   
	QAction* optionsAction;
	QAction *reportAction;
	QAction *contactAction;
        QAction *pcapFileAction;
    QAction* helpAboutAction;
	int id;
	int idVideo;
	int isSniffing;
	int isSniffingVideo;
	int isSniffingVideoPcap;
	int beginSleepVideo;
	std::list<msnShadowItemChat*> listChatS;
	std::list<msnShadowContactList*> listContact;
	std::list<msnShadowItemVideo*>listVideo;

public slots:
    
	void contextMenuSpoof(QListViewItem *i, const QPoint &pos, int col);
	void spoofer();
	msnShadowItemVideo* createVideo(QString ip_src, QString ip_dst);
	void kickUser();
	void hijack();
	
    
    
    virtual void helpAbout();
	void htmlReport();
	void contactOpen();
	void pcapFileOpen();
	virtual void chatClicked(QListViewItem *);
	virtual void videoClicked(QListViewItem*);
	virtual void stopTextSniff();
	virtual void stopVideoSniff();
	virtual void startTextSniff();
	virtual void startVideoSniff();
	virtual int searchBytes(const char* buffer, int length);
	void optionsW();

protected:
    QGridLayout* msnShadowLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;
    QPixmap image3;
    QPixmap image4;
    QPixmap image5;
    QPixmap image6;
    QPixmap image7;
    QPixmap image8;
    QPixmap image9;
    QPixmap image10;
    QPixmap image11, tab11_image, tab22_image;

};

class handleBufferEvent : public QCustomEvent {
	public:
	
	handleBufferEvent(QByteArray _packet, QString _packetTime): QCustomEvent(1010), packet(_packet), packetTime(_packetTime) {}
	
	QByteArray packet;
	QString packetTime;
};

class handleBufferVideoEvent: public QCustomEvent {
	public:
	
	handleBufferVideoEvent(QByteArray _packet) :QCustomEvent(1111), packet(_packet) {}
	
	QByteArray packet;
};


void *startTextSniffGlobal(void *args);
void *startVideoSniffGlobal(void *args);
void callfunc(u_char *args, const pcap_pkthdr *header, const u_char *packet);
void callfuncVideo(u_char *args, const struct pcap_pkthdr *header, const u_char *packet);

#endif // MSNSHADOW_H
